2001-08-15  Ulrich Drepper  <drepper@redhat.com>

	* libio/iofwide.c (_IO_fwide): Don't reset file position to
	beginning of file, really get current position.

2001-08-15  Andreas Schwab  <schwab@suse.de>

	* sysdeps/m68k/m68020/atomicity.h (atomic_add): Don't allow
	address register for operand 0.

2001-08-14  Ulrich Drepper  <drepper@redhat.com>

	* stdio-common/perror.c (perror): Use _IO_fwide instead of fwide.

	* libio/libio.h (_IO_fwide): Handle zero as second parameter more
	efficiently in macro.

2001-08-14  Jakub Jelinek  <jakub@redhat.com>

	* resolv/nss_dns/dns-host.c (RESOLVSORT): Define.
	(addrsort): New function.
	* resolv/gethnamaddr.c (RESOLVSORT): Define.

2001-08-14  Jakub Jelinek  <jakub@redhat.com>

	* string/strsignal.c (free_mem): Remove.

2001-08-14  Andreas Jaeger  <aj@suse.de>

	* inet/inet_ntoa.c (free_mem): Remove, it's not used anymore.
	Closes PR libc/2477, reported by Dylan Alex Simon
	<dylan@dylex.caltech.edu>.

2001-08-14  Ulrich Drepper  <drepper@redhat.com>

	* locale/Makefile (aux): Add xlocale.
	* locale/xlocale.c: New file.
	* include/locale.c (_nl_C_locobj): Declare.
	* iconv/gconv_charset.h: Use __tolower_l, __isdigit_l, __isspace_l
	with _nl_C_locobj instead of tolower, isdigit, isspace.
	* iconv/gconv_conf.c: Likewise.
	* iconv/gconv_int.h: Likewise.
	* iconv/gconv_open.c: Likewise.

	* locale/newlocale.c: Minor cleanups.

2001-08-14  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/w_expl.c: New file, copy from
	ldbl-96/w_expl.c with tweaked constants.  Patch by Stephen L
	Moshier.

2001-08-13  Ulrich Drepper  <drepper@redhat.com>

	* malloc/memusage.c (me): Allow creating the output file.

	* sysdeps/unix/sysv/linux/Makefile: Remove -fkeep-inline-functions
	flag for init-first.

	* po/fr.po: Update from translation team.

2001-08-13  Andreas Jaeger  <aj@suse.de>

	* sysdeps/mips/machine-gmon.h (MCOUNT): Don't use delay slot for
	jal since it's a macro.
	Patch by Simon Gee <simong@oz.agile.tv>.

2001-08-12  Ulrich Drepper  <drepper@redhat.com>

	* iconvdata/Makefile: Add rules to build ISO-IR-209 and MAC-SAMI.
	* iconvdata/iso-ir-209.c: New file.
	* iconvdata/mac-sami.c: New file.
	* iconvdata/gconv-modules: Add entries for ISO-IR-209 and MAC-SAMI.
	* iconvdata/tst-tables.sh: Likewise.

	* posix/getopt.c: Remove store_args_and_env which is not needed since
	USE_NONOPTION_FLAGS is undefined anyhow.  Use __libc_argc and
	__libc_argv variables.

2001-08-12  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/clock.c: New file.
	* sysdeps/mach/hurd/times.c: New file.
	* sysdeps/mach/hurd/getclktck.c (__getclktck): Always return 1000000.
	* sysdeps/mach/hurd/init-posix.c: New file.

	* hurd/hurdlookup.c (__hurd_file_name_lookup): Comment fix.

2001-08-11  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/bits/time.h
	(CLOCK_PROCESS_CPUTIME_ID, CLOCK_THREAD_CPUTIME_ID): New macros.
	* sysdeps/mach/hurd/i386/bits/time.h: File removed.

	* posix/getopt.c (nonoption_flags_max_len, nonoption_flags_len):
	Make these defns conditional on [USE_NONOPTION_FLAGS].

2001-08-11  Ulrich Drepper  <drepper@redhat.com>

	* config.h.in: Add #undef line for USE_NONOPTION_FLAGS.
	* posix/getopt_init.c: Produce code only if USE_NONOPTION_FLAGS is
	defined.
	* posix/getopt.c: Use __getopt_nonoption_flags only if
	USE_NONOPTION_FLAGS is defined.
	* sysdeps/mach/hurd/i386/init-first.c: Use __getopt_clean_environment
	only if USE_NONOPTION_FLAGS is defined.
	* sysdeps/mach/hurd/mips/init-first.c: Likewise.
	* sysdeps/unix/sysv/linux/init-first.c: Likewise.
	* sysdeps/arm/init-first.c: Likewise.
	* sysdeps/generic/init-first.c: Likewise.
	* sysdeps/i386/init-first.c: Likewise.
	* sysdeps/sh/init-first.c: Likewise.

2001-08-11  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/e_j0l.c: New file.
	Contributed by Stephen L Moshier <moshier@mediaone.net>.

2001-08-11  Ulrich Drepper  <drepper@redhat.com>

	* assert/assert.c (set_progname): Removed.
	(__assert_fail): Use __progname instead of __assert_program_name.
	* assert/assert-perr.c (__assert_perror_fail): Likewise.

	* malloc/malloc.c (ptmalloc_init): Don't call getenv five times.
	Instead use new function next_env_entry which iterates over the
	environment once.

	* sysdeps/arm/dl-machine.h (elf_machine_runtime_setup): Only set
	_dl_profile_map for the right object.

	* elf/dl-reloc.c (_dl_relocate_object): Allocate l_reloc_result
	only if consider_profiling is != 0, not if _dl_profile != NULL.

	* sysdeps/generic/dl-environ.c (_dl_next_ld_env_entry): Optimize a bit.
	Now returns pointer to first character after "LD_".
	* elf/rtld.c (process_envvars): Adjust for change above.
	* sysdeps/unix/sysv/linux/dl-librecon.h (EXTRA_LD_ENVVARS): Likewise.
	* sysdeps/unix/sysv/linux/i386/dl-librecon.h (EXTRA_LD_ENVVARS):
	Likewise.

2001-08-10  Wolfram Gloger  <wg@malloc.de>

	* malloc/malloc.c (grow_heap): Use mmap() rather than mprotect()
	to allocate new memory, for better performance with Linux-2.4.x.

2001-08-10  Ulrich Drepper  <drepper@redhat.com>

	* posix/getopt_init.c (__getopt_clean_environment): Avoid making
	the strncmp calls most of the time by testing for '_' as the first
	character of the name.

	* elf/dl-open.c (add_to_global): Remove stale comment.

	* elf/dl-load.c (fillin_rpath): In SUID binaries, don't mark
	non-system-dirs in LD_LIBRARY_PATH as nonexisting, simply drop them.

	* libio/iovdprintf.c (_IO_vdprintf): Set _IO_USER_LOCK flag for
	temporary stream.  Don't define lock.
	* libio/obprintf.c (_IO_obstack_vprintf): Likewise.
	* libio/strops.c (_IO_str_init_static): Likewise.
	* libio/vasprintf.c (_IO_vasprintf): Likewise.
	* libio/wstrops.c (_IO_wstr_init_static): Likewise.
	* libio/iovsprintf.c: Likewise.
	* libio/iovsnprintf.c: Likewise.
	* libio/iovswprintf.c: Likewise.
	* libio/iovsscanf.c: Likewise.
	* libio/iovswscanf.c: Likewise.
	* stdio-common/vfprintf.c [USE_IN_LIBIO] (buffered_vfprintf): Likewise.
	* libio/genops.c (_IO_no_init): Don't call _IO_lock_init if _lock
	is NULL.
	(_IO_default_finish): Likewise.
	* libio/wgenops.c (_IO_wdefault_finish): Likewise.

2001-08-10  Andreas Jaeger  <aj@suse.de>

	* stdio-common/stdio_ext.h: Fix typo.

2001-08-09  Ulrich Drepper  <drepper@redhat.com>

	* posix/fnmatch_loop.c: Fix computation of alignment.

2001-08-09  Isamu Hasegawa  <isamu@yamato.ibm.com>

	* posix/regex.c (wcs_regex_compile): Use appropriate string
	to compare with collating element.
	Fix the padding for the alignment.

2001-08-09  Isamu Hasegawa  <isamu@yamato.ibm.com>

	* locale/programs/ld-collate.c (collate_output): Exclude
	characters from elem_table.
	Reduce if clause to write collating elements correctly.
	* posix/Makefile (tests): Add bug-regex5.
	* posix/bug-regex5.c: New file.

2001-08-09  Ulrich Drepper  <drepper@redhat.com>

	* locale/lc-time.c (_nl_parse_alt_digit): New function.
	* locale/localeinfo.h: Add prototype for it.
	* time/strptime.c (get_alt_number): Use _nl_parse_alt_digit to get
	the value.  Correct computation of hour for %OI.  If no %EC given
	but %Ey use numeric formular.

	* dlfcn/Makefile (tststatic-ENV): Also add $(common-objpfx)elf for
	ld.so.

	* time/tst-strptime.c: Add tests in different locales.
	* time/Makefile (tst-strptime-ENV): Define.

2001-08-09  Jakub Jelinek  <jakub@redhat.com>

	* catgets/catgets.c (catclose): Be liberal about catalog_desc in
	catclose too.

2001-08-09  Ulrich Drepper  <drepper@redhat.com>

	* time/strptime.c (strptime_internal): Add handling of year +
	%U/%W week + week day.
	* time/tst-strptime.c: Add test case for %U and %W handling.

	* stdio-common/vfscanf.c: Fix reading of wide chars and strings if
	not COMPILE_WSCANF.

	* libio/vswprintf.c (_IO_vswprintf): Fix return value handling
	which is different from snprintf.
	* libio/tst_swprintf.c: Add tests for too small output buffer.

	* stdio-common/vfscanf.c: Fix handling of %[] for COMPILE_WSCANF.
	* libio/Makefile (tests): Add tst-swscanf.
	* libio/tst-swscanf.c: New file.

2001-08-09  Jakub Jelinek  <jakub@redhat.com>

	* posix/globtest.sh: Robustify tilde tests.

2001-08-09  Andreas Jaeger  <aj@suse.de>

	* locale/programs/ld-ctype.c (DEFAULT): Fix expression.
	(EMPTY): New.
	(wctype_table_finalize): Use it.
	(find_idx): Likewise.
	(wctype_table_get): Likewise.

	* configure.in: Add check for GCC 3.x.

2001-08-09  Ulrich Drepper  <drepper@redhat.com>

	* libio/wfileops.c (_IO_wfile_seekoff): Don't even try to handle
	seeking with backup buffer present.
	Correct determining of internal buffer position.
	Reset also wide buffers if we reset the internal buffers.
	* libio/iofwide.c (_IO_fwide): Always determine file offset for wide
	streams.
	* libio/ioseekoff.c: Catch one unimplemented case.
	* libio/ftello.c: Don't abort if the wide stream has backup buffer.
	* libio/ftello64.c: Likewise.
	* libio/iofgetpos.c: Likewise.
	* libio/iofgetpos64.c: Likewise.
	* libio/ftell.c: Likewise.
	* libio/Makefile (tests): Add tst-ungetwc2.
	* libio/tst-ungetwc2.c: New file.

2001-08-08  Ulrich Drepper  <drepper@redhat.com>

	* locale/elem-hash.h (elem_hash): Correct stupid mistake and
	create real hash values now.
	Patch by Isamu Hasegawa <isamu@yamato.ibm.com>.

	* libio/iofgetpos.c (_IO_new_fgetpos): Correct a few problems in
	the handling of wide streams.

	* libio/ioungetwc.c (ungetwc): Orient stream first.
	* libio/Makefile (tests): Add tst-ungetwc1.
	* libio/tst-ungetwc1.c: New file.

	* libio/wfileops.c (_IO_wfile_underflow): Remove incorrect test
	for possible conversion using __codecvt_do_in.
	* libio/Makefile (tests): Add tst-fgetws.
	* libio/tst-fgetws.c: New file.

	* libio/iofgetws.c: Use _IO_ferror_unlocked macros instead of
	coding the test here.

	* catgets/open_catalog.c: Rewrite code to assume that the function
	is called at catopen time and not delayed in catgets.
	* catgets/catgets.c (catopen): Call __open_catalog and fail if that
	function failed.
	(catgets): Remove code for delayed opening of catalog.
	* catgets/catgetsinfo.h: Remove now unnecessary information from
	struct catalog_info.  Change __open_catalog prototype.
	* catgets/gencat.c: Adjust __open_catalog call.
	* catgets/test-gencat.c: Stop program if catopen failed.

	* locale/C-monetary.c (_nl_C_LC_MONETARY): Provide correct value
	for CRNCYSTR.

	* locale/programs/ld-messages.c (messages_finish): Provide POSIX
	locale compliant default values for fields without definition.
	* locale/programs/ld-time.c (time_finish): Likewise.
	* locale/programs/ld-monetary.c (monetary_finish): Likewise.

2001-08-08  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-96/s_ilogbl.c (__ilogbl): Fix test for
	infinity.

2001-08-07  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/memusage.h (GETTIME): Define using hp-timing.h
	functionality.

	* sysdeps/ia64/hp-timing.h (HP_TIMING_NOW): Fix comment.

2001-08-07  Jakub Jelinek  <jakub@redhat.com>

	* malloc/memusage.c (initialized): New variable.
	(init): If not yet initialized, call me().
	(me): Do all dlsym calls here.
	(malloc, realloc, calloc, free): If not yet initialized,
	call me().  If in the middle of initializing, return NULL or
	do nothing.

2001-08-07  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/seekdir.c (seekdir): Set dirp->filepos.

	* dirent/tst-seekdir.c (main): Check whether telldir right after
	seekdir returns 2nd argument given to seekdir.

2001-08-07  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* dlfcn/Makefile (tststatic-ENV): Add $(common-objpfx) to
	LD_LIBRARY_PATH.

2001-08-07  Andreas Jaeger  <aj@suse.de>
	    Andreas Schwab  <schwab@suse.de>
	    Bruno Haible  <haible@clisp.cons.org>

	* locale/programs/3level.h (EMPTY): New macro.
	(*_get, *_add, *_iterate, *_finalize): Use it instead of ~(uint32_t) 0.

2001-08-08  GOTO Masanori  <gotom@debian.or.jp>

	* locale/iso-3166.def: Updates from latest official list.

2001-08-07  Andreas Jaeger  <aj@suse.de>

	* stdlib/tst-strtod.c: Disable HUGE_VAL tests for older GCCs.

	* iconv/gconv_charset.h (upstr): Add unused attribute to avoid warning.

	* libio/iopopen.c (_IO_new_proc_open): Fix typos, it's _IO_MTSAFE_IO.
	(_IO_new_proc_close): Likewise.
	* libio/oldiopopen.c (_IO_old_proc_open): Likewise.
	(_IO_old_proc_close): Likewise.

2001-08-06  Ulrich Drepper  <drepper@redhat.com>

	* manual/locale.texi: Add documentation for rpmatch.
	Patch by Jochen Hein <jochen@jochen.org>.

2001-08-06  Jakub Jelinek  <jakub@redhat.com>

	* stdlib/strtod.c (STRTOF): Skip whole infinity, not just inf.
	* stdio-common/vfscanf.c (__vfscanf): +- can be followed by i in +-Inf.

	* stdlib/tst-strtod.c (tests): Add Inf tests.
	* stdio-common/tstscanf.c (main): Add tests for +- before Inf.

2001-08-06  Ulrich Drepper  <drepper@redhat.com>

	* locale/weightwc.h (findidx): Change type of i to int32_t.

	* wcsmbs/wcsmbs-tst1.c (main): Avoid warning.  Pretty printing.

2001-08-05  Roland McGrath  <roland@frob.com>

	* sysdeps/unix/bsd/bsd4.4/bits/dirent.h (struct dirent): Rename member
	d_fileno to d_ino.
	(struct dirent64): Likewise.
	(d_fileno): Define as macro.

2001-08-04  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/getrusage.c: Use TASK_EVENTS_INFO if implemented
	by the microkernel (which it's not).

2001-08-04  Ulrich Drepper  <drepper@redhat.com>

	* libio/fileops.c (_IO_new_file_underflow): Don't call
	_IO_flush_all_linebuffered.  This isn't required in any standard.
	Instead flush only stdout.
	* libio/wfileops.c (_IO_wfile_underflow): Likewise.

2001-08-04  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* dlfcn/Makefile: Add rules for new testcase tststatic.
	* dlfcn/tststatic.c: New file.
	* dlfcn/modstatic.c: New file.

2001-08-04  Ulrich Drepper  <drepper@redhat.com>

	* manual/summary.awk: Fix value used for FF.

	* elf/rtld.c: Correct use of __builtin_expect.

	* elf/dl-close.c: Remove commented-out code.

	* libio/genops.c (_IO_unbuffer_write): Force streams in narrow
	orientation so that conversion modules aren't used anymore.
	* malloc/set-freeres.c: Call _IO_cleanup before running subfreeres
	functions to avoid using wide streams afterwards.

	* iconvdata/Makefile: Add rules to build GEORGIAN-PS and
	GEORGIAN-ACADEMY.
	* iconvdata/georgian-ps.c: New file.
	* iconvdata/georgian-academy.c: New file.
	* iconvdata/gconv-modules: Add entries for GEORGIAN-PS and
	GEORGIAN-ACADEMY.
	* iconvdata/tst-tables.sh: Add GEORGIAN-PS and GEORGIAN-ACADEMY.

2001-08-03  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/ld-collate (insert_value): If symbol in order
	definition does not exist create it as a sequence without
	associated multibyte and wide representation.

2001-07-30  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/bits/libc-lock.h (__libc_cleanup_region_start): Diddle
	syntax so both function and pointer-to-function arguments work right.

2001-08-03  Tom Rix  <trix@redhat.com>

	* config.h.in: Add HAVE_XCOFF for AIX.
	* configure.in: Add --with-xcoff option.
	* include/libc-symbols.h: Disable the .stabs macros.

2001-08-03  Ulrich Drepper  <drepper@redhat.com>

	* iconvdata/8bit-gap.c: Correctly use __builtin_expect.
	* iconvdata/ansi_x3.110.c: Likewise.
	* iconvdata/big5.c: Likewise.
	* iconvdata/euc-cn.c: Likewise.
	* iconvdata/euc-jp.c: Likewise.
	* iconvdata/euc-kr.c: Likewise.
	* iconvdata/gb18030.c: Likewise.
	* iconvdata/gbbig5.c: Likewise.
	* iconvdata/gbgbk.c: Likewise.
	* iconvdata/gbk.c: Likewise.
	* iconvdata/ibm930.c: Likewise.
	* iconvdata/ibm932.c: Likewise.
	* iconvdata/ibm933.c: Likewise.
	* iconvdata/ibm935.c: Likewise.
	* iconvdata/ibm939.c: Likewise.
	* iconvdata/ibm943.c: Likewise.
	* iconvdata/iso-2022-cn.c: Likewise.
	* iconvdata/iso-2022-kr.c: Likewise.
	* iconvdata/iso646.c: Likewise.
	* iconvdata/iso8859-1.c: Likewise.
	* iconvdata/iso_6937-2.c: Likewise.
	* iconvdata/iso_6937.c: Likewise.
	* iconvdata/johab.c: Likewise.
	* iconvdata/sjis.c: Likewise.
	* iconvdata/t.61.c: Likewise.
	* iconvdata/uhc.c: Likewise.
	* iconvdata/unicode.c: Likewise.
	* iconvdata/utf-16.c: Likewise.
	* iconv/gconv_simple.c: Likewise.   Convert assert() in real error
	handling.

	* iconvdata/Makefile: Add rules to build KOI8-T module.
	* iconvdata/koi8-t.c: New file.
	* iconvdata/gconv-modules: Add entries for KOI8-T.
	* iconvdata/tst-tables.sh: Add KOI8-T.

	* locale/iso-639.def: Correct Javanese 2 letter code.  Add Tonga.
	Add Tigrinya.

2001-08-02  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/ld-collate.c (collate_read): Handle collating-element
	and reorder_after following copy statement correctly.

2001-08-02  Andreas Jaeger  <aj@suse.de>

	* libio/bits/stdio.h (printf): Remove printf optimization since
	GCC 3.0 can optimize printf.

2001-08-02  Ulrich Weigand  <uweigand@de.ibm.com>

	* sysdeps/s390/s390-32/memcpy.S: Fixed incorrect use of
	mvcle introduced by 2001-07-12 change.
	* sysdeps/s390/s390-64/memcpy.S: Likewise.

2001-07-31  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/i386/getcontext.S: Don't touch the %gs
	register so that contexts can be used in different threads.
	* sysdeps/unix/sysv/linux/i386/setcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/i386/swapcontext.S: Likewise.

	* sysdeps/unix/sysv/linux/cmsg_nxthdr.c (__cmsg_nxthdr): Correct
	test for cmsg struct size.
	* sysdeps/unix/sysv/linux/bits/socket.h (__cmsg_nxthdr): Likewise.

	* sysdeps/unix/sysv/linux/i386/makecontext.S: Remove unnecessary
	initializations.

	* libio/iopopen.c: Add lock for proc_file_chain access.
	* libio/oldiopopen.c: Add lock for old_proc_file_chain access.
	Reported by Pádraig Brady <Padraig@linux.ie>.

2001-07-31  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/sparc/bits/poll.h (NPOLLFILE): Removed.
	* sysdeps/unix/sysv/linux/mips/bits/poll.h (NPOLLFILE): Removed.
	* sysdeps/unix/sysv/linux/m68k/bits/poll.h (NPOLLFILE): Removed.
	* sysdeps/unix/sysv/linux/bits/poll.h (NPOLLFILE): Removed.
	* sysdeps/generic/bits/poll.h (NPOLLFILE): Removed.

	* libio/genops.c (flush_cleanup): Guard list_all_lock to allow
	compilation without threads.

2001-07-30  Ulrich Drepper  <drepper@redhat.com>

	* po/fr.po: Update from translation team.

2001-07-30  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/e_atanhl.c: New file, contributed by
	Stephen L Moshier.

	* posix/regex.c: Declare wcs functions only if compiling with
	MBS_SUPPORT.
	Don't use #elif for traditional C.

2001-07-29  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/hurd/recvmsg.c: New file.
	* sysdeps/mach/hurd/sendmsg.c: New file.

2001-07-27  Ulrich Drepper  <drepper@redhat.com>

	* version.h (VERSION): Bump to 2.2.4.

	* sysdeps/mips/Dist: Remove non-existing files.
	* sysdeps/mips/mips64/Dist: Likewise.
	* sysdeps/mips/mipsel/Dist: Removed.
	* iconv/Makefile (distribute): Add strtab.c and iconvconfig.h.
	* sysdeps/generic/Dist: Add bits/link.h.
	* sysdeps/unix/sysv/linux/m68k/Dist: Add sys/procfs.h.
	* sysdeps/unix/sysv/aix/Dist: Add dl-support.c, dl-addr.c, and
	dl-error.c.
	* sysdeps/ia64/Dist: Add bits/link.h.

	* libio/vasprintf.c (_IO_vasprintf): Don't copy uninitialized byte
	from stream buffer to result buffer.
	Reported by Michael Meeks <michael@ximian.com>.

	* libio/Makefile: Add rules to check output of tst-fopenloc and
	for memory leaks.
	* libio/tst-fopenloc.c: New file.

	* iconv/gconv_cache.c (__gconv_compare_alias_cache): New function.
	* iconv/gconv_int.h: Add prototype for __gconv_compare_alias_cache.
	* iconv/gconv_charset.h: Replace __gconv_lookup_alias prototype with
	__gconv_compare_alias prototype.
	* iconv/gconv_db.c (__gconv_lookup_alias): Removed.
	(__gconv_compare_alias): New function.
	* locale/findlocale.c (_nl_find_locale): Use __gconv_compare_alias
	instead of calling __gconv_lookup_alias twice and compare here.

2001-07-26  Mark Kettenis  <kettenis@gnu.org>

	* hurd/hurdsig.c (_hurd_internal_post_signal): Fix handling of
	SA_RESETHAND and SA_NODEFER.

2001-07-27  Ulrich Drepper  <drepper@redhat.com>

	* libio/fileops.c (_IO_new_file_fopen): Correctly locate ccs=
	substring.  Don't handle ccs= if no descriptor was allocated.
	Normalize codeset name before calling __wcsmbs_named_conv.
	Initialize transliteration elements.  Free step data structure.
	* libio/iofclose.c (_IO_new_fclose): Correct freeing of the step data.
	* libio/iofwide.c (__libio_translit): Renamed from libio_translit
	and made public.  Various little cleanup changes.
	* wcsmbs/wcsmbsload.h (struct gconv_fcts): Add towc_nsteps and
	tomb_nsteps member.
	* wcsmbs/wcsmbsload.c: Add some casts to avoid warnings.
	(__wcsmbs_gconv_fcts): Initialize towc_nsteps and tomb_nsteps member.
	(getfct): Take additional parameter with pointer to variable where the
	number of steps is stored in.  Disable code which allows to use more
	than one step for now.  Adjust all callers.
	(free_mem): New function.  Frees data associated with currently
	selected converters.

	* malloc/mtrace.pl: Extract addresses from DSOs.

2001-07-26  Ulrich Drepper  <drepper@redhat.com>

	* malloc/mcheck.c (checkhdr): Disable mcheck before reporting an
	error.  Don't run any tests if mcheck is disabled.

	* elf/dl-support.c (_dl_important_hwcaps): Avoid using malloc
	early in the program.

2001-07-27  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/s390/s390-32/ucontext_i.h (SC_GPRS): Fix
	value following change from 2001-05-30.

	* sysdeps/s390/s390-64/bits/setjmp.h (_JMPBUF_UNWINDS): Follow
	rename change from 2001-07-12 for __jmp_buf.
	Patches by Ulrich Weigand <Ulrich.Weigand@de.ibm.com>.

2001-07-26  Roland McGrath  <roland@frob.com>

	* sysdeps/generic/bits/termios.h (EXTA, EXTB): Make these conditional
	on __USE_MISC rather than __USE_BSD.
	(B57600, B115200, B230400, B460800, B500000, B576000, B921600,
	B1000000, B1152000, B1500000, B2000000, B2500000, B3000000,
	B3500000, B4000000): New macros.
	* sysdeps/generic/tcsetattr.c (bad_speed): Accept those values.
	* termios/cfsetspeed.c (speeds): Likewise.

2001-07-26  kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/sh/dl-machine.h (elf_machine_load_address): Don't use
	multi-line strings.
	(FUN_ADDR, FGR_SAVE, ELF_MACHINE_RUNTIME_TRAMPOLINE): Likewise.
	(elf_machine_rela): Handle unaligned relocation.

2001-06-07  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/ia64/dl-symaddr.c (_dl_symbol_address): Update call to
	__ia64_make_fptr() for new interface.
	(_dl_function_address): Remove.

	* sysdeps/ia64/dl-machine.h (IA64_BOOT_FPTR_TABLE_LEN): Rename
	from IA64_BOOT_FPTR_SIZE and reduce its value from 256 to 200.
	(struct ia64_fdesc): Rename from struct ia64_fptr and drop "next"
	pointer.  Rename member "func" to "ip".
	(struct ia64_fdesc_table): New type.
	(__ia64_make_fptr): Change prototype.
	(__ia64_init_bootstrap_fdesc_table): New function.
	(ELF_MACHINE_BEFORE_RTLD_RELOC): New macro.
	(__boot_ldso_fptr): Removed.
	(__fptr_next): Removed.
	(__fptr_root): Removed.
	(__fptr_count): Removed.
	(TRAMPOLINE_TEMPLATE): Fix typo in comment.  Don't use multi-line
	strings to avoid warning from gcc3.
	(RTLD_START): Don't use multi-line strings.
	(ELF_MACHINE_START_ADDRESS): Use DL_STATIC_FUNCTION_ADDRESS.
	(elf_machine_fixup_plt): Update the code entry point in the
	function descriptor through a "volatile" pointer to ensure proper
	write ordering.
	(elf_machine_rela): Simplify handling of FPTR relocs: always call
	__ia64_make_fptr().

	* sysdeps/ia64/dl-lookupcfg.h (DL_AUTO_FUNCTION_ADDRESS): New macro.
	(DL_STATIC_FUNCTION_ADDRESS): Likewise.
	(DL_DT_INIT_ADDRESS): Use DL_AUTO_FUNCTION_ADDRESS.
	(DL_DT_FINI_ADDRESS): Likewise.

	* sysdeps/ia64/dl-fptr.c: Rewrite for better scalability and to
	avoid deadlocks.

	* include/link.h: Add member machine specific "l_mach" member to
	link_map.

	* sysdeps/generic/bits/link.h: New file.
	* sysdeps/ia64/bits/link.h: Likewise.

	* elf/rtld.c (_dl_start): Fix typo in comment.
	(_dl_start_final): Copy new "l_mach" member from temporary to
	final bootstrap map.

2001-07-25  Ulrich Drepper  <drepper@redhat.com>

	* csu/gmon-start.c: Use ENTRY_POINT_DECL if defined instead of a
	declaration using ENTRY_POINT.
	* sysdeps/ia64/elf/entry.h (ENTRY_POINT_DECL): New definition.

2001-07-25  H.J. Lu  <hjl@gnu.org>

	* csu/gmon-start.c: Include <entry.h>
	(_start): Replaced with ENTRY_POINT.

2001-07-25  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/unix/bsd/bsd4.4/bits/socket.h: New file.

2001-07-25  Ulrich Drepper  <drepper@redhat.com>

	* iconv/iconvconfig.c (main): Don't write an output file if we
	have seen an error.
	(write_output): Don't overwrite old cache file until we know we
	have a new one.

	* iconv/Makefile (install-sbin): Add iconvconfig.

2001-07-25  Jakub Jelinek  <jakub@redhat.com>

	* elf/Makefile (routines): Add dl-iteratephdr and
	dl-iteratephdr-static.
	(elide-routines.os): Add dl-iteratephdr-static.
	* elf/dl-iteratephdr.c: New file.
	* elf/link.h (struct dl_phdr_info): New definition.
	(dl_iterate_phdr): New prototype.
	* elf/Versions (dl_iterate_phdr): Add at GLIBC_2.2.4.
	* include/link.h (struct dl_phdr_info): New definition.
	(dl_iterate_phdr, __dl_iterate_phdr): New prototypes.
	* sysdeps/generic/dl-iteratephdr-static.c: New file.
	* sysdeps/unix/sysv/linux/ia64/dl-iteratephdr-static.c: New file.

2001-07-24  Igor Khavkine  <i_khavki@alcor.concordia.ca>

	* hurd/hurdsig.c (_hurdsig_init): Fix incorrect initialization
	of pending signals.

2001-06-22  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/powerpc/dl-machine.c (__elf_preferred_address): Prefer
	gaps below main executable.

2001-07-22  Bruno Haible  <haible@clisp.cons.org>

	* intl/libintl.h (ngettext, dngettext, dcngettext): Use both msgid1
	and msgid2 for printf format argument checking.

2001-07-24  Ulrich Drepper  <drepper@redhat.com>

	* iconv/gconv_cache.c (find_module): Don't allocate room for the
	filename.  Use alloca, we don't need it beyond this function.
	(__gconv_release_cache): New function.
	* iconv/gconv_db.c (__gconv_close_transform): Call
	__gconv_release_cache after the steps are handled.
	* iconv/gconv_dl.c (__gconv_find_shlib): Allocate file name in the
	record as well.
	* iconv/gconv_int.h: Add prototype for __gconv_release_cache.

	* iconv/gconv_cache.c (__gconv_lookup_cache): Catch one more
	boundary case and reject it.

2001-07-24  Andreas Jaeger  <aj@suse.de>

	* manual/examples/longopt.c (main): Fix which options take arguments.

2001-07-24  Ulrich Drepper  <drepper@redhat.com>

	* iconvdata/Makefile: Add dependencies for tst-loading test.

2001-07-24  Andreas Jaeger  <aj@suse.de>

	* iconv/iconvconfig.c (name_insert): Make static to avoid warning.

2001-07-23  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/locale.c (write_locales): Disable implicit
	locking for the stream.  Use feof_unlocked instead of feof.

	* sysdeps/unix/sysv/linux/i386/makecontext.S: Initialize %fs, %gs,
	and floating-point status as well.

	* libio/iofclose.c (_IO_new_fclose): Unlink descriptor first to
	avoid deadlock.
	* libio/oldiofclose.c (_IO_old_fclose): Likewise.
	* libio/genops.c (_IO_un_link): Get stream lock since it's not
	always done in the caller.
	(_IO_link_in): Likewise.

	* libio/genops.c (_IO_list_all_stamp): New variable.
	(_IO_un_link): Bump _IO_list_all_stamp after removing from list.
	(_IO_link): Likewise for insertion.
	(flush_cleanup): New function.
	(_IO_flush_all): Get list_all_lock and all individual locks for the
	streams.  Detect and handle changes to the _IO_list_all list.
	(_IO_flush_all_linebuffered): Likewise.
	* sysdeps/generic/bits/stdio-lock.h: Define
	_IO_cleanup_region_start_noarg.
	* sysdeps/mach/hurd/bits/stdio-lock.c: Likewise.

	* stdio-common/printf.h: Fix typo in comment.

	* iconv/gconv_cache.c (__gconv_lookup_cache): Handle encoding from
	and to INTERNAL.
	* iconv/iconvconfig.c: Create a special record for the INTERNAL
	encoding name in the output file.

2001-07-23  Jakub Jelinek  <jakub@redhat.com>

	* sunrpc/svc_tcp.c (svctcp_rendezvous_abort): New function.
	(svctcp_rendezvous_op): Use it.
	* sunrpc/svc_unix.c (svcunix_rendezvous_abort): New function.
	(svcunix_rendezvous_op): Use it.

2001-07-23  Andreas Schwab  <schwab@suse.de>

	* math/Makefile (CPPFLAGS-test-ifloat.c, CPPFLAGS-test-idouble.c,
	CPPFLAGS-test-ildoubl.c): Renamed from CFLAGS-*.
	(math-CPPFLAGS): Set this instead of CPPFLAGS.

2001-07-23  Ulrich Drepper  <drepper@redhat.com>

	* elf/elf.h: Add more definitions from Sun's latest version.

2001-07-23  Stephen L Moshier  <moshier@mediaone.net>

	* sysdeps/ieee754/ldbl-128/s_log1pl.c (__log1pl): Return proper
	sign for 0 input and set divide by zero exception for -1 input.
	Return argument if NaN or infinity.

2001-07-23  Andreas Jaeger  <aj@suse.de>

	* sysdeps/sparc/sparc64/fpu/libm-test-ulps: Add some deltas.

2001-07-23  Ulrich Drepper  <drepper@redhat.com>

	* iconv/gconv_cache.c (__gconv_lookup_cache): Select correct
	module for conversion direction.

2001-07-23  Stephen L Moshier  <moshier@mediaone.net>

	* sysdeps/ieee754/ldbl-128/s_expm1l.c (__expm1l): Return proper
	sign for 0 input.  Return NaN with no exception for NaN input.

2001-07-23  Ulrich Drepper  <drepper@redhat.com>

	* iconv/gconv_builtin.h: ISO-106464/UTF-8/ transformation must
	really be an alias.

2001-07-23  Andreas Jaeger  <aj@suse.de>

	* iconv/iconvconfig.c: Include <sys/cdefs.h> and use
	__attribute_malloc__ for older GCC versions.
	* iconv/strtab.c: Likewise.
	Add prototypes to avoid warnings.

2001-07-22  Roland McGrath  <roland@frob.com>

	* hurd/hurdsig.c (_hurd_internal_post_signal): Support SA_RESETHAND
	and SA_NODEFER options.	 Spurred to action by Igor Khavkine.

	* sysdeps/generic/bits/sigaction.h [__USE_UNIX98 || __USE_MISC]
	(SA_NODEFER, SA_RESETHAND): New macros, same bit values as FreeBSD.
	[__USE_MISC] (SA_INTERRUPT): New macro, value 0.
	[__USE_MISC] (SA_NOMASK, SA_ONESHOT, SA_STACK): New macros, aliases
	as in other sysdeps versions of this file.

	* sysdeps/generic/bits/sigaction.h (struct sigaction): Use a union
	and provide sa_handler and sa_sigaction member names as macros, as
	done in other sysdeps versions of this file.
	Suggested by Igor Khavkine <i_khavki@alcor.concordia.ca>.

2001-07-23  Ulrich Drepper  <drepper@redhat.com>

	* posix/regex.c: Revamp memory allocation for WCHAR functions to
	not use too much stack.

2001-07-22  Ulrich Drepper  <drepper@redhat.com>

	* iconv/iconvconfig.c (write_output): Update comment explaining
	output format.

	* elf/dl-load.c (_dl_dst_count): In SUID binaries expand $ORIGIN
	if it is alone.
	(_dl_dst_substitute): Likewise.

	* iconv/iconvconfig.c: Remove --verbose option.  Comment out
	mcheck_verbose call.

	* iconv/strtab.c (morememory): Fix little memory handling problem.

2001-07-22  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/m68k/sysdep.h (INLINE_SYSCALL): Don't
	mark asm input operand as clobbered.
	* sysdeps/unix/sysv/linux/m68k/brk.c (__brk): Likewise.

2001-07-22  Ulrich Drepper  <drepper@redhat.com>

	* iconv/gconv_builtin.c (struct builtin_map): Remove init and end
	elements.
	(BUILTIN_TRANSFORMATION): Remove Init and End parameters.
	(__gconv_get_builtin_trans): Initialize __init_fct and __end_fct to
	NULL.
	* iconv/gconv_builtin.h: Remove NULL parameters for Init and End in
	all BUILTIN_TRANSFORMATION calls.
	* iconv/gconv_conf.c (BUILTIN_TRANSFORMATION): Remove Init and End
	parameters.
	* iconv/gconv_simple.c: Likewise.
	* iconv/gconv_db.c (gen_steps): Internal converters don't have
	initializers, move the code accordingly.

	* iconv/gconv_conf.c (__gconv_read_conf): Don't read configuration
	file if STATIC_GCONV is defined.

	* iconv/gconv_conf.c (__gconv_path_envvar): New global variable.
	(__gconv_get_path): Use it instead of call getenv.
	(__gconv_read_conf): First see whether cache can be used.  If yes,
	don't do any work here.
	* iconv/gconv_db.c (__gconv_release_step): Renamed from release_step
	and exported.  Change callers.
	(__gconv_find_transform): First call __gconv_lookup_cache and only
	continue if it signals no cache available.  Remove some unnecessary
	tests.
	* iconv/gconv_int.h: Declare __gconv_path_envvar, __gconv_lookup_cache,
	__gconv_release_step, and __gconv_loaded_cache.
	* iconv/gconv_cache.c: New file.
	* iconv/iconvconfig.c: New file.
	* iconv/iconvconfig.h: New file.
	* iconv/strtab.c: New file.
	* iconv/Makefile: Add rules to build new files and programs.

2001-07-20  Roland McGrath  <roland@frob.com>

	* sysdeps/generic/device-nrs.h (DEV_TTY_P): Change argument type
	from `dev_t' (st_rdev value) `const struct stat *'.
	* sysdeps/unix/sysv/linux/device-nrs.h (DEV_TTY_P): Likewise.
	* libio/filedoalloc.c (_IO_file_doallocate): Change caller.
	* sysdeps/mach/hurd/device-nrs.h: New file.

	* libio/stdio_ext.h: Moved to ...
	* stdio-common/stdio_ext.h: ... here.
	* libio/Makefile (headers): Move stdio_ext.h from here ...
	* stdio-common/Makefile (headers): ... to here.
	* include/stdio_ext.h: New file.
	* stdio/Makefile (routines): Add the stdio_ext.h functions here.
	* stdio/Versions (GLIBC_2.2.4): Export the stdio_ext.h functions.
	* stdio/__flbf.c: New file.
	* stdio/__fbufsize.c: New file.
	* stdio/__fpending.c: New file.
	* stdio/__fpurge.c: New file.
	* stdio/__freadable.c: New file.
	* stdio/__freading.c: New file.
	* stdio/__fsetlocking.c: New file.
	* stdio/__fwritable.c: New file.
	* stdio/__fwriting.c: New file.

2001-07-20  Ulrich Drepper  <drepper@redhat.com>
	    Andreas Jaeger  <aj@suse.de>

	* elf/ldconfig.c (search_dir): Avoid use of uninitialized memory.
	Add a few __builtin_expect to mark unlikely error cases.

2001-07-20  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/mips/bits/siginfo.h: Synch with kernel.
	Patch by Daniel Jacobowitz <dan@debian.org>.

2001-07-19  Ulrich Drepper  <drepper@redhat.com>

	* intl/localealias.c: Remove unnecessary prototype.

	* Makefile: Add html goal.
	* manual/Makefile: Likewise.

2001-07-18  Ulrich Drepper  <drepper@redhat.com>

	* libio/filedoalloc.c (_IO_file_doallocate): A few more minor
	cleanups and improvements.

2001-07-18  Andreas Schwab  <schwab@suse.de>

	* posix/regex.c (WORDCHAR_P) [WCHAR]: Also return true for the
	underscore character.

2001-07-18  Jakub Jelinek  <jakub@redhat.com>

	* malloc/malloc (new_heap): Don't call munmap for zero length.

2001-07-18  Ulrich Drepper  <drepper@redhat.com>

	* libio/filedoalloc.c (_IO_file_doallocate): Use DEV_TTY_P if
	available to determine whether descriptor is for tty before
	calling isatty.

	* sysdeps/unix/sysv/linux/device-nrs.h: Define DEV_TTY_P.
	* sysdeps/generic/device-nrs.h: Likewise.

2001-07-18  Andreas Jaeger  <aj@suse.de>

	* time/Makefile (tst-getdate-ENV): Add TZDIR to environment.

	* time/Depend: New, add dependency on timezone.

	* time/tst-getdate.c: Add testcase for bug report by Hendrik
	Uhlmann <HUhlmann@stn-atlas.de>.
	* time/datemsk: Likewise.

2001-07-17  Ulrich Drepper  <drepper@redhat.com>

	* elf/ldconfig.c (parse_conf): Disable implicit locking for the
	stream.  Remove some unnecessary initializers.

2001-07-17  Andreas Jaeger  <aj@suse.de>

	* elf/ldconfig.c: Add new variable hwcap_mask to honour LD_HWCAP_MASK.
	(is_hwcap_platform): Use it.
	(set_hwcap): New function to set hwcap_mask.
	(main): Call set_hwcap.

2001-07-17  Jakub Jelinek  <jakub@redhat.com>

	* time/getdate.c (__getdate_r): Initialize tm_isdst, tm_gmtoff and
	tm_zone before calling strptime.

2001-07-17  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/m68k/getpagesize.c: Fix last change.

2001-07-17  Ulrich Drepper  <drepper@redhat.com>

	* inet/rcmd.c (iruserfopen): Disable implicit locking for the stream.
	* inet/ruserpass.c (ruserpass): Likewise.
	* nss/nsswitch.c (nss_parse_file): Likewise.
	* resolv/res_hconf.c (_res_hconf_init): Likewise.
	* resolv/res_init.c (__res_vinit): Likewise.
	* gmon/bb_exit_func.c (__bb_exit_func): Likewise.
	* misc/getpass.c (getpass): Likewise.
	* misc/getusershell.c (initshells): Likewise.
	* misc/getttyent.c (setttyent): Likewise.
	* misc/mntent_r.c (__setmntent): Likewise.
	* time/getdate.c (__getdate_r): Likewise.
	* time/tzfile.c (__tzfile_read): Likewise.
	* iconv/gconv_conf.c (read_conf_file): Likewise.
	* intl/localealias.c (read_alias_file): Disable implicit locking
	for the stream.  Use _unlocked functions for glibc.
	* sysdeps/unix/sysv/linux/getsysstats.c (__get_nprocs): Disable
	implicit locking for the stream.
	(__get_nprocs_conf): Likewise.
	(phys_pages_info): Likewise.

2001-07-16  Ulrich Drepper  <drepper@redhat.com>

	* nscd/connections.c: Print messages caused by user application
	only if debug_level > 0.  Add little performance improvements.
	Use TEMP_FAILURE_RETRY around write calls.
	* nscd/grpcache.c: Likewise.
	* nscd/hstcache.c: Likewise.
	* nscd/pwdcache.c: Likewise.

2001-07-13  H.J. Lu  <hjl@gnu.org>

	* sysdeps/mips/dl-machine.h (MAP_BASE_ADDR): Removed.
	(elf_machine_got_rel): Defined only if RTLD_BOOTSTRAP is not defined.
	(RESOLVE_GOTSYM): Rewrite to use RESOLVE.

	* sysdeps/mips/rtld-ldscript.in: Removed.
	* sysdeps/mips/rtld-parms: Likewise.
	* sysdeps/mips/mips64/rtld-parms: Likewise.
	* sysdeps/mips/mipsel/rtld-parms: Likewise.

2001-07-16  Ulrich Drepper  <drepper@redhat.com>

	* catgets/test-gencat.sh: Use <<"EOF" instead of <<EOF to prevent
	substitution in here document.

2001-07-16  Andreas Schwab  <schwab@suse.de>

	* sysdeps/posix/spawni.c: Fix typo when iterating over signal numbers.

2001-07-16  Andreas Schwab  <schwab@suse.de>

	* math/libm-test.inc (check_float_internal): Fix sign bit test of
	infinities.

2001-07-16  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/i386/fpu/e_expl.c (__ieee754_expl): Make it PIC friendly.

2001-07-15  Ulrich Drepper  <drepper@redhat.com>

	* malloc/obstack.c: Define __attribute__ for non-gcc compilers.
	Patch by Jim Meyering <jim@meyering.net>.

2001-07-12  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-64/bits/sigaction.h: Reorder
	fields in the sigaction struct to match the definition in the kernel.

2001-07-12  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-32/mmap64.S: Correct the
	test for ENOSYS.

2001-07-12  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/s390-32/bits/setjmp.h: Add leading underscores
	to the entries in the __jmp_buf structure.
	* sysdeps/s390/s390-64/bits/setjmp.h: Likewise.

2001-07-12  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/s390-32/bcopy.S: Use mvcle for big blocks
	(> 64K) and a mvc loop for small blocks.
	* sysdeps/s390/s390-32/memcpy.S: Likewise.
	* sysdeps/s390/s390-64/bcopy.S: Likewise.
	* sysdeps/s390/s390-64/memcpy.S: Likewise.

2001-07-15  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/m68k/sys/procfs.h: New file.
	* sysdeps/unix/sysv/linux/m68k/sys/ucontext.h: New file.

	* sysdeps/unix/sysv/linux/m68k/getpagesize.c: Check _dl_pagesize
	first.  Default to 4096, not EXEC_PAGESIZE.

	* iconv/loop.c (put16) [!_STRING_ARCH_unaligned && BIG_ENDIAN]:
	Fix index.

2001-07-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/dl-procinfo.c: Name entry for xmm2.

	* sysdeps/unix/sysv/linux/i386/dl-procinfo.h: Add HWCAP_I386_XMM,
	HWCAP_I386_XMM2 to enum.

2001-07-13  Andreas Jaeger  <aj@suse.de>

	* libio/fileops.c: Include unistd.h for lseek64 prototype.  Closes
	PR libc/2372.

2001-07-12  Ulrich Drepper  <drepper@redhat.com>

	* Makeconfig: Add some more changes to handle AIX linker better.

2001-07-12  H.J. Lu  <hjl@gnu.org>

	* sysdeps/generic/segfault.c: Include <errno.h>.

2001-07-01  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/dl-sysdep.c (frob_brk): Remove duplicate
	sbrk.  Closes PR libc/2312.

2001-07-01  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/segfault.c (install_handler): Handle case that
	the output file does not exists.  Closes PR libc/2345.

2001-07-11  Ulrich Drepper  <drepper@redhat.com>

	* intl/locale.alias: Use he language code for hebrew, not il
	[PR libc/2382].

2001-07-11  Jakub Jelinek  <jakub@redhat.com>

	* iconv/gconv_int.h: Fix comment typo.

2001-07-11  Igor Khavkine  <i_khavki@alcor.concordia.ca>

	* hurd/hurdsig.c (_hurdsig_init): Remove a useless line of code.

2001-07-07  Roland McGrath  <roland@frob.com>

	* hurd/hurdsig.c (_hurd_thread_sigstate): Use MACH_PORT_NULL, not 0.

2001-07-10  Stephen L Moshier  <moshier@mediaone.net>

	* sysdeps/ieee754/ldbl-128/e_acosl.c (__ieee754_acosl):  Fix
	backwards conditional in test for x == 1.0.

2001-07-10  Andreas Jaeger  <aj@suse.de>

	* sysdeps/sparc/sparc64/fpu/libm-test-ulps: Add ulps for tanh
	(-0.7).

2001-07-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/configure.in: Revert patch from
	2001-07-05 for sysconfdir handling.
	* config.make.in (sysconfdir): Likewise.
	* configure.in: Likewise.

	* configure.in: Always assign libc_cv_sysconfdir.

2001-07-08  Ulrich Drepper  <drepper@redhat.com>

	* Makerules [AIX] (build-shlib-helper): Precede linker options
	with -Wl.

	* Makeconfig (config-LDFLAGS): Add ld.so only for ELF.

	* sysdeps/unix/make_errlist.c: Adjust sys_errlist declaration to
	what we define in <stdio.h>.

	* iconv/iconv_prog.c (main): Don't unconditionally define
	variables only use if _POSIX_MAPPED_FILES is defined.

	* sysdeps/unix/sysv/aix/sendmsg.c (sendmsg): Fix return type.
	* sysdeps/unix/sysv/aix/recvmsg.c (recvmsg): Likewise.

	* sysdeps/unix/sysv/aix/recv.c: New file.

	* sysdeps/unix/sysv/aix/recvfrom.c: Fix various types.

2001-07-07  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/generic/recv.c: Fix return type.

	* sysdeps/unix/sysv/aix/dl-libc.c (__libc_dlclose): Fix typo.

	* sysdeps/unix/sysv/aix/gettimeofday.c (__gettimeofday): Add
	declarations for asm functions.

	* include/libc-symbols.h: Provide more dummy definitions for the
	case if GNU ld isn't used.

	* libio/freopen.c: Include <stdlib.h> for free declaration.
	* libio/freopen64.c: Likewise.

	* sysdeps/alpha/fpu/libm-test-ulps: Add deltas for tanh(-0.7).

2001-07-06  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/i386/sigaction.c (RESTORE2): Put asm
	explicitly into .text section.

2001-04-16  Jes Sorensen  <jes@linuxcare.com>

	* sysdeps/unix/sysv/linux/ia64/bits/sigcontext.h (struct sigcontext):
	Add 16 longwords reserved for future use to match changes in the
	kernel.

2001-07-03  Jes Sorensen  <jes@trained-monkey.org>

	* sysdeps/ia64/strncpy.S: Call strnlen() when determining the
	string length rather than strlen(). Solves the performance problem
	of doing strlen on a 5MB string when strncpy was called with a
	length argument of 5 bytes.

2001-07-02  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/sparc/sparc32/dl-machine.h (elf_machine_rela): Handle
	R_SPARC_UA16 and R_SPARC_UA32.
	* sysdeps/sparc/sparc64/dl-machine.h (elf_machine_rela): Likewise.

2001-07-01  Stephen L Moshier  <moshier@mediaone.net>

	* sysdeps/ieee754/ldbl-96/e_acoshl.c (__ieee754_acoshl):
	acosh(x) = ln(2x) if x > 2^30.
	* sysdeps/ieee754/ldbl-128/e_acoshl.c (__ieee754_acoshl):
	acosh(x) = ln(2x) if x > 2^54.

2001-07-07  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/hurd/i386/exc2signal.c (_hurd_exception2signal):
	Generate SIGSEGV instead of SIGBUS for KERN_INVALID_ADDRESS and
	KERN_WRITE_PROTECTION_FAILURE.

2001-07-07  Ulrich Drepper  <drepper@redhat.com>

	* posix/regex.c: Limit string length printed in debug messages to
	100 chars.

	* configure.in: Don't warn about versioning if not on ELF system.

2001-07-07  Andreas Jaeger  <aj@suse.de>

	* sysdeps/*: Put files from GNU MP Library under LGPL v2.1.

2001-07-06  Ulrich Drepper  <drepper@redhat.com>

	* po/gl.po: Update from translation team.

2001-07-06  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/configure.in: Fix handling of
	sysconfdir.

	* manual/libc-texinfo.sh: Add note for the FDL.

	* manual/argp.texi (Argp Example 4): Fix texinfo warning.

	* manual/libc.texinfo: Regenerated.

	* manual/fdl.texi: Fix node.

	* config.make.in (sysconfdir): Replace correctly.
	Closes PR libc/2369, reported by Peter Simons <simons@cryp.to>.

	* sysdeps/unix/sysv/linux/alpha/configure.in: Removed, it's no
	longer needed.

	* sysdeps/unix/sysv/linux/configure.in (libc_cv_linuxVER): Add
	case for alpha.
	Rework handling of missing linuxthreads add-on.

	* configure.in: Remove unused sysconfdir substitution.

	* manual/Makefile (texis): Add fdl.texi.
	* manual/fdl.texi: New.
	* manual/socket.texi (Host Names): Improve grammar, fix overflow hbox.
	* manual/libc.texinfo: Add fdl, update titlepage.
	Patches by Brian Youmans <3diff@gnu.org>.

	* sysdeps/unix/make_errlist.c (main): Print LGPL v2.1 for
	generated file.

2001-07-06  Paul Eggert  <eggert@twinsun.com>

	* manual/argp.texi: Remove ignored LGPL copyright notice; it's
	not appropriate for documentation anyway.
	* manual/libc-texinfo.sh: "Library General Public License" ->
	"Lesser General Public License".
	* COPYING: Fix Y2k bug in sample copyright notices.
	* manual/lesser.texi: Renamed from manual/lgpl.texinfo,
	as fsf.org uses the name "lesser.texi".
	* manual/Makefile (texis): Follow rename.

2001-07-06  Andreas Jaeger  <aj@suse.de>

	* All files under GPL/LGPL version 2: Place under LGPL version
	2.1.

2001-07-05  Andreas Jaeger  <aj@suse.de>

	Synch with Linux 2.4.6:
	* sysdeps/unix/sysv/linux/sparc/bits/socket.h (PF_BLUETOOTH):
	New.
	(AF_BLUETOOTH): New.

	* sysdeps/unix/sysv/linux/s390/s390-64/bits/socket.h
	(PF_BLUETOOTH): New.
	(AF_BLUETOOTH): New.

	* sysdeps/unix/sysv/linux/mips/bits/socket.h (AF_BLUETOOTH): New.
	(PF_BLUETOOTH): New.

	* sysdeps/unix/sysv/linux/ia64/bits/socket.h (AF_BLUETOOTH): New.
	(PF_BLUETOOTH): New.

	* sysdeps/unix/sysv/linux/alpha/bits/socket.h (PF_BLUETOOTH): New.
	(AF_BLUETOOTH): New.

	* sysdeps/unix/sysv/linux/bits/socket.h (PF_BLUETOOTH): New.
	(AF_BLUETOOTH): New.

	* sysdeps/unix/sysv/linux/net/if_arp.h (ARPHRD_IEEE80211): New.

	* sysdeps/unix/sysv/linux/powerpc/bits/termios.h (N_HCI): New.

	* sysdeps/unix/sysv/linux/mips/bits/ioctl-types.h (N_HCI): New.

	* sysdeps/unix/sysv/linux/bits/ioctl-types.h (N_HCI): New.

2001-07-04  Roland McGrath  <roland@frob.com>

	* hurd/hurdsig.c (_hurd_internal_post_signal): For SS->suspended
	wakeup message, use MACH_MSG_TYPE_MAKE_SEND for the receiver port
	rather than doing a mach_port_insert_right call first.

2001-06-26  Roland McGrath  <roland@frob.com>

	* hurd/hurdioctl.c: Include <string.h> for memcpy decl.

2001-07-03  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/sysv4/solaris2/configure.in: Remove check for
	crypt add-on.

2001-07-01  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/hurd/if_index.c: Redone to use new interfaces in
	the Hurd pfinet server, using equivalent code from the Linux
	version in sysdeps/unix/sysv/linux/if_index.c. In detail:
	Include <unistd.h>, <error.h>, <sys/ioctl.h>, <hurd/ioctl.h> and
	<hurd/pfinet.h>.  Don't include <sys/mman.h> and <hurd/fsys.h>
	anymore.
	(if_nametoindex): New implementation using SIOCGIFINDEX.
	(if_freenameindex): Straight copy of the Linux version.
	(if_nameindex): New implementation based on pfinet_siocgifconf and
	SIOCGIFINDEX.
	(if_indextoname): New implementation using SIOCGIFNAME.
	(map_interfaces): Function removed.
	From Marcus Brinkmann <marcus@gnu.org>.

2001-06-30  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/powerpc/dl-machine.c (__elf_preferred_address): Prefer
	gaps below main executable.

2001-06-19  Andreas Jaeger  <aj@suse.de>

	* sysdeps/powerpc/dl-machine.h (ELF_MACHINE_RUNTIME_TRAMPOLINE):
	Handle profiling.

2001-06-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/s_asinhl.c: New file.
	Patch by Stephen L Moshier <moshier@mediaone.net>.

2001-06-28  Ulrich Drepper  <drepper@redhat.com>

	* manual/argp.texi: Tons of cleanups.
	Patch by Clifford U. Smith <cuel@swbell.net>.

2001-06-28  Mark Kettenis  <kettenis@gnu.org>

	* manual/users.texi (Setting Groups): Correct initgroups
	documentation.  Add documentation for getgrouplist.

2001-06-28  H.J. Lu  <hjl@gnu.org>

	* locale/findlocale.c (locale_file_list): Renamed to ...
	(_nl_locale_file_list): This.  Make it extern.
	(free_mem): Move to ...
	* locale/setlocale.c (free_mem): Here.

2001-06-28  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/hurd/read.c: Include <hurd/fd.h>.
	(__libc_read): Don't call __pread.  Use _hurd_fd_read directly
	instead.
	* sysdeps/mach/hurd/write.c: Include <hurd/fd.h>.
	(__libc_write): Don't call __pwrite.  Use _hurd_fd_write directly
	instead.

	* sysdeps/mach/hurd/Makefile ($(link-rpcuserlibs)): Add back
	-Wl,-soname option lost in 2001-06-16 change.

2001-06-27  Ulrich Drepper  <drepper@redhat.com>

	* posix/tst-regex.c: Pass REG_NEWLINE to regcomp.  Add extra tests.
	Restrict printing of string in debug mode to 100 characters to make
	the output useful for long input texts.

	* posix/Makefile: Add rules to build and run tst-regex.

2001-06-20  Isamu Hasegawa  <isamu@yamato.ibm.com>

	* posix/regex.c (FREE_WCS_BUFFERS): New macro to free buffers.
	(re_search_2): Invoke convert_mbs_to_wcs and FREE_WCS_BUFFERS.
	(wcs_re_match_2_internal): Check whether the wcs buffers need
	seting up or not, and skip seting up routin if not needed.

2001-06-26  Isamu Hasegawa  <isamu@yamato.ibm.com>

	* posix/regex.c (count_mbs_length): Use binary search for optimization.

2001-06-27  Ulrich Drepper  <drepper@redhat.com>

	* posix/tst-regex.c: Fix several bugs.  Add more tests.

2001-06-26  Mark Kettenis  <kettenis@gnu.org>

	* hurd/Makefile (user-interfaces): Add pfinet.
	* hurd/hurdioctl.c: Include <hurd/pfinet.h>, <net/if.h> and
	<netinet/in.h>.
	(siocgifconf): New function.  Register it with HURD_HANDLE_IOCTL
	as the handler for SIOCGIFCONF.
	* sysdeps/mach/hurd/bits/ioctls.h: Modify SIOCSIFFLAGS and
	SIOCGIFFLAGS to be of IOC type ifreq_short.  Modify SIOCSIFMETRIC
	and SIOCGIFMETRIC to be of IOC type ifreq_int.  Add new macro
	definitions for SIOCGIFMTU, SIOCSIFMTU, SIOCGIFINDEX and
	SIOCGIFNAME.
	From Marcus Brunkmann <marcus@gnu.org>.

2001-06-25  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/gnu/net/if.h: Correct _IOT_ifreq and add _IOT_ifreq_short
	and _IOT_ifreq_int.  Patch by Mark Kettenis <kettenis@wins.uva.nl>.

	* elf/dl-deps.c (_dl_map_object_deps): Fix handling of failing
	_dl_catch_error calls.

2001-06-22  Jakub Jelinek  <jakub@redhat.com>

	* posix/regex.c (regex_compile, re_match_2_internal): Fix comment
	typos.

2001-06-01  Wolfram Gloger  <wg@malloc.de>

	* malloc/malloc.c (malloc_atfork, free_atfork): Use a unique value
	ATFORK_ARENA_PTR, not 0, for the thread-specific arena pointer
	when malloc_atfork is in use.

2001-06-22  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/s_nextafterl.c (__nextafterl): Add parenthese
	to avoid warnings.

	* sysdeps/i386/fpu/e_expl.c (__ieee754_expl): Remove unused
	variable.
	Add unused attributes to avoid warnings.

	* elf/reldep4mod4.c: Add prototype to avoid warning.
	* elf/reldep4mod2.c: Likewise.

	* sysdeps/i386/fpu/e_expl.c: Include <math_private.h> for
	prototypes.

2001-06-18  Roland McGrath  <roland@frob.com>

	* hurd/hurd/fd.h (_hurd_fd_error_signal): Change return type to int.

2001-06-20  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/settimeofday.c: Include time.h.

2001-06-19  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-64/dl-cache.h: New file.

2001-05-09  Michael Keezer  <mkeezer@redhat.com>

	* Makeconfig: Added AIX-ld support for DSO.
	* Makerules: Likewise.
	* dlfcn/Makefile (defaultmod1.so): Added libc_nonshared.
	(defaultmod2.so): Likewise.
	* debug/Makefile: Conditionalize use of elf/ld.so.
	* iconvdata/Makefile: Moved LDFLAG rpath/soname info into Makeconfig.

	* sysdeps/unix/sysv/aix/Makefile: Added dl-support.c and dl-error.c.
	* sysdeps/unix/sysv/aix/Makefile: Made (f/g)rsave(0/1) &
	(f/g)prrest(0/1) static only.
	* sysdeps/unix/sysv/aix/gettimeofday.c: Removed #if 0.
	* sysdeps/unix/sysv/aix/start.c: Define __dso_handle if not ELF but
	shared.
	* sysdeps/unix/sysv/aix/setitimer.c: New file.
	* sysdeps/unix/sysv/aix/sleep.c: New file.
	* sysdeps/unix/sysv/aix/usleep.c: New file.
	* sysdeps/unix/sysv/aix/dl-addr.c: New file.
	* sysdeps/unix/sysv/aix/dl-error.c: New file.
	* sysdeps/unix/sysv/aix/dl-support.c: New file.
	* sysdeps/unix/sysv/aix/powerpc/register-dump.h: New file.

2001-06-19  Ulrich Drepper  <drepper@redhat.com>

	* po/es.po: Update from translation team.

2001-06-19  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/s_tanhl.c: New file.

	* math/libm-test.inc (tanh_test): Test for 2^-56.

	* sysdeps/ieee754/ldbl-96/s_tanhl.c (__tanhl): Make sure result
	equals argument when x < 2^-55.
	Patches by Stephen L. Moshier <moshier@na-net.ornl.gov>.

2001-06-17  Alan Modra  <amodra@bigpond.net.au>

	* sysdeps/hppa/dl-machine.h (elf_machine_rela): Handle relocs
	at unaligned address.

2001-06-18  Ulrich Drepper  <drepper@redhat.com>

	* posix/regex.c: Reorganize code to build code twice, once for single
	byte, once for multi-byte charsets.  Choose function set adequate for
	locale at runtime.
	Patch by Isamu Hasegawa <isamu@yamato.ibm.com>.

	* po/nl.po: Update from translation team.

2001-06-09  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/gconv-modules (BIG5HKSCS): New alias BIG5-HKSCS.
	(ISO-8859-14): New aliases ISO_8859-14 and ISO-CELTIC.
	* iconvdata/tst-tables.sh: For BIG5HKSCS, use BIG5-HKSCS charmap.

2001-05-26  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/tst-tables.sh: For SJIS module, use SHIFT_JIS charmap.
	* manual/charset.texi: Write Shift_JIS, not Shift-JIS.

2001-06-17  Roland McGrath  <roland@frob.com>

	* sysdeps/pthread/aio_misc.h (LIO_DSYNC): Define to LIO_NOP + 1,
	not LIO_READ + 1 (which is the value of LIO_WRITE!).

	* Makerules (build-module-helper-objlist): New variable,
	broken out of build-module.  Insert --whole-archive/--no-whole-archive
	immediately each *_pic.a file in the link object list.
	(whole-archive): New variable, used by that.
	(build-module-objlist): New variable using build-module-helper-objlist.
	(build-module, build-module-helper): Use it.
	(build-shlib-objlist): New variable using build-module-helper-objlist.
	(build-shlib): Use that.
	* sysdeps/mach/hurd/Makefile ($(link-rpcuserlibs)): Likewise.

	* posix/spawni.c: Moved to ...
	* sysdeps/posix/spawni.c: ... here.
	* sysdeps/generic/spawni.c: New file.

2001-06-16  Roland McGrath  <roland@frob.com>

	* hurd/Makefile (routines): Add lookup-retry.
	* hurd/hurdlookup.c (__hurd_file_name_lookup_retry): Broken out ...
	* hurd/lookup-retry.c: ... into here, new file.
	* sysdeps/mach/hurd/dl-sysdep.c (open_file): Call that instead
	using of duplicate code here.

	* hurd/hurdexec.c (_hurd_exec): Be robust for DTABLESIZE==0.

2001-06-17  Ulrich Drepper  <drepper@redhat.com>

	* po/ja.po: Update from translation team.

2001-06-04  Bruno Haible  <haible@clisp.cons.org>

	* locale/programs/locfile.c (siblings_uncached, siblings, full_read,
	compare_files): New functions.
	(write_locale_data): Use xmalloc.  Compare the file with the locale
	data files for the same category in other locales, and reuse it if
	possible and safe.

2001-06-07  Mark Kettenis  <kettenis@gnu.org>

	* grp/initgroups.c (initgroups): Factor out re-usable code into...
	(internal_getgrouplist): ... new function.
	(getgrouplist): New function.
	* grp/grp.h (getgrouplist): New prototype.
	* grp/Versions [2.2.4]: Add getgrouplist.

2001-06-16  Ulrich Drepper  <drepper@redhat.com>

	* inet/netinet/ip6.h: Fix comments in ip6_hdr.
	Patch by Pekka Savola <pekkas@netcore.fi>.

2001-06-15  Roland McGrath  <roland@frob.com>

	* rt/Makefile (aio-routines, clock-routines, timer-routines): New
	variables, broken out of librt-routines.
	(librt-routines): Set using those.
	(extra-libs, extra-libc-others, tests): Set these unconditionally.
	(distribute): No need for $(librt-map) or $(librt-routines:=.c) here.
	* sysdeps/generic/aio_fsync.c: New file.
	* sysdeps/generic/aio_misc.c: New file.
	* sysdeps/generic/aio_write.c: New file.
	* sysdeps/generic/aio_write64.c: New file.
	* sysdeps/generic/aio_read64.c: New file.
	* sysdeps/generic/aio_read.c: New file.
	* sysdeps/generic/aio_notify.c: New file.
	* sysdeps/generic/lio_listio64.c: New file.
	* sysdeps/generic/lio_listio.c: New file.
	* sysdeps/generic/aio_cancel.c: New file.
	* sysdeps/generic/aio_misc.h: New file.
	* sysdeps/generic/aio_suspend.c: New file.
	* rt/aio_cancel.c: Moved to ...
	* sysdeps/pthread/aio_cancel.c: ... here.
	* rt/aio_fsync.c: Moved to ...
	* sysdeps/pthread/aio_fsync.c: ... here.
	* rt/aio_misc.c: Moved to ...
	* sysdeps/pthread/aio_misc.c: ... here.
	* rt/aio_misc.h: Moved to ...
	* sysdeps/pthread/aio_misc.h: ... here.
	* rt/aio_notify.c: Moved to ...
	* sysdeps/pthread/aio_notify.c: ... here.
	* rt/aio_read.c: Moved to ...
	* sysdeps/pthread/aio_read.c: ... here.
	* rt/aio_read64.c: Moved to ...
	* sysdeps/pthread/aio_read64.c: ... here.
	* rt/aio_suspend.c: Moved to ...
	* sysdeps/pthread/aio_suspend.c: ... here.
	* rt/aio_write.c: Moved to ...
	* sysdeps/pthread/aio_write.c: ... here.
	* rt/aio_write64.c: Moved to ...
	* sysdeps/pthread/aio_write64.c: ... here.
	* rt/lio_listio.c: Moved to ...
	* sysdeps/pthread/lio_listio.c: ... here.
	* rt/lio_listio64.c: Moved to ...
	* sysdeps/pthread/lio_listio64.c: ... here.

2001-06-14  Roland McGrath  <roland@frob.com>

	* configure.in: Let sysdeps Implies files in add-ons bring in
	sysdeps directories from the main source and other add-ons too.

2001-06-15  Jakub Jelinek  <jakub@redhat.com>

	* math/test-misc.c (main): Add tests for nextafter and nexttoward
	with +-Inf as second argument.

	* sysdeps/generic/s_nexttowardf.c (__nexttowardf): Only check for
	NaN, not Inf.
	* sysdeps/i386/fpu/s_nextafterl.c (__nextafterl): Fix check for NaN.
	* sysdeps/i386/fpu/s_nexttoward.c: New.
	* sysdeps/i386/fpu/s_nexttowardf.c: New.
	* sysdeps/ieee754/ldbl-96/s_nexttoward.c (__nexttoward): Simplify
	check for NaN, optimize x==+-0 handling.
	* sysdeps/ieee754/ldbl-96/s_nexttowardf.c (__nexttowardf): Likewise.
	* sysdeps/ieee754/ldbl-96/s_nextafterl.c (__nextafterl): Simplify
	check for NaN, fix sign in x==+-0 case.
	* sysdeps/ia64/fpu/s_nexttoward.c: New.
	* sysdeps/ia64/fpu/s_nexttowardf.c: New.

2001-06-15  H.J. Lu  <hjl@gnu.org>

	* rt/tst-aio2.c (do_test): Initialize cb.aio_offset to 0.
	* rt/tst-aio3.c (do_test): Likewise.
	* rt/tst-aio4.c (do_test): Likewise.
	* rt/tst-aio5.c (do_test): Likewise.
	* rt/tst-aio6.c (do_test): Likewise.

2001-06-15  Andreas Schwab  <schwab@suse.de>

	* sysdeps/m68k/fpu/bits/mathinline.h: Don't define log2 as inline.
	* sysdeps/m68k/fpu/mathimpl.h: Define __ieee754_log2 as inline.

2001-06-15  Andreas Jaeger  <aj@suse.de>

	* gmon/tst-sprofil.c (fac): Make static to avoid compiler warning.

2001-06-14  Andreas Schwab  <schwab@suse.de>

	* elf/ldconfig.c (search_dir): Fix check for regular file.

	* sysdeps/m68k/fpu/e_log2f.c: Fix typo.
	* sysdeps/m68k/fpu/e_log2l.c: Fix typo.

2001-06-14  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/bits/fcntl.h [ __USE_POSIX199309 || __USE_UNIX98]:
	(O_DSYNC, O_RSYNC): New macros, both defined to O_SYNC as Linux does.

2001-06-13  Roland McGrath  <roland@frob.com>

	* rt/aio_notify.c: Include <unistd.h> for _POSIX_REALTIME_SIGNALS.

	* sysdeps/mach/hurd/fork.c (LOSE): Put `goto lose' in dead code
	so the label is not considered unused.

	* sysdeps/mach/hurd/pwrite64.c: New file.
	* sysdeps/mach/hurd/pread64.c: New file.

	* sysdeps/mach/hurd/pread.c
	(__libc_pread): Define this name, with __pread as an alias.
	* sysdeps/mach/hurd/pwrite.c
	(__libc_pwrite): Define this name, with __pwrite as an alias.

	Implement POSIX "shared memory objects" as regular
	files residing in the /var/run/shm/ directory.
	This works on any system that supports _POSIX_MAPPED_FILES,
	to make it also support _POSIX_SHARED_MEMORY_OBJECTS.
	* sysdeps/posix/shm_open.c: New file.
	* sysdeps/posix/shm_unlink.c: New file.
	* sysdeps/mach/hurd/bits/posix_opt.h
	(_POSIX_SHARED_MEMORY_OBJECTS): Define it.

	* rt/aio_notify.c (__aio_notify_only) [! _POSIX_REALTIME_SIGNALS]:
	Use raise instead of __aio_sigqueue.

	* sysdeps/mach/hurd/pread.c: Fail with EINVAL if OFFSET is negative.
	* sysdeps/mach/hurd/pwrite.c: Likewise.

	* shlib-versions [USE_IN_LIBIO] (.*-.*-gnu-gnu.*): libc=0.3
	[USE_IN_LIBIO && !GLIBC_OLDEST_ABI] (.*-.*-gnu-gnu.*): Use GLIBC_2.2.4
	as default version set.

2001-06-13  Ulrich Drepper  <drepper@redhat.com>

	* libio/iolibio.h (_IO_freopen): Correct last parameter to
	_IO_file_open.
	(_IO_freopen64): Likewise.
	Reported by simanek@quantum.karlov.mff.cuni.cz [PR libc/2326].

	* elf/elf.h: Add a few more EM_* constants.

2001-06-12  Bruno Haible  <haible@clisp.cons.org>

	* intl/dcigettext.c (DCIGETTEXT): Release the lock before returning.

2001-06-09  Ben Collins  <bcollins@debian.org>

	* sysdeps/unix/sysv/linux/bits/termios.h: Define __MAX_BAUD.
	* sysdeps/unix/sysv/linux/alpha/bits/termios.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/termios.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/termios.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/termios.h: Likewise.
	* sysdeps/unix/sysv/linux/speed.c: Use __MAX_BAUD instead of
	hardcoded B400000.

2001-06-13  Ulrich Drepper  <drepper@redhat.com>

	* time/sys/time.h: Don't use enum __itimer_which ever for
	__itimer_which_t for C++.
	Reported by Martin Buchholz <martin@xemacs.org>.

	* po/fr.po: Update from translation team.

2001-06-12  H.J. Lu  <hjl@gnu.org>

	* configure.in: Fix typos in missing program names.
	* configure: Regenerated.

2001-06-12  Andreas Jaeger  <aj@suse.de>

	* iconvdata/tst-table-to.c: Include string.h for strcmp prototype.

	* sysdeps/sparc/sparc32/fpu/libm-test-ulps: Add ULPs for tanh (-0.7).

2001-06-11  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/e_coshl.c: New file.  Contributed by
	Stephen L Moshier <moshier@mediaone.net>.

	* aclocal.m4: Quote AC_FD_MSG and AC_FD_CC.

	* sysdeps/powerpc/fpu/libm-test-ulps: Add ULPs for tanh (-0.7).
	* sysdeps/s390/fpu/libm-test-ulps: Likewise.

2001-06-11  Michael Deutschmann  <michael@talamasca.ocis.net>

	* rt/tst-aio4.c (do_test): Test whether rt signals are supported.
	Use my_signo instead of MY_SIGNO and initialize it so that the
	used signal is always available.

2001-06-11  Andreas Jaeger  <aj@suse.de>,
	    Michael Deutschmann  <michael@talamasca.ocis.net>

	* io/test-lfs.c (do_prepare): Clean up error messages.
	(test_ftello): Check for EFBIG and ENOSPC, clean up error messages.
	(do_test): Likewise.

2001-06-11  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/powerpc/bits/termios.h (IXANY, IUCLC,
	IMAXBEL): Make always visible since they're needed by POSIX.
	Closes PR libc/2320, reported by Chris Yeoh <cyeoh@samba.org>.

2001-06-10  Ben Collins  <bcollins@debian.org>

	* sysdeps/arm/elf/start.S: Use #function, not @function, for
	.type of _start.

	* sysdeps/ieee754/ldbl-128/s_ilogbl.c: Include limits.h to get
	INT_MAX.

2001-06-07  H.J. Lu  <hjl@gnu.org>

	* sunrpc/rpc/rpc.h: Add __BEGIN_DECLS/__END_DECLS.

2001-06-10  Roland McGrath  <roland@frob.com>

	* elf/reldep4mod2.c: Use fully typed decls to avoid warnings.
	* elf/reldep4mod4.c: Likewise.

2001-06-10  Mark Kettenis  <kettenis@gnu.org>

	* hurd/hurd/threadvar.h: Add prototype for __hurd_errno_location.

2001-06-08  Andreas Schwab  <schwab@suse.de>

	* posix/regex.c (re_match_2_internal) [case wordbeg, wordend]:
	Don't dereference at end of string.

2001-06-06  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/getsockopt.c: Fix handling of returned buffer size.
	From Robert Bihlmeyer <robbe@orcus.priv.at>.

2001-06-06  Ulrich Drepper  <drepper@redhat.com>

	* po/ko.po: Update from translation team.

2001-06-06  Andreas Jaeger  <aj@suse.de>

	* manual/llio.texi (Memory-mapped I/O): Clarify that mapping is to
	offset+length-1.
	Reported by Robert Bernecky <bernecky@acm.org>.

2001-06-06  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/cris/elf/start.S: Fix a typo introduced by last patch.
	* sysdeps/ia64/elf/start.S: Likewise.
	* sysdeps/sh/elf/start.S: Likewise.
	* sysdeps/s390/s390-32/elf/start.S: Likewise.
	* sysdeps/s390/s390-64/elf/start.S: Likewise.

2001-06-05  Matthew Wilcox  <willy@ldl.fc.hp.com>

	* sysdeps/hppa/bsd-_setjmp.S: New.
	* sysdeps/hppa/bsd-setjmp.S: New.

	* sysdeps/hppa/dl-machine.h: Reformat asm statements to remove new
	gcc warnings about multi-line strings.

	* sysdeps/unix/sysv/linux/hppa/getrlimit.c: Remove.
	* sysdeps/unix/sysv/linux/hppa/setrlimit.c: Remove.

	* sysdeps/unix/sysv/linux/hppa/syscalls.list: Call getrlimit,
	setrlimit directly instead of using wrappers.

2001-05-01  Richard Hirst  <rhirst@linuxcare.com>

	* sysdeps/unix/sysv/linux/hppa/syscall.S: remove dummy syscall.
	* sysdeps/unix/sysv/linux/hppa/sysdep.c: implement syscall.

2001-06-05  Philipp Thomas  <pthomas@suse.de>

	* nis/nis_call.c (__nisbind_connect): Don't mark for translation
	what can't be translated.

2001-06-06  Ulrich Drepper  <drepper@redhat.com>

	* timezone/zic.c: Update from tzcode2001c.
	* timezone/private.h: Likewise.
	* timezone/africa: Update from tzdata2001c.
	* timezone/asia: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/zone.tab: Likewise.

2001-06-04  Bruno Haible  <haible@clisp.cons.org>

	* iconv/loop.c (UNICODE_TAG_HANDLER): New macro.
	* iconv/gconv_simple.c (__gconv_transform_internal_ascii): Invoke
	UNICODE_TAG_HANDLER.
	(__gconv_transform_internal_ucs2): Likewise.
	(__gconv_transform_internal_ucs2reverse): Likewise.
	* iconvdata/8bit-gap.c (BODY for TO_LOOP): Invoke UNICODE_TAG_HANDLER.
	* iconvdata/8bit-generic.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ansi_x3.110.c (BODY for TO_LOOP): Likewise.
	* iconvdata/big5.c (BODY for TO_LOOP): Likewise.
	* iconvdata/big5hkscs.c (BODY for TO_LOOP): Likewise.
	* iconvdata/cp1255.c (BODY for TO_LOOP): Likewise.
	* iconvdata/cp1258.c (BODY for TO_LOOP): Likewise.
	* iconvdata/euc-cn.c (BODY for TO_LOOP): Likewise.
	* iconvdata/euc-jp.c (BODY for TO_LOOP): Likewise.
	* iconvdata/euc-kr.c (BODY for TO_LOOP): Likewise.
	* iconvdata/euc-tw.c (BODY for TO_LOOP): Likewise.
	* iconvdata/gbk.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ibm930.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ibm932.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ibm933.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ibm935.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ibm937.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ibm939.c (BODY for TO_LOOP): Likewise.
	* iconvdata/ibm943.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso646.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso8859-1.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso_6937.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso_6937-2.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso-2022-cn.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso-2022-cn-ext.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso-2022-kr.c (BODY for TO_LOOP): Likewise.
	* iconvdata/johab.c (BODY for TO_LOOP): Likewise.
	* iconvdata/sjis.c (BODY for TO_LOOP): Likewise.
	* iconvdata/t.61.c (BODY for TO_LOOP): Likewise.
	* iconvdata/uhc.c (BODY for TO_LOOP): Likewise.
	* iconvdata/unicode.c (BODY for TO_LOOP): Likewise.
	* iconvdata/iso-2022-jp.c (TAG_none, TAG_language, TAG_language_j,
	TAG_language_ja, TAG_language_k, TAG_language_ko, TAG_language_z,
	TAG_language_zh, CURRENT_TAG_MASK): New enum values.
	(EMIT_SHIFT_TO_INIT): Don't emit an escape sequence if ASCII_set
	is already selected but set2 or tag are set.
	(conversion): New enum type.
	(cvlist_t): New type.
	(CVLIST, CVLIST_FIRST, CVLIST_REST): New macros.
	(conversion_lists): New array.
	(BODY for TO_LOOP): Keep track of Unicode 3.1 language tag.  If "ja",
	prefer conversion to Japanese character sets.  If "zh", prefer
	conversion to GB2312.  If "ko", prefer conversion to KSC5601.  Small
	optimizations.
	(INIT_PARAMS): Add tag.
	(UPDATE_PARAMS): Add tag.

2001-06-04  Bruno Haible  <haible@clisp.cons.org>

	* locale/programs/locfile.c (write_locale_data): Before creat(),
	unlink the file, to avoid crashing the processes that mmap it.  Change
	a double slash to a single slash.  Free fname in case of error return.

2001-06-02  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/i386/fpu/s_frexpl.S (__frexpl): Mostly revert 2000-12-03
	changes, do the special handling for denormal numbers, not for
	normalized numbers (patch by <trevin@xmission.com>).

	* math/test-misc.c (main): Test frexpl with denormal arguments.

2001-06-04  Jakub Jelinek  <jakub@redhat.com>

	* math/libm-test.inc (llround_test): Add two new llround tests.
	* sysdeps/ieee754/ldbl-96/s_llroundl.c (__llroundl): Don't allow
	overflow when rounding away from zero.

2001-06-04  Jakub Jelinek  <jakub@redhat.com>

	* math/Makefile (libm-calls): Add e_log2, w_log2, remove s_log2.
	* math/math_private.h (__ieee754_log2, __ieee754_log2f,
	__ieee754_log2l): New prototypes.
	* sysdeps/generic/w_log2.c: New file.
	* sysdeps/generic/w_log2f.c: New file.
	* sysdeps/generic/w_log2l.c: New file.
	* sysdeps/generic/s_log2l.c: Move...
	* sysdeps/generic/e_log2l.c: ...to here.  Rename to __ieee754_log2l.
	* sysdeps/ieee754/k_standard.c (__kernel_standard): Handle log2(0)
	and log2(x < 0).
	* sysdeps/i386/fpu/s_log2.S: Move...
	* sysdeps/i386/fpu/e_log2.S: ...to here.  Rename to __ieee754_log2.
	* sysdeps/i386/fpu/s_log2f.S: Move...
	* sysdeps/i386/fpu/e_log2f.S: ...to here.  Rename to __ieee754_log2f.
	* sysdeps/i386/fpu/s_log2l.S: Move...
	* sysdeps/i386/fpu/e_log2l.S: ...to here.  Rename to __ieee754_log2l.
	* sysdeps/m68k/fpu/s_log2.c: Move...
	* sysdeps/m68k/fpu/e_log2.c: ...to here.  Rename to __ieee754_log2.
	* sysdeps/m68k/fpu/s_log2f.c: Move...
	* sysdeps/m68k/fpu/e_log2f.c: ...to here.  Rename to __ieee754_log2f.
	* sysdeps/m68k/fpu/s_log2l.c: Move...
	* sysdeps/m68k/fpu/e_log2l.c: ...to here.  Rename to __ieee754_log2l.
	* sysdeps/ieee754/dbl-64/s_log2.c: Move...
	* sysdeps/ieee754/dbl-64/e_log2.c: ...to here.  Rename to
	__ieee754_log2.
	* sysdeps/ieee754/flt-32/s_log2f.c: Move...
	* sysdeps/ieee754/flt-32/e_log2f.c: ...to here.  Rename to
	__ieee754_log2f.

2001-06-04  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/w_exp2.c (u_threshold): Lower threshold so that
	even arguments which result in denormalized exp2 are accepted.
	(__exp2): Arguments equal to u_threshold already result into
	underflow.
	* sysdeps/generic/w_exp2f.c (u_threshold, __exp2f): Likewise.
	* sysdeps/generic/w_exp2l.c (u_threshold, __exp2l): Likewise.
	* sysdeps/ieee754/dbl-64/e_exp2.c (__ieee754_exp2): Lomark was too
	low, with corrected lowmark use greaterequal, not greater.
	* sysdeps/ieee754/flt-32/e_exp2f.c (__ieee754_exp2f): Likewise.

2001-06-04  Jakub Jelinek  <jakub@redhat.com>

	* math/libm-test.inc (ilogb_test): Test that ilogb(+-Inf) == INT_MAX.
	* sysdeps/i386/fpu/s_ilogb.S (__ilogb): Return INT_MAX for +-Inf.
	* sysdeps/i386/fpu/s_ilogbf.S (__ilogbf): Likewise.
	* sysdeps/i386/fpu/s_ilogbl.S (__ilogbl): Likewise.
	* sysdeps/ieee754/dbl-64/s_ilogb.c (__ilogb): Likewise.
	* sysdeps/ieee754/flt-32/s_ilogbf.c (__ilogbf): Likewise.
	* sysdeps/ieee754/ldbl-128/s_ilogbl.c (__ilogbl): Likewise.
	* sysdeps/ieee754/ldbl-96/s_ilogbl.c (__ilogbl): Likewise.

2001-06-04  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/w_coshl.c (__coshl): Test if finite argument
	gave non-finite result instead of using constant in generic
	version.
	* sysdeps/generic/w_coshf.c (__coshf): Likewise.
	* sysdeps/generic/w_cosh.c (__cosh): Likewise.
	* sysdeps/generic/w_exp10.c (o_threshold, u_threshold): Remove.
	(__exp10): Test if finite argument gave non-finite result.
	* sysdeps/generic/w_exp10f.c (o_threshold, u_threshold, __exp10f):
	Likewise.
	* sysdeps/generic/w_exp10l.c (o_threshold, u_threshold, __exp10l):
	Likewise.

2001-06-04  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/ieee754/ldbl-96/e_coshl.c (__ieee754_coshl): Fix
	overflow threshold constant (log(LDBL_MAX)+M_LN2l).

2001-05-29  Bruno Haible  <haible@clisp.cons.org>

	* locale/programs/ld-ctype.c (idx_table): New struct type.
	(idx_table_init, idx_table_get, idx_table_add): New functions.
	(MAX_CHARNAMES_IDX): Remove macro.
	(locale_ctype_t): Change type of charnames_idx field.
	(ctype_startup): Change initialization of charnames_idx field.
	(find_idx): Use idx_table_get and idx_table_add for speed.

	* locale/programs/charmap.c (charmap_new_char): Fix ucs4 value
	computation of characters in a range.

2001-05-29  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/gb18030.c (__fourbyte_to_ucs1): Add mappings for <U03F4>,
	<U03F5>.
	(__ucs_to_gb18030_tab1): Likewise.
	(BODY for FROM_LOOP): Add mapping for <U00010000>..<U0010FFFF>.
	(BODY for TO_LOOP): Likewise.
	* iconvdata/tst-table-charmap.sh: Update for charmaps containing
	<U00xxxxxx> syntax.
	* iconvdata/tst-table-from.c (bmp_only): New variable.
	(utf8_decode): If bmp_only, don't return characters outside Unicode
	plane 0.
	(main): When testing UTF-8 or GB18030, set bmp_only to 1.  Don't print
	a conversion line if utf8_decode returns NULL.
	* iconvdata/tst-table-to.c (main): When testing encodings other than
	UTF-8 and GB18030, loop upto U+30000 instead of U+10000.  Use UTF-8
	instead of UCS-2 as input.
	* iconvdata/tst-table.sh: For GB18030, use only the part < 0x10000
	of the charmap.

2001-05-29  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/cns11643l1.c: Update to Unicode 3.1.
	(__cns11643l1_to_ucs4_tab): Regenerated.
	(__cns11643l1_from_ucs4_tab12): Regenerated.
	* iconvdata/cns11643.c: Update to Unicode 3.1.
	(__cns11643l14_to_ucs4_tab): Remove array.
	(__cns11643l3_to_ucs4_tab, __cns11643l4_to_ucs4_tab,
	__cns11643l5_to_ucs4_tab, __cns11643l6_to_ucs4_tab,
	__cns11643l7_to_ucs4_tab, __cns11643l15_to_ucs4_tab): New arrays.
	(__cns11643_from_ucs4p0_tab): Renamed from __cns11643_from_ucs4_tab.
	(__cns11643_from_ucs4p2_tab): New array.
	* iconvdata/cns11643.h (__cns11643l14_to_ucs4_tab): Remove declaration.
	(__cns11643l3_to_ucs4_tab, __cns11643l4_to_ucs4_tab,
	__cns11643l5_to_ucs4_tab, __cns11643l6_to_ucs4_tab,
	__cns11643l7_to_ucs4_tab, __cns11643l15_to_ucs4_tab): New declarations.
	(cns11643_to_ucs4): Treat planes 3, 4, 5, 6, 7, 15 instead of 14.
	(__cns11643_from_ucs4_tab): Remove declaration.
	(__cns11643_from_ucs4p0_tab, __cns11643_from_ucs4p2_tab): New
	declarations.
	(ucs4_to_cns11643): Update for new arrays.  Treat U+3400..U+4DFF and
	U+20000..U+2A6D6.
	* iconvdata/cns11643l2.h (__cns11643_from_ucs4_tab): Remove
	declaration.
	(__cns11643_from_ucs4p0_tab): New declaration.
	(ucs4_to_cns11643l2): Update for new arrays.
	* iconvdata/iso-2022-cn-ext.c (BODY for FROM_LOOP): Handle planes
	3 to 7.
	(BODY for TO_LOOP): Handle planes 3 to 7, instead of plane 14.
	* iconvdata/EUC-TW.irreversible: New file.
	* iconvdata/tst-table.sh: Use it.
	* iconvdata/Makefile (distribute): Add CP1255.irreversible,
	CP1258.irreversible, EUC-TW.irreversible.

2001-05-29  Bruno Haible  <haible@clisp.cons.org>

	* locale/C-translit.h.in: Add transliterations for new Unicode 3.1
	mathematical symbols.

2001-06-05  Andreas Jaeger  <aj@suse.de>

	* manual/stdio.texi (Portable Positioning): Fix description of
	fpos_t and fpos64_t.

2001-06-06  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/generic/wordexp.c: Undo last patch.  Use strndupa instead.

	* po/sk.po: Update from translation team.

2001-06-05  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/shm_open.c (where_is_shmfs): Recognize
	tmpfs, patch by Stanislav Brabec <utx@penguin.cz>.
	Closes PR libc/2315.

2001-06-05  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/generic/wordexp.c: Add missing free.
	Patch by yeti@physics.muni.cz.

2001-06-02  Tom Browder  <tbrowder@home.com>

	* misc/tst-tsearch.c (mangle_tree): Ensure array indices are
	within bounds when lag > 0.

2001-06-05  Ulrich Drepper  <drepper@redhat.com>

	* po/tr.po: New file.

2001-06-05  Andreas Jaeger  <aj@suse.de>

	* manual/libm-err-tab.pl (parse_ulps): Fix typo.

2001-06-04  H.J. Lu  <hjl@gnu.org>

	* sysdeps/alpha/elf/start.S: Add .type for the entry point.
	* sysdeps/arm/elf/start.S: Likewise.
	* sysdeps/hppa/elf/start.S: Likewise.
	* sysdeps/i386/elf/start.S: Likewise.
	* sysdeps/m68k/elf/start.S: Likewise.
	* sysdeps/mips/elf/start.S: Likewise.
	* sysdeps/ia64/elf/start.S: Likewise.
	* sysdeps/sh/elf/start.S: Likewise.
	* sysdeps/s390/s390-32/elf/start.S: Likewise.
	* sysdeps/s390/s390-64/elf/start.S: Likewise.
	* sysdeps/cris/elf/start.S: Likewise.

2001-06-04  Bruce Mitchener  <bruce@cubik.org>

	* manual/resource.texi: Correct setpriority/nice documentation.

	* sysdeps/unix/nice.c: Correct nice() implementation.

2001-06-04  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/e_sinhl.c: New file, contributed by
	Stephen L Moshier <moshier@mediaone.net>.

2001-06-03  Roland McGrath  <roland@frob.com>

	* Makefile (postclean): Remove obsolete sysd-Makefile.

2001-06-01  Roland McGrath  <roland@frob.com>

	* sysdeps/alpha/fpu/fclrexcpt.c: #include <shlib-compat.h>
	and use compat_symbol/versioned_symbol instead of plain
	symbol_version/default_symbol_version.
	* sysdeps/alpha/fpu/fegetenv.c: Likewise.
	* sysdeps/alpha/fpu/fesetenv.c: Likewise.
	* sysdeps/alpha/fpu/feupdateenv.c: Likewise.
	* sysdeps/alpha/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/alpha/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/alpha/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/arm/fpu/fclrexcpt.c: Likewise.
	* sysdeps/arm/fpu/fegetenv.c: Likewise.
	* sysdeps/arm/fpu/fesetenv.c: Likewise.
	* sysdeps/arm/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/arm/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/i386/fpu/fclrexcpt.c: Likewise.
	* sysdeps/i386/fpu/fegetenv.c: Likewise.
	* sysdeps/i386/fpu/fesetenv.c: Likewise.
	* sysdeps/i386/fpu/feupdateenv.c: Likewise.
	* sysdeps/i386/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/i386/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/i386/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/m68k/fpu/fclrexcpt.c: Likewise.
	* sysdeps/m68k/fpu/fegetenv.c: Likewise.
	* sysdeps/m68k/fpu/fesetenv.c: Likewise.
	* sysdeps/m68k/fpu/feupdateenv.c: Likewise.
	* sysdeps/m68k/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/m68k/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/m68k/fpu/fsetexcptflg.c: Likewise.
	* sysdeps/powerpc/fclrexcpt.c: Likewise.
	* sysdeps/powerpc/fpu/fegetenv.c: Likewise.
	* sysdeps/powerpc/fpu/fesetenv.c: Likewise.
	* sysdeps/powerpc/fpu/feupdateenv.c: Likewise.
	* sysdeps/powerpc/fpu/fgetexcptflg.c: Likewise.
	* sysdeps/powerpc/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/powerpc/fpu/fsetexcptflg.c: Likewise.

	* iconvdata/cp1258.c: Include <stdlib.h> for abort decl.
	* iconvdata/iso-2022-cn-ext.c: Likewise.

2001-06-01  Andreas Jaeger  <aj@suse.de>

	* Versions.def: Add version 2.2.4.

2001-06-01  Ulrich Drepper  <drepper@redhat.com>

	* socket/Makefile (routines): Add sockatmark.
	* socket/Versions [GLIBC_2.2.4]: Add sockatmark.
	* socket/sys/socket.h: Add prototype for sockatmark.
	* sysdeps/generic/sockatmark.c: New file.
	* sysdeps/unix/sockatmark.c: New file.

2001-06-01  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/speed.c (cfsetispeed): Max speed is
	B4000000.
	(cfsetospeed): Likewise.
	Reported by Łukasz Trąbiński <lukasz@lt.wsisiz.edu.pl>.

2001-05-31  Joseph S. Myers  <jsm28@cam.ac.uk>

	* misc/sys/cdefs.h (__restrict_arr): Define to empty for C++.

2001-05-30  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-32/sys/ucontext.h: greg_t
	needs to have the same aligment as the kernel structure.

2001-05-29  Jakub Jelinek  <jakub@redhat.com>

	* sunrpc/rpc/types.h (u_char, u_short, u_int, u_long, quad_t,
	u_quad_t, fsid_t, daddr_t, caddr_t): Make sure the types are defined.
	* posix/sys/types.h (u_char, u_short, u_int, u_long, quad_t,
	u_quad_t, fsid_t, daddr_t, caddr_t): Protect the __USE_BSD typedefs
	against multiple definition.

2001-05-30  Ulrich Drepper  <drepper@redhat.com>

	* po/da.po: Update from translation team.

2001-05-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/e_acosl.c: New file, contributed by
	Stephen L Moshier <moshier@mediaone.net>.

	* math/libm-test.inc (sinh_test): Add new test case.

	* sysdeps/ieee754/ldbl_96/e_sinhl.c (__ieee754_sinhl): sinhl(x) =
	x when x < 2^-32.
	Patch by Stephen L Moshier <moshier@mediaone.net>.

2001-05-23  Andreas Jaeger  <aj@suse.de>

	* iconvdata/testdata/WINDOWS-1255..UTF-8: Renamed to...
	* iconvdata/testdata/WINDOWS-1255..UTF8: this.

2001-05-27  Andreas Jaeger  <aj@suse.de>

	* manual/stdio.texi (String Streams): Fix fmemopen description.
	Reported by Michal Kochanowicz <michal@michal.waw.pl>.

2001-05-26  H.J. Lu <hjl@gnu.org>

	* sysdeps/unix/sysv/linux/mips/syscalls.list: Change sigsuspend
	to s_sigsuspend.  Add s_mmap2.

	* sysdeps/mips/atomicity.h: New file.

	* sysdeps/unix/sysv/linux/mips/getsysstats.c: New file.

	* sysdeps/unix/sysv/linux/mips/bits/ipc.h (ipc_perm): Put
	back __key.

2001-05-25  Bruce Mitchener  <bruce@cubik.org>

	* manual/ctype.texi: Minor fix.
	* manual/install.texi: Likewise.
	* manual/startup.texi: Likewise.
	* manual/examples/dir.c: Use perror() rather than puts().

2001-05-25  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/unix/sysv/linux/ia64/bits/sigcontext.h: Put stuff following
	#endif directive inside a comment to avoid compiler warnings.

2001-05-25  Philipp Thomas  <pthomas@suse.de>

	* nis/nis_print.c (nis_nstype2str): Don't mark names of
	naming services for translation, only UNKNOWN needs it.
	Add comment to prevent it for the future.

2001-05-25  Joseph S. Myers  <jsm28@cam.ac.uk>

	* misc/sys/cdefs.h (__restrict_arr): Define appropriately for GCC
	3.1 and non-GCC C99 compilers.

2001-05-22  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/ia64/memmove.S: Increase MEMLAT from 6 to 21 for better
	performance.
	* sysdeps/ia64/memcpy.S: Likewise.

	* sysdeps/ia64/bcopy.S: New file.

	* sysdeps/ia64/bzero.S: New file (derived from memset.S).

2001-05-26  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/fpu/libm-test-ulps: Add deltas for tanh(-0.7).

2001-05-24  Ulrich Drepper  <drepper@redhat.com>

	* iconvdata/Makefile: Add rules for CP10007.
	* iconvdata/gconv-modules: Add entries for CP10007 ad MacCyrillic.
	* iconvdata/cp10007.c: New file.
	* iconvdata/tst-tables.sh: Add CP10007.

2001-05-23  kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/sh/dl-machine.h (_dl_runtime_resolve): Handle newer PLT.
	(_dl_runtime_profile): Likewise..

2001-05-23  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/posix/getaddrinfo.c: Support for AF_UNIX commented out.
	* posix/tst-getaddrinfo.c: Remove AF_UNIX test.

2001-05-19  H.J. Lu  <hjl@gnu.org>

	* elf/dl-deps.c (_dl_map_object_deps): Pass objname and
	errstring of the failed DSO to _dl_signal_error ().

2001-05-23  Ulrich Drepper  <drepper@redhat.com>

	* iconvdata/gconv-modules: Add more aliases to enable use in
	locale names.

2001-05-23  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/ia64/Makefile (CFLAGS-initfini.s):
	Remove, it's not used anywhere anymore.
	* sysdeps/unix/sysv/linux/s390/s390-64/Makefile
	(CFLAGS-initfini.s): Likewise.
	* sysdeps/unix/sysv/linux/s390/s390-32/Makefile
	(CFLAGS-initfini.s): Likewise.
	* sysdeps/unix/sysv/linux/powerpc/Makefile (CFLAGS-initfini.s):
	Likewise.
	* sysdeps/unix/sysv/linux/i386/Makefile (CFLAGS-initfini.s):
	Likewise.

2001-05-21  Bruno Haible  <haible@clisp.cons.org>

	* wcsmbs/mbrtowc.c (mbrtowc): Remove local variable 'flush', always
	use 0 instead, and rely on the converter to do the flush.
	* wcsmbs/tst-mbrtowc.c (utf8_test_1): New function, taken from
	utf8_test.
	(utf8_test_2, utf8_test_3): New function.
	(utf8_test): Call utf8_test_1, utf8_test_2, utf8_test_3.

2001-05-22  Jakub Jelinek  <jakub@redhat.com>

	* elf/dl-close.c (_dl_close): Save imap->l_reldeps, not map->l_reldeps.

	* elf/Makefile (distribute): Add reldep4mod[1234].c.
	(tests): Add reldep4.
	(modules-names): Add reldep4mod[1234].
	(reldep4mod1.so, reldep4mod2.so, reldep4, reldep4.out): New rules.
	* elf/reldep4.c: New file.
	* elf/reldep4mod1.c: Likewise.
	* elf/reldep4mod2.c: Likewise.
	* elf/reldep4mod3.c: Likewise.
	* elf/reldep4mod4.c: Likewise.

2001-05-18  Jakub Jelinek  <jakub@redhat.com>

	* elf/dl-lookup.c (PROTECTED): Remove defines.
	(add_dependency): Mark it with internal_function.
	(_dl_do_lookup, _dl_do_lookup_versioned): New functions.
	(_dl_lookup_symbol, _dl_lookup_symbol_skip,
	_dl_lookup_versioned_symbol, _dl_lookup_versioned_symbol_skip): Use
	it if we don't want do_lookup* inlined.

2001-05-18  Jakub Jelinek  <jakub@redhat.com>

	* include/link.h (struct r_scope_elem): Remove r_duplist and
	r_nduplist fields.
	* elf/dl-load.c (_dl_map_object_from_fd): Don't initialize them.
	* elf/dl-lookup.c (_dl_lookup_symbol_skip): Look in r_list, not
	r_duplist.
	(_dl_lookup_versioned_symbol_skip): Likewise.
	* elf/dl-deps.c (struct list): Remove dup field, rename unique to next.
	(_dl_map_object_deps): Don't compute duplicate list.

	* elf/dl-symbol.c: Removed.
	* elf/Makefile (routines): Remove dl-symbol.

2001-05-22  Ulrich Drepper  <drepper@redhat.com>

	* po/el.po: Update from translation team.
	* po/sv.po: Likewise.

2001-05-20  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/cp1255.c: Completely rewritten.
	* iconvdata/Makefile (gen-8bit-gap-modules): Remove cp1255.
	* iconvdata/testdata/WINDOWS-1255: New file.
	* iconvdata/testdata/WINDOWS-1255..UTF8: New file.
	* iconvdata/TESTS: Add WINDOWS-1255 test.
	* iconvdata/CP1255.irreversible: New file.

2001-05-20  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/cp1258.c: Completely rewritten.
	* iconvdata/Makefile (gen-8bit-gap-modules): Remove cp1258.
	* iconvdata/testdata/WINDOWS-1258: New file.
	* iconvdata/testdata/WINDOWS-1258..UTF8: New file.
	* iconvdata/TESTS: Add WINDOWS-1258 test.
	* iconvdata/tst-table-from.c (try): Reset the iconv descriptor before
	the main call, and flush it afterwards.
	(utf8_decode): Return a string, possibly containing several Unicode
	characters.
	(main): Update all utf8_decode calls.
	* iconvdata/CP1258.irreversible: New file.

2001-05-20  Bruno Haible  <haible@clisp.cons.org>

	* iconv/gconv.c (__gconv): For flush without output, pass do_flush = 2.
	* iconv/skeleton.c: Distinguish do_flush = 1 and do_flush = 2.  In the
	first case, set outbuf, outstart, outend, and call PREPARE_LOOP before
	EMIT_SHIFT_TO_INIT; then pass the output produced by this step down to
	the next step.  In the second case, clear the state without calling
	EMIT_SHIFT_TO_INIT.
	* iconvdata/ibm930.c (EMIT_SHIFT_TO_INIT): Use outbuf instead of
	data->__outbuf, and outend instead of data->__outbufend.
	* iconvdata/ibm933.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/ibm935.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/ibm937.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/ibm939.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/iso-2022-cn.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/iso-2022-cn-ext.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/iso-2022-jp.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/iso-2022-kr.c (EMIT_SHIFT_TO_INIT): Likewise.
	* iconvdata/utf-7.c (EMIT_SHIFT_TO_INIT): Likewise.

2001-05-21  Jakub Jelinek  <jakub@redhat.com>

	* elf/rtld.c (dl_main): Compute l_map_end for the main program.
	* elf/dl-sym.c (_dl_sym): Don't check for l_addr == 0.
	If match == _dl_loaded, caller can still come from the main program.
	(_dl_vsym): Likewise.
	* elf/dl-open.c (dl_open_worker): Don't check for l_addr == 0.
	* elf/dl-error.c (_dl_signal_error): Change NULL objname into "".
	* elf/restest2.c: New test.
	* elf/Makefile (tests): Add restest2.
	(restest2, LDFLAGS-restest2): Add rules.

2001-05-22  Ulrich Drepper  <drepper@redhat.com>

	* intl/Makefile: Add a few more dependencies to avoid races in the
	test shell scripts.

2001-05-22  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/s_log1pl.c: New file, contributed by
	Stephen L Moshier <moshier@mediaone.net>.

2001-05-22  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/s390-32/backtrace.c: Make backtrace return the
	return addresses instead of the stack pointers.
	* sysdeps/s390/s390-64/backtrace.c: Likewise.

2001-05-21  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/ia64/sys/ucontext.h: Include
	bits/sigcontext.h instead of bits/sigstack.h.
	* sysdeps/unix/sysv/linux/ia64/bits/sigcontext.h: Add
	multiple-inclusion guards.

2001-05-21  Andreas Jaeger  <aj@suse.de>

	* locale/programs/ld-collate.c (handle_ellipsis): Fix message.
	Patch by Philipp Thomas <pthomas@suse.de>.

2001-05-17  Bruce Mitchener  <bruce@cubik.org>

	* manual/arpg.texi: Spelling, misc fixes.
	* manual/arith.texi: Likewise.
	* manual/crypt.texi: Likewise.
	* manual/debug.texi: Likewise.
	* manual/getopt.texi: Likewise.
	* manual/intro.texi: Likewise.
	* manual/memory.texi: Likewise.
	* manual/nss.texi: Likewise.
	* manual/pattern.texi: Likewise.
	* manual/process.texi: Likewise.
	* manual/resource.texi: Likewise.
	* manual/search.texi: Likewise.
	* manual/setjmp.texi: Likewise.
	* manual/signal.texi: Likewise.
	* manual/socket.texi: Likewise.
	* manual/stdio.texi: Likewise.
	* manual/string.texi: Likewise.
	* manual/sysinfo.texi: Likewise.
	* manual/terminal.texi: Likewise.
	* manual/llio.texi: Document madvise().

2001-05-20  Roland McGrath  <roland@frob.com>

	* Makeconfig (sysdep-makeconfigs): Include any Makeconfig files
	found within $(add-ons) directories too.
	[linuxthreads add-on]: Move variable settings for linuxthreads
	to new file linuxthreads/Makeconfig.

2001-05-20  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_STD_AUXV):
	Define for linux >= 2.4.5 on powerpc.
	(__ASSUME_MMAP2_SYSCALL): Likewise.

2001-05-19  Roland McGrath  <roland@frob.com>

	* hurd/hurdlookup.c (__hurd_file_name_lookup_retry): Don't leak the
	result port when failing with ELOOP.  Do the ELOOP check when
	following an absolute symlink target as well as relative.
	Remove #ifdef SYMLOOP_MAX conditional--it should always be defined.

2001-05-18  Andreas Jaeger  <aj@suse.de>

	* po/fr.po: Free software is "logiciel libre".
	Patch by Martin Michlmayr <tbm@cyrius.com>.

	* sysdeps/powerpc/elf/libc-start.c: Use __cxa_atexit.
	Patch by ekato@ees.hokudai.ac.jp, closes PR libc/2271.

2001-05-17  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/unix/sysv/linux/ia64/sys/ptrace.h: New file.

2001-05-17  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-profile.c (_dl_mcount): Check whether state is
	GMON_PROF_ON before doing anything.

2001-05-17  H.J. Lu  <hjl@gnu.org>

	* elf/sprof.c (read_symbols): Move "++symtab" into the while loop.

2001-05-17  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/sigprocmask.c (__sigprocmask): Use
	CHECK_SIGSET_NULL_OK and not CHECK_SIGSET for all parameters.
	Reported by Mark Burton <markb@ordern.com>.

2001-05-17  Jakub Jelinek  <jakub@redhat.com>

	* elf/ldconfig.c (add_dir): Only warn about stat failure if
	opt_verbose.
	(search_dir): Likewise.

2001-05-17  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/i386/i486/atomicity.h (exchange_and_add): Correct second
	parameter of xaddl.  Patch by H . J . Lu <hjl@lucon.org>.

2001-05-14  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/iso-2022-cn-ext.c (BODY for FROM_LOOP): If SO is seen
	without previous announcement, reject it regularly, don't abort.

2001-05-16  Ulrich Drepper  <drepper@redhat.com>

	* math/tgmath.h: Fix handling of int parameters to binary and
	ternary functions.  Reported by mitr@volny.cz.

	* math/test-tgmath.c: Add tests for calls with integer parameters.

2001-05-15  Jakub Jelinek  <jakub@redhat.com>

	* sunrpc/rpc_thread.c (rpc_default): Remove.
	(__rpc_thread_destroy): Use __libc_tsd_RPC_VARS_mem instead of
	rpc_default.
	(rpc_thread_multi, __rpc_thread_svc_fdset, __rpc_thread_createerr,
	__rpc_thread_svc_pollfd, __rpc_thread_svc_max_pollfd): Likewise.
	* sunrpc/auth_none.c (authnone_private): Fix a typo.

2001-05-16  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-64/clone.S: Fix stack allocation.

2001-05-16  Bruce Mitchener  <bruce@cubik.org>

	* manual/llio.texi: Many grammar and typo fixes to the section on AIO.

2001-05-15  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-128/s_expm1l.c: New file, contributed by
	Stephen L Moshier <moshier@mediaone.net>.

	* sysdeps/i386/fpu/libm-test-ulps: Adjust for change.

	* math/libm-test.inc: Add comment with ToDo.

	* sysdeps/i386/fpu/e_expl.c: Rewritten to C and using a more
	accurate algorithm.  Patch by Stephen L Moshier <moshier@mediaone.net>.

	* sysdeps/i386/fpu/e_expl.S: Removed.

2001-05-14  Roland McGrath  <roland@frob.com>

	* csu/Makefile ($(objpfx)g$(start-installed-name)): Turn this into a
	static pattern rule also that also covers
	$(objpx)g$(static-start-installed-name).
	[$(start-installed-name) != $(static-start-installed-name)]
	(extra-objs, omit-deps, install-lib): Add
	$(static-start-installed-name) and g$(static-start-installed-name).
	* sysdeps/mach/hurd/i386/Makefile: Don't add crt0.o to those here;
	just setting static-start-installed-name is now sufficient.
	(extra-objs): Add static-start.o here.
	(CFLAGS-initfini.s): Remove obsolete variable.
	* sysdeps/mach/hurd/i386/Makeconfig: New file.
	Define static-start-installed-name here.

	* Makeconfig: Include existing $(full_config_sysdirs:=/Makeconfig).
	* Make-dist (+sysdep-tsrcs): Look for Makeconfig files.

	* Makerules ($(+sysdir_pfx)sysd-Makefile): Remove this target and
	associated hair.  Instead, just use $(wildcard ...) in the include.

	* configure.in (critic_missing, aux_missing): Collect in these vars
	the names of the missing programs, and include them in the error msgs.
	* configure: Regenerated.

2001-05-14  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/libm-test-ulps: Adjust for new tests.

	* math/libm-test.inc (tanh_test): Add testcases for last tanh bug.

2001-05-14  Stephen L Moshier <moshier@mediaone.net>

	* sysdeps/ieee754/ldbl-96/s_tanhl.c (__tanhl): Fix sign test.

2001-05-11  Jakub Jelinek  <jakub@redhat.com>

	* posix/regex.c (re_match_2_internal): Swap mbs_offset and csize
	as well if swapping strings.
	Make sure stop is not past end of second string.
	* posix/bug-regex4.c: New test.
	* posix/Makefile (tests): Add bug-regex4.

2001-05-10  Andreas Jaeger  <aj@suse.de>

	* manual/install.texi (Linux): Clarify that Linux 2.2 is minimal
	requirement.

2001-05-12  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/dbl-64/s_sin.c: Include "math_private.h" for
	internal prototypes.
	* sysdeps/ieee754/dbl-64/doasin.c: Likewise.
	* sysdeps/ieee754/dbl-64/dosincos.c: Likewise.
	* sysdeps/ieee754/dbl-64/halfulp.c: Likewise.
	* sysdeps/ieee754/dbl-64/sincos32.c: Likewise.
	* sysdeps/ieee754/dbl-64/slowexp.c: Likewise.
	* sysdeps/ieee754/dbl-64/slowpow.c: Likewise.
	* sysdeps/ieee754/dbl-64/branred.c: Likewise.

	* math/math_private.h: Add prototypes for internal functions of
	the IBM Accurate Mathematical Library.

	* sysdeps/ieee754/dbl-64/s_atan.c: Include "math.h" for
	prototypes.
	* sysdeps/ieee754/dbl-64/s_tan.c: Likewise.

	* sysdeps/ieee754/dbl-64/e_asin.c: Include "math_private.h" for
	internal prototypes.
	* sysdeps/ieee754/dbl-64/s_atan.c: Likewise.
	* sysdeps/ieee754/dbl-64/e_sqrt.c: Likewise.
	* sysdeps/ieee754/dbl-64/e_remainder.c: Likewise.
	* sysdeps/ieee754/dbl-64/e_pow.c: Likewise.
	* sysdeps/ieee754/dbl-64/e_log.c: Likewise.
	* sysdeps/ieee754/dbl-64/e_exp.c: Likewise.
	* sysdeps/ieee754/dbl-64/e_atan2.c: Likewise.
	* sysdeps/generic/e_rem_pio2l.c: Likewise.
	(__ieee754_rem_pio2l): Fix prototype.

	* math/math_private.h (__copysign): Add internal prototype.

2001-05-11  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/configure.in: Move binutils check to...
	* sysdeps/unix/sysv/linux/mips/configure.in: ...here.  New file.

2001-05-11  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/configure.in: Check binutils version on
	MIPS.

	* sysdeps/mips/rtld-ldscript.in: Removed unneeded binary output
	format directive.  Patch by Steven J. Hill <sjhill@cotw.com>.

2001-05-11  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/Makefile ($(link-rpcuserlibs)): Don't use
	$(build-module) here, since we don't need the full magilla.
	Just use $(build-module-helper) and append our special options.

2001-05-09  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/readdir.c: Make sure we don't modify errno when we
	reached EOF.

2001-05-07  H.J. Lu  <hjl@gnu.org>

	* elf/ldconfig.c (dir_entry): Add ino and dev.
	(add_single_dir): Compare ino and dev to check if 2 directory
	paths are the same or not.  Free entry->path for duplicates.
	(add_dir): Initialize ino and dev for entry.
	(search_dir): Handle symlink to directory.

2001-05-07  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/libm-test-ulps: Add ulps for new exp tests.

	* math/libm-test.inc (exp_test): Add some more tests.
	(pow_test): Run double only test also for long double.

	* math/test-ldouble.c (TEST_LDOUBLE): Define.
	* math/test-ildoubl.c (TEST_LDOUBLE): Likewise.

	* sysdeps/generic/bits/confname.h: Remove extra comma at end of
	enumeration.
	Closes PR libc/2240.

	* scripts/config.guess: Imported from gnu.org.
	* scripts/config.sub: Likewise.

2001-05-05  Jakub Jelinek  <jakub@redhat.com>

	* include/features.h (__USE_EXTERN_INLINES): Don't define if
	__NO_INLINE__ is defined.
	* ctype/ctype.h (tolower, toupper): Change the guard condition to
	__USE_EXTERN_INLINES check only.
	* stdlib/stdlib.h (strtod, ...): Likewise.
	* wcsmbs/wchar.h (mbrlen): Likewise.
	* string/string.h: Only include bits/string.h and bits/string2.h
	if __NO_INLINE__ is not defined.

2001-05-07  Andreas Jaeger  <aj@suse.de>

	* debug/Makefile ($(objpfx)xtrace): Substitute @SLIBDIR@ instead
	of @LIBDIR@.

2001-05-04  H.J. Lu  <hjl@gnu.org>

	* malloc/Makefile ($(objpfx)memusage): Substitute @SLIBDIR@
	not @LIBDIR@.

2001-05-06  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/e_fmodl.c: New, rewrite of e_fmodl.S.
	* sysdeps/i386/fpu/e_fmodl.S: Removed.
	* sysdeps/i386/fpu/e_atan2l.c: New, rewrite of e_atan2l.S.
	* sysdeps/i386/fpu/e_atan2l.S: Removed.
	* sysdeps/i386/fpu/e_acosl.c: New, rewrite of e_acos.S.
	* sysdeps/i386/fpu/s_atanl.c: New, rewrite of e_atanl.S.
	* sysdeps/i386/fpu/e_sqrtl.c: New, rewrite of e_sqrt.S.
	* sysdeps/i386/fpu/e_acosl.S: Removed.
	* sysdeps/i386/fpu/s_atanl.S: Removed.
	* sysdeps/i386/fpu/e_sqrtl.S: Removed.

2001-05-05  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/hurd/bits/environments.h: Add comment from
	sysdeps/generic/bits/environments.h.  Define _POSIX_V6_* values.

2001-04-30  Jakub Jelinek  <jakub@redhat.com>

	* posix/confstr.c (confstr) [_CS_V6_WIDTH_RESTRICTED_ENVS]: Move so
	that _CS_LFS_CFLAGS can fall through to the empty returned string
	case.  Add FALLTHROUGH comment.

2001-04-29  Ralf Bächle  <ralf@gnu.org>

	* sysdeps/unix/sysv/linux/mips/bits/sem.h: Make structure
	definitions match the kernel definitions.
	* sysdeps/unix/sysv/linux/mips/bits/ipc.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/shm.h: Likewise.

2001-04-29  Ben Collins  <bcollins@debian.org>

	* sysdeps/sparc/sparc64/dl-machine.h: Fix multiline strings
	warnings.
	* sysdeps/sparc/sparc64/soft-fp/qp_add.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_cmp.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_cmpe.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_div.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_dtoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_feq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_fge.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_fgt.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_fle.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_flt.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_fne.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_mul.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtod.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtoi.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtos.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtoui.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtoux.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtox.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtox.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_sqrt.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_stoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_sub.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/sfp-machine.h: Likewise.

2001-04-29  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/kernel-features.h: Fix missing backslash
	in last change.

2001-04-29  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_FCNTL64):
	Define for Arm, PowerPC and SH if kernel is 2.4.4 or newer.

	* sysdeps/unix/sysv/linux/bits/socket.h (PF_WANPIPE): New, from
	Linux 2.4.4.
	(AF_WANPIPE): Likewise.
	(MSG_MORE): New.

	* sysdeps/unix/sysv/linux/alpha/bits/socket.h: Add same changes as
	for Linux generic version.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/socket.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/socket.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/socket.h: Likewise.
	* sysdeps/unix/sysv/linux/ia64/bits/socket.h: Likewise.

	* sysdeps/gnu/netinet/tcp.h (TCP_QUICKACK): New.

2001-04-27  Ulrich Drepper  <drepper@redhat.com>

	* nis/nss-nis.h: Correct test for invalid error number.
	* nis/nss-nisplus.h: Likewise.

	* nis/Makefile (libnss_compat-rountines): Add nss-nisplus.

2001-04-26  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/ia64/syscalls.list: Add getunwind.

	* string/strcoll.c: Fix two memory allocation problems.
	* string/Makefile (tests): Add bug-strcoll1.
	* string/bug-strcoll1.c: New file.

	* malloc/mcheck.c (mcheck): Call malloc once before setting the
	hooks to allow the internal check hooks to be set up if necessary.

	* nis/nss-nis.h: Move yperr2nss_tab definition into separate file
	and rename to __yperr2nss_tab.  Change YPERR_COUNT into variable
	__yperr2nss_count.
	* nis/nss-nis.c: New file.
	* nis/nss-nisplus.h: Move niserr2nss_tab definition into separate file
	and rename to __niserr2nss_tab.  Change NISERR_COUNT into variable
	__niserr2nss_count.
	* nis/nss-nisplus.c: New file.
	* nis/Makefile (libnss_compat-routines): Add nss-nis.
	(libnss_nis-routines): Likewise.
	(libnss_nisplus-routines): Add nss-nisplus.

	* nis/nss_nisplus/nisplus-alias.c: Remove unnecessary initializations.
	* nis/nss_nisplus/nisplus-ethers.c: Likewise.
	* nis/nss_nisplus/nisplus-grp.c: Likewise.
	* nis/nss_nisplus/nisplus-hosts.c: Likewise.
	* nis/nss_nisplus/nisplus-network.c: Likewise.
	* nis/nss_nisplus/nisplus-proto.c: Likewise.
	* nis/nss_nisplus/nisplus-pwd.c: Likewise.
	* nis/nss_nisplus/nisplus-rpc.c: Likewise.
	* nis/nss_nisplus/nisplus-service.c: Likewise.
	* nis/nss_nisplus/nisplus-spwd.c: Likewise.
	* nis/nss_nis/nis-alias.c: Likewise.
	* nis/nss_nis/nis-ethers.c: Likewise.
	* nis/nss_nis/nis-grp.c: Likewise.
	* nis/nss_nis/nis-network.c: Likewise.
	* nis/nss_nis/nis-proto.c: Likewise.
	* nis/nss_nis/nis-pwd.c: Likewise.
	* nis/nss_nis/nis-spwd.c: Likewise.
	* nis/nss_compat/compat-grp.c: Likewise.
	* nis/nss_compat/compat-initgroups.c: Likewise.
	* nis/nss_compat/compat-pwd.c: Likewise.
	* nis/nss_compat/compat-spwd.c: Likewise.

	* sysdeps/unix/sysv/linux/sparc/sparc64/get_clockfreq.c: Some more
	optimizations.  Patch by Jakub Jelinek <jakub@redhat.com>.

2001-04-26  Andreas Jaeger  <aj@suse.de>

	* po/zh_TW.po: Update.
	Patch by Tung-Han Hsieh <thhsieh@tlug.sinica.edu.tw>.

2001-04-25  Ulrich Drepper  <drepper@redhat.com>

	* malloc/malloc.c: Allow MALLOC_ALIGNMENT to be defined on the
	compiler command line.
	* sysdeps/hppa/Makefile: Add -DMALLOC_ALIGNMENT=16 to compiler
	command line for malloc.c.

2001-04-25  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/time.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/bits/time.h: ...here.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sparcv9/bits/time.h: Remove.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/socket.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/bits/socket.h: ...here.  Adjust
	struct msghdr for __WORDSIZE == 32.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/statvfs.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/bits/statvfs.h: ...here.  Adjust
	for __WORDSIZE == 32.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/siginfo.h: Remove.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sparcv9/get_clockfreq.c: New
	file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/longjmp.S (__libc_siglongjmp):
	Rename from longjmp, make longjmp weak alias to it.

2001-04-24  David S. Miller  <davem@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc64/get_clockfreq.c: New file.

2001-04-25  Matthew Wilcox  <willy@ldl.fc.hp.com>

	* sysdeps/hppa/stackinfo.h: New file.
	* sysdeps/unix/sysv/linux/hppa/getdents64.c: New file.
	* sysdeps/unix/sysv/linux/hppa/mmap64.c: New file.
	* sysdeps/unix/sysv/linux/hppa/bits/resource.h: New file.
	* sysdeps/unix/sysv/linux/kernel-features.h: Add descriptions
	of PA kernel features.

2001-04-25  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/localedef.c (main): Always set a file name for
	the initial locale.
	* locale/programs/locfile.c (locfile_read): filename is allowed to
	be NULL.

2001-04-12  Paul Bame  <paul_bame@hp.com>

	* sysdeps/hppa/fpu/fclrexcpt.c: Clear the exception flags, not the
	enable flags.

2001-04-24  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/generic/bits/environments.h (_POSIX_V6_LPBIG_OFFBIG,
	_XBS5_LPBIG_OFFBIG): Define to -1.
	Fix typos.

	* sysdeps/generic/bits/confname.h: Add _CS_V6_WIDTH_RESTRICTED_ENVS.
	* posix/confstr.c: Handle _CS_V6_WIDTH_RESTRICTED_ENVS.
	* posix/getconf.c: Handle _POSIX_V6_WIDTH_RESTRICTED_ENVS.
	* posix/tst-getconf.sh: Add _POSIX_V6_WIDTH_RESTRICTED_ENVS.

	* sysdeps/unix/sysv/linux/sparc/sparc32/sparcv9b/Implies: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sparcv9b/bits/time.h: Removed.

2001-03-21  Alan Modra  <alan@one.net.au>

	* sysdeps/hppa/dl-machine.h (RTLD_START): Set up dp with DT_PLTGOT
	value from application so that constructors in non-PIC libs work.

2000-12-13  Jes Sorensen  <jes@linuxcare.com>

	* sysdeps/hppa/dl-machine.h (RTLD_START): _dl_init now returns a
	function pointer, hence load the jump address and gp from the
	function pointer before jumping.

2001-04-24  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/send.c (__send): Return ssize_t.
	* sysdeps/mach/hurd/send.c (__send): Likewise.
	* sysdeps/mach/hurd/recv.c (recv): Likewise.
	* sysdeps/mach/hurd/sendto.c (sendto): Likewise.
	* sysdeps/generic/sendto.c (sendto): Likewise.
	* sysdeps/generic/recvmsg.c (recvmsg): Likewise.
	* sysdeps/mach/hurd/recvfrom.c (recvfrom): Likewise.
	* sysdeps/generic/recvfrom.c (recvfrom): Likewise.
	* sysdeps/generic/sendmsg.c (sendmsg): Likewise.

	* socket/sys/socket.h: send* and recv* return ssize_t.

	* include/sys/socket.h: send returns ssize_t.

	* sysdeps/i386/fpu_control.h: Fix comments.

2001-04-24  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/Dist: Add hp-timing.c.
	* sysdeps/unix/sysv/linux/sparc/sparc64/Dist: Add ucontext_i.h.
	* posix/Makefile (distribute): Add tst-getconf.sh.
	* po/Makefile (distribute): Add $(BROKEN_LINGUAS:=.po).

2001-04-23  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/Makefile [subdir=csu] (sysdep_routines): Add hp-timing.
	* sysdeps/ia64/Versions: Add _dl_cpuclock_offset for ld in 2.2.3.
	* sysdeps/ia64/hp-timing.c: New file.
	* sysdeps/ia64/hp-timing.h: New file.
	* sysdeps/unix/sysv/linux/ia64/bits/time.h: Add definitions for
	CLOCK_PROCESS_CPUTIME_ID and CLOCK_THREAD_CPUTIME_ID.

	* sysdeps/generic/clock_getcpuclockid.c: Make function generic, test
	using #ifdef whether the clock is available.
	* sysdeps/unix/i386/clock_getcpuclockid.c: Not needed anymore.

	* sysdeps/generic/dl-sysdep.c: Initialize _dl_cpuclock_offset to move
	it into data section.

	* sysdeps/unix/i386/i586/clock_getres.c: Removed.
	* sysdeps/unix/i386/i586/clock_gettime.c: Removed.
	* sysdeps/unix/i386/i586/clock_nanosleep.c: Removed.
	* sysdeps/unix/i386/i586/clock_settime.c: Removed.
	* sysdeps/unix/i386/i586/cpuclock-init.h: Removed.
	* sysdeps/generic/cpuclock-init.h: Removed.
	* sysdeps/unix/i386/i686/Implies: Removed.
	* sysdeps/unix/i386/i686/tempname.c: Removed.
	* sysdeps/i386/i686/Versions: New file.
	* sysdeps/unix/i386/i586/Versions: Removed.

	* sysdeps/posix/clock_getres.c: If HP_TIMING_AVAIL is nonzero handle
	CLOCK_PROCESS_CPUTIME_ID and CLOCK_THREAD_CPUTIME_ID.
	* sysdeps/unix/clock_gettime.c: Likewise.
	* sysdeps/unix/clock_nanosleep.c: Likewise.
	* sysdeps/unix/clock_settime.c: Likewise.
	* sysdeps/posix/tempname.c: Is HP_TIMING_AVAIL is nonzero define
	RANDOM_BITS use CPU clock.

	* sysdeps/unix/sysv/linux/sparc/sparc32/sparcv9/bits/time.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sparcv9b/bits/time.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/time.h: New file.
	* sysdeps/sparc/Versions: New file.

	* elf/dl-support.c: Don't use cpuclock-init.h definitions, use
	hp-timing.h definitions.
	* sysdeps/generic/dl-sysdep.c: Likewise.

	* include/libc-internal.h: Include hp-timing.h.  Use hp_timing_t in
	__get_clockfreq prototype.

	* sysdeps/unix/sysv/linux/i386/get_clockfreq.c (__get_clockfreq):
	Use hp_timing_t type.
	* sysdeps/generic/get_clockfreq.c (__get_clockfreq): Likewise.

	* sysdeps/unix/sysv/linux/ia64/get_clockfreq.c: New file.

	* sysdeps/posix/pathconf.c (__pathconf): For _PC_ASYNC_IO test
	whether named file is a regular file or a block device.
	* sysdeps/posix/fpathconf.c (__fpathconf): Likewise.

2001-04-23  Andreas Jaeger  <aj@suse.de>

	* nscd/nscd.h: Add noreturn attribute for start_threads.

2001-04-22  Ulrich Drepper  <drepper@redhat.com>

	* posix/getconf.c: Fix names of XBS5 LFS test variables.
	Add missing configuration variables from XPG6.
	* posix/tst-getconf.c: New file.
	* posix/Makefile (generated): Add tst-getconf.out.
	(tests): Add ($objpfx)tst-getconf.out.
	Add rule to run tst-getconf.sh.
	* sysdeps/generic/bits/confname.h: Add missing _PC_ and _SC_ values
	from XPG6.
	* sysdeps/posix/fpathconf.c: Add handling of _PC_ALLOC_SIZE_MIN and
	_PC_SYMLINK_MAX.
	* sysdeps/posix/pathconf.c: Likewise.
	* sysdeps/posix/sysconf.c: Correct spelling of _SC_MULTI_PROCESS
	and _SC_SYMLOOP_MAX.

2001-04-22  Philip Blundell  <philb@gnu.org>

	* sysdeps/arm/fpu/feenablxcpt.c: New file.
	* sysdeps/arm/fpu/fedisablxcpt.c: New file.
	* sysdeps/arm/fpu/fegetexcpt.c: New file.

2001-04-22  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/sys/user.h (struct user_fpregs):
	Renamed from struct user_fp.
	(struct user_regs): New.
	(struct user): Use struct user_regs rather than struct pt_regs to
	avoid dependency on asm/ptrace.h.  Use struct user_fpregs in place
	of struct user_fp and struct user_fp_struct.
	* sysdeps/unix/sysv/linux/arm/sys/ucontext.h: Include sys/procfs.h
	not sys/elf.h.

2001-04-22  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/sys/elf.h: Move contents to
	sys/procfs.h, and tell the user to include that file instead.
	* sysdeps/unix/sysv/linux/arm/sys/procfs.h: Remove old cruft
	surrounded with #if 0.
	(elf_greg_t, ELF_NGREG, elf_gregset_t, elf_fpregset_t): Moved here
	from sys/elf.h.
	(prgregset_t, prfpregset_t): Define in terms of elf_gregset_t and
	elf_fpregset_t respectively.

2001-04-22  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/register-dump.h: Also print the
	address that faulted.

2001-04-21  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/generic/bits/confname.h: Add _SC_V6_* and _CS_POSIX_V6_*
	values.
	* sysdeps/generic/bits/environments.h: Define _POSIX_V6_* values.
	* posix/confstr.c: Handle _CS_POSIX_V6_* values.
	* posix/getconf.c: Handle _CS_POSIX_V6_* and _SC_V6_* values.
	* sysdeps/posix/sysconf.c: Handle _SC_V6_* values.

	* sysdeps/powerpc/fpu/libm-test-ulps: Add deltas for atan2f.
	* sysdeps/s390/fpu/libm-test-ulps: Likewise.
	* sysdeps/sh/sh4/fpu/libm-test-ulps: Likewise.
	* sysdeps/mips/fpu/libm-test-ulps: Likewise.

2001-04-21  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* sysdeps/unix/sysv/linux/powerpc/mmap64.c: Correct check for invalid
	offset.

2001-04-21  Ulrich Drepper  <drepper@redhat.com>

	* posix/getopt.h: Treat __cplusplus like __STDC__.

2001-04-20  John S. Marvin  <jsm@fc.hp.com>

	* sysdeps/unix/sysv/linux/hppa/clone.S: Fix clone system call
	entry point stub.

2001-04-20  Richard Hirst  <rhirst@linuxcare.com>

	* elf/elf.h: Corrected R_PARISC_DIR14R (should be 6, not 5),
	and added R_PARISC_DPREL21L and R_PARISC_DPREL14R for modutils.

	* sysdeps/unix/sysv/linux/hppa/syscalls.list: Removed ptrace
	entry so the ptrace.c wrapper is used.

2001-04-20  Alan Modra  <amodra@one.net.au>

	* sysdeps/hppa/dl-lookupcfg.h (_dl_function_address): Prototype.
	(DL_FUNCTION_ADDRESS): Define.
	(DL_DT_INIT_ADDRESS): Define.
	(DL_DT_FINI_ADDRESS): Define.
	* sysdeps/hppa/Versions: Add _dl_function_address.
	* sysdeps/hppa/dl-machine.h (ELF_MACHINE_START_ADDRESS): Define.
	* sysdeps/hppa/dl-symaddr.c (_dl_start_address): Rename to
	_dl_function_address.

2001-04-21  Andreas Jaeger  <aj@suse.de>

	* rt/aio_misc.c (handle_fildes_io): Add noreturn attribute.
	* resolv/gai_misc.c (handle_requests): Likewise.
	* malloc/obstack.c (print_and_abort): Likewise.
	* malloc/mcheck.c (mabort): Likewise.

	* sysdeps/unix/i386/i586/clock_settime.c: Include
	"libc-internal.h" for __get_clockfreq declaration.

2001-04-21  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-support.c: Include cpuclock-init.h.  Use CPUCLOCK_VARDEF and
	CPUCLOCK_INIT if defined.
	* sysdeps/generic/dl-sysdep.c: Likewise.
	* sysdeps/generic/cpuclock-init.h: New file.
	* sysdeps/unix/i386/i586/cpuclock-init.h: New file.
	* sysdeps/unix/i386/i586/Versions: New file.
	* sysdeps/unix/i386/i586/clock_settime.c: New file.
	* sysdeps/unix/i386/i586/clock_gettime.c: Handle thread CPU clock
	separately by calling __pthread_clock_gettime if this function is
	available.  Subtract offset from tsc value before computing time value.

2001-04-20  Ulrich Drepper  <drepper@redhat.com>

	* iconv/iconv_prog.c (print_known_names): If printing goes not to
	a tty print in a more machine-friendly way.

	* sysdeps/ieee754/ldbl-128/e_asinl.c: New file.
	Contributed by Stephen L Moshier <moshier@mediaone.net>.

2001-04-20  Andreas Jaeger  <aj@suse.de>

	* intl/Makefile (tests): Reorder conditions, tst-gettext needs msgfmt.

2001-04-20  Andreas Schwab  <schwab@suse.de>

	* sysdeps/m68k/fpu/libm-test-ulps: Update.

2001-04-19  Alan Modra  <amodra@one.net.au>

	* Makerules (libc_pic.os): Add $(LDFLAGS-c_pic.os).
	* sysdeps/hppa/Makefile (LDFLAGS-c_pic.os): Define.
	(CFLAGS-.os): Remove.

	* sysdeps/unix/sysv/linux/hppa/sysdep.h (CALL_MCOUNT): Update comment.

	* sysdeps/unix/sysv/linux/hppa/sys/ucontext.h (NGREG, NFPREG,
	gregset): Correct for new kernel definitions.

2001-04-19  Alan Modra  <alan@linuxcare.com.au>

	* sysdeps/hppa/elf/initfini.c: Change dlt reg save to r3 and
	generate unwind info by hand.

2001-04-19  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/powerpc/mmap64.c (__mmap64): Optimize a bit.

	* configure.in: Correct regular expression for msgfmt.
	Patch by Bruno Haible <haible@ilog.fr>.

2001-04-19  Andreas Jaeger  <aj@suse.de>

	* po/el.po: Add comment explaining what's broken.

	* po/Makefile (BROKEN_LINGUAS): New.
	(ALL_LINGUAS): Don't add broken languages.

2001-04-19  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/mlock.c: New file.
	* sysdeps/mach/hurd/munlock.c: New file.
	* sysdeps/mach/hurd/bits/posix_opt.h (_POSIX_MEMLOCK_RANGE): Define it.

	* misc/Makefile (routines): Add mlock munlock mlockall munlockall.
	* sysdeps/generic/mlock.c: New file.
	* sysdeps/generic/munlock.c: New file.
	* sysdeps/generic/mlockall.c: New file.
	* sysdeps/generic/munlockall.c: New file.
	* sysdeps/generic/bits/mman.h (MCL_CURRENT, MCL_FUTURE): New macros.
	* sysdeps/unix/sysv/linux/syscalls.list (mlock, munlock,
	mlockall, munlockall): Change caller field to - from EXTRA.
	Don't use __ names; not used (and not declared in include/sys/mman.h).

	* hurd/privports.c (__get_privileged_ports): Renamed with __.
	Use __ names for calls we make.
	(get_privileged_ports): Add alias.
	* hurd/hurd.h: Declare it with the __ name.
	* sysdeps/mach/hurd/reboot.c (reboot): Use __get_privileged_ports.
	* sysdeps/mach/hurd/adjtime.c (__adjtime): Likewise.
	* sysdeps/mach/hurd/settimeofday.c (__settimeofday): Likewise.

	* hurd/hurdsig.c (write_corefile): Check RLIMIT_CORE limit and do
	nothing if it's zero.

2001-04-19  Matthew Wilcox  <willy@ldl.fc.hp.com>

	* sysdeps/unix/sysv/linux/hppa/sysdep.h (INLINE_SYSCALL):
	Change to return a signed result for compatibility with other
	architectures, and correctness.

2001-04-19  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_32BITUIDS):
	HPPA always had them.  Patch by Matthew Wilcox <matthew@wil.cx>.

2001-04-19  Andreas Jaeger  <aj@suse.de>

	* configure.in: Require gettext 0.10.36 or newer.

	* manual/install.texi (Tools for Compilation): Mention gettext 0.10.36.

	* po/zh_TW.po: Remove extraneous backslashes.

	* sysdeps/ieee754/dbl-64/e_sqrt.c (__ieee754_sqrt): Remove unused
	variables b and n.

2001-04-18  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/sparc/sparc64/fpu/libm-test-ulps: Update.
	* sysdeps/unix/sysv/linux/sparc/sparc64/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/swapcontext.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/setcontext.S (__setcontext):
	Copy first word of uc_sigmask into __uc_sigmask.
	* sysdeps/unix/sysv/linux/sparc/sparc64/getcontext.S (__getcontext):
	Save uc_link around trap.  Copy __uc_sigmask into first word of
	uc_sigmask, clear the rest.  Make sure setcontext to the created
	context doesn't do this though.
	* sysdeps/unix/sysv/linux/sparc/sparc64/ucontext_i.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sys/ucontext.h (ucontext_t): Add
	uc_stack and uc_sigmask, rename old uc_sigmask to __uc_sigmask in the
	64bit version, make uc_sigmask __sigset_t in the 32bit version.

2001-04-19  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/hppa/umount.c: Fix typos in last patch.

	* rt/Makefile (otherlibs): Added for static NSS.

	* glibcbug.in (BUGGLIBC): Send to new alias.

2001-04-02  Andreas Schwab  <schwab@suse.de>

	* Makerules (build-module): Make sure exit codes get checked
	properly and remove unnecessary slashes.

2001-04-17  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/i386/get_clockfreq.c (__get_clockfreq):
	Handle kernels which report only three digits after the decimal point.
	Reported by Van Okamura <van.okamura@oracle.com>.

	* sysdeps/alpha/fpu/libm-test-ulps: Adjust error values for atan2f.

2001-04-17  David S. Miller  <davem@redhat.com>

	* sysdeps/sparc/sparc32/fpu/libm-test-ulps: Update for new atan2 tests.
	* sysdeps/sparc/sparc64/fpu/libm-test-ulps: Likewise.

2001-04-17  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/ieee754/ldbl-128/e_logl.c (__ieee754_logl): Make sure
	desired exceptions are raised for exceptional values.
	* math/libm-test.inc (acosh_test, atan_test, atan2_test, cacos_test,
	cacosh_test, casin_test, casinh_test, catan_test, catanh_test,
	clog_test, log_test, log1p_test, tan_test): Increase precision of
	expected values to satisfy ldbl-128.
	* sysdeps/alpha/fpu/libm-test-ulps: Adjust accordingly.
	* sysdeps/arm/libm-test-ulps: Likewise.
	* sysdeps/i386/fpu/libm-test-ulps: Likewise.
	* sysdeps/ia64/fpu/libm-test-ulps: Likewise.
	* sysdeps/m68k/fpu/libm-test-ulps: Likewise.
	* sysdeps/mips/fpu/libm-test-ulps: Likewise.
	* sysdeps/powerpc/fpu/libm-test-ulps: Likewise.
	* sysdeps/s390/fpu/libm-test-ulps: Likewise.
	* sysdeps/sh/sh4/fpu/libm-test-ulps: Likewise.
	* sysdeps/sparc/sparc32/fpu/libm-test-ulps: Likewise.
	* sysdeps/sparc/sparc64/fpu/libm-test-ulps: Likewise.

2001-04-17  Andreas Jaeger  <aj@suse.de>

	* configure.in: Move test for critical programs up.

2001-04-16  Stephen L Moshier  <moshier@mediaone.net>

	* sysdeps/ieee754/flt-32/e_asinf.c (pio2_hi, pio2_lo, pio4_hi):
	Correct the values.
	(pSx, qSx): Replace by shorter approximation.
	Use f suffix on float constants.

2001-04-16  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/ldbl-128/k_tanl.c: New file.
	Contributed by Stephen L Moshier <moshier@mediaone.net>.

	* string/string.h: Replace const in attribute list with __const__.

2001-04-16  Roland McGrath  <roland@frob.com>

	* grp/initgroups.c (initgroups) [NGROUPS_MAX != 0]: Always use sysconf
	instead of the constant NGROUPS_MAX.  That way, the limit can be
	raised in the kernel configuration without having to recompile libc.

	* sysdeps/posix/euidaccess.c: Don't #include <limits.h> or try to
	define NGROUPS_MAX; we don't use it here.

2001-04-16  Andreas Jaeger  <aj@suse.de>

	* math/libm-test.inc (atan2_test): Add more testcases.

	* iconv/gconv_db.c: Include gconv_charset.h for
	__gconv_lookup_alias prototype.

2001-04-13  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/ldbl-128/s_atanl.c: New file.
	Contributed by Stephen L Moshier <moshier@mediaone.net>.

2001-04-13  Jes Sorensen  <jes@linuxcare.com>

	* intl/tst-codeset.c: Include string.h to get prototype for strcmp().

2001-04-13  Jes Sorensen  <jes@linuxcare.com>

	* sysdeps/unix/sysv/linux/ia64/bits/siginfo.h: Add __pad0 to
	explicitly pad struct siginfo instead of relying on compiler padding.

2001-04-12  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/Dist: Add elf/entry.h.

	* iconvdata/Makefile (distribute): Add TESTS2.

2001-04-13  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/sparc/sparc64/dl-machine.h (elf_machine_load_address):
	Calculate load address differently.

2001-04-12  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/TESTS2: New file.
	* iconvdata/run-iconv-test.sh: Also run tests from TESTS2.
	* iconvdata/testdata/alfabeta..UTF-8: New file.
	* iconvdata/testdata/alfabeta..UTF-16.BE: New file.
	* iconvdata/testdata/alfabeta..UTF-16.LE: New file.
	* iconvdata/testdata/alfabeta..UTF-32.BE: New file.
	* iconvdata/testdata/alfabeta..UTF-32.LE: New file.

2001-04-11  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/utf-32.c: New file.
	* iconvdata/gconv-modules: Add entries for UTF-32, UTF-32LE, UTF-32BE.
	* iconvdata/Makefile (modules): Add UTF-32.
	(distribute): Add utf-32.c.

2001-04-11  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/utf-16.c (PREPARE_LOOP): Initialize 'swap' after possibly
	changing it in the state.  After incrementing 'inptr', store it back.
	* iconvdata/unicode.c (PREPARE_LOOP): After incrementing 'inptr',
	store it back.

2001-04-11  Bruno Haible  <haible@clisp.cons.org>

	* iconvdata/utf-16.c (gconv_init): Use MAX_NEEDED_FROM, not
	MIN_NEEDED_FROM.

2001-04-11  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/ia64/htonl.S: Drop superfluous "alloc".
	* sysdeps/ia64/htons.S: Likewise.

	* sysdeps/ia64/memset.S: Add unwind directives.
	* sysdeps/ia64/strncpy.S: Likewise.
	* sysdeps/ia64/strcat.S: Likewise.

	* sysdeps/ia64/memccpy.S: Add unwind directives.  Drop superfluous
	restore of ar.pfs.
	* sysdeps/ia64/strchr.S: Likewise.
	* sysdeps/ia64/memmove.S: Likewise.
	* sysdeps/ia64/memcpy.S: Likewise.
	* sysdeps/ia64/memcmp.S: Likewise.
	* sysdeps/ia64/memchr.S: Likewise.
	* sysdeps/ia64/strcmp.S: Likewise.
	* sysdeps/ia64/strlen.S: Likewise.
	* sysdeps/ia64/strcpy.S: Likewise.
	* sysdeps/ia64/strncmp.S: Likewise.

2001-04-11  Jakub Jelinek  <jakub@redhat.com>

	* wcsmbs/wchar.h (fgetwc, getwc, getwchar, fputwc, putwc, putwchar,
	fgetws, fputws, ungetwc, getwc_unlocked, getwchar_unlocked,
	fgetwc_unlocked, fputwc_unlocked, putwc_unlocked, putwchar_unlocked,
	fgetws_unlocked, fputws_unlocked, wcsftime): Add __THROW.

2001-04-11  Andreas Jaeger  <aj@suse.de>

	* sysdeps/mips/elf/start.S [__ASSEMBLY__]: Define it.

2001-04-11  Andreas Schwab  <schwab@suse.de>

	* sysdeps/m68k/fpu/libm-test-ulps: Adjusted.

2001-04-11  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/arm/stackinfo.h: New file.

2001-04-08  Thorsten Kukuk  <kukuk@suse.de>

	* sunrpc/rpc_main.c: If we compile RPC thread safe, allow
	rpcgen to generate thread safe code.

2001-04-10  Andreas Jaeger  <aj@suse.de>

	* math/test-fenv.c (initial_tests): Protect FE_TONEAREST declaration.

2001-04-10  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-minimal.c (__assert_fail): Change error string.  It's
	most of the time no bug in ld.so.
	(__assert_perror_fail): Likewise.

2001-04-11  Hans-Peter Nilsson  <hp@axis.com>

	* sysdeps/generic/bits/fenv.h (fexcept_t): Change default type
	from struct to unsigned int.

2001-04-10  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* elf/elf.h (AT_DCACHEBSIZE, AT_ICACHEBSIZE, AT_UCACHEBSIZE,
	AT_IGNOREPPC): New defines.
	* sysdeps/generic/dl-sysdep.c (_dl_show_auxv): Print them.
	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_STD_AUXV):
	Define for newer powerpc kernels.
	* sysdeps/unix/sysv/linux/powerpc/dl-sysdep.c: Use the standard
	DL_FIND_ARG_COMPONENTS if __ASSUME_STD_AUXV is defined.

2000-4-10  kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/sh/stackinfo.h: New file.

2001-04-10  Ulrich Drepper  <drepper@redhat.com>

	* locale/tst-C-locale.c (run_test): Add tests for locale objects.
	* locale/newlocale.c (__newlocale): Correct setting __ctype_b,
	__ctype_tolower, and __ctype_toupper elements.

	* ctype/ctype_l.c: Fix definitions of __tolower_l and __toupper_l.
	Reported by Konstantin Osipov <rabid@spylog.ru>.

	* sysdeps/i386/fpu/libm-test-ulps: Add deltas for tgamma to help
	the lousy AMD FPU.

2001-04-10  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* sysdeps/unix/sysv/linux/powerpc/sys/ptrace.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/Dist: Add sys/ptrace.h.
	* sysdeps/unix/sysv/linux/powerpc/sys/ucontext.h: Delete wrong stuff.
	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h: Correct typedefs.

2001-04-10  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-deps.c (_dl_map_object_deps): Provide complete error
	message.  Based on a patch by HJ Lu.

2001-04-10  Andreas Schwab  <schwab@suse.de>

	* math/libm-test.inc (csinh_test): Don't require the invalid
	exception for csinh (x + iNaN), but make it optional.

2001-04-09  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/ia64/elf/start.S (_start): Add unwind directives.

	* sysdeps/generic/entry.h [!__ASSEMBLY__]: Declare _start.
	* sysdeps/ia64/elf/entry.h: New file.
	* sysdeps/unix/sysv/linux/mips/entry.h [!__ASSEMBLY__]: Declare
	__start.
	* elf/rtld.c: Don't declare ENTRY_POINT.  Use ENTRY_POINT instead
	of &ENTRY_POINT.
	* sysdeps/generic/dl-sysdep.c: Likewise.
	* sysdeps/mach/hurd/dl-sysdep.c: Likewise.
	* sysdeps/ia64/elf/start.S: Save base address of register backing
	store in __libc_ia64_register_backing_store_base.

2001-04-10  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-32/getcontext.S: Fix return
	value of getcontext.
	* sysdeps/unix/sysv/linux/s390/s390-64/getcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/s390/s390-32/setcontext.S: Fix return
	value of setcontext.
	* sysdeps/unix/sysv/linux/s390/s390-64/setcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/s390/swapcontext.c: Skip setcontext
	call by changing the saved context.

2001-04-10  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/alpha/stackinfo.h: New file.
	* sysdeps/ia64/stackinfo.h: New file.

2001-04-10  Andreas Schwab  <schwab@suse.de>

	* sysdeps/m68k/fpu/e_pow.c: Correct handling of some exceptional
	values.
	* sysdeps/m68k/fpu/e_scalb.c: Likewise.

2001-04-09  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/sparc/sparc32/sparcv9/Dist: Add hp-timing.c.
	* sysdeps/sparc/sparc64/Dist: Add hp-timing.c.

	* libio/Makefile (distribute): Add fd_to_filename.h.

2001-04-05  David S. Miller  <davem@redhat.com>

	Add hp-timing support for sparcv9/sparc64 targets.
	* sysdeps/sparc/sparc32/sparcv9/hp-timing.c: New file
	* sysdeps/sparc/sparc32/sparcv9/hp-timing.h: New file
	* sysdeps/sparc/sparc64/hp-timing.c: New file
	* sysdeps/sparc/sparc64/hp-timing.h: New file
	* sysdeps/sparc/sparc32/sparcv9/Makefile: Build hp-timing.
	* sysdeps/sparc/sparc64/Makefile: Likewise.

2001-04-09  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/fd_to_filename.h: New file.
	* sysdeps/unix/sysv/linux/fd_to_filename.h: New file.
	* libio/freopen.c (freopen): If FILENAME is NULL, try to get
	filename from the open file descriptor.
	* libio/freopen64.c (freopen64): Likewise.

2001-04-09  Bruno Haible  <haible@clisp.cons.org>

	* misc/error.c (error): fflush stdout also if
	error_print_progname != NULL.
	(error_at_line): Likewise.

2001-04-07  Bruno Haible  <haible@clisp.cons.org>

	* intl/gettextP.h (struct loaded_domain): Add codeset_cntr field.
	(struct binding): Add codeset_cntr field.
	(_nl_load_domain): Add domainbinding argument.
	(_nl_init_domain_conv, _nl_free_domain_conv): New declarations.
	(_nl_find_msg): New declaration, moved here from loadinfo.h.
	* intl/loadinfo.h (struct loaded_l10nfile): Remove domainbinding field.
	(_nl_make_l10nflist): Remove domainbinding argument.
	(_nl_find_msg): Move declaration to gettextP.h.
	* intl/bindtextdom.c (set_binding_values): Initialize ->codeset_cntr
	to 0.  Increment it when ->codeset is changed.
	* intl/dcigettext.c (DCIGETTEXT): Pass binding to _nl_find_msg.
	(_nl_find_msg): Add domainbinding argument.  Reinitialize the converter
	if domainbinding->codeset_cntr has been incremented.
	* intl/finddomain.c (_nl_find_domain): Don't pass domainbinding to
	_nl_make_l10nflist().  Pass it to _nl_load_domain() instead.
	* intl/l10nflist.c (_nl_make_l10nflist): Remove domainbinding argument.
	* intl/loadmsgcat.c (_nl_init_domain_conv): New function, extracted
	 from _nl_load_domain.  Append //TRANSLIT also when using libiconv.
	(_nl_free_domain_conv): New function, extracted from _nl_unload_domain.
	(_nl_load_domain): Add domainbinding argument.  Call
	_nl_init_domain_conv.
	(_nl_unload_domain): Call _nl_free_domain_conv.
	* intl/Makefile (distribute): Add tst-codeset.sh, tstcodeset.po.
	(test-srcs): Add tst-codeset.
	(tests): Depend on tst-codeset.out.
	(tst-codeset.out): New rule.
	(CFLAGS-tst-codeset.c): New variable.
	* intl/tst-codeset.sh: New file.
	* intl/tstcodeset.po: New file.
	* intl/tst-codeset.c: New file.
	* locale/findlocale.c (_nl_find_locale): Update _nl_make_l10nflist
	calls.

2001-04-07  Roland McGrath  <roland@frob.com>

	* mach/msgserver.c (__mach_msg_server_timeout): Add an assert.

2001-03-31  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/fork.c: Skip NEWPROC just like NEWTASK when
	copying send rights into child.  When we hit our name for our proc
	port, just copy NEWPROC directly instead of repeating proc_task2proc
	to install the child's port.

2001-04-08  Roland McGrath  <roland@frob.com>

	* Makeconfig ($(common-objpfx)soversions.i): Grok entries with DEFAULT
	in second column, to provide default values for third column.
	* shlib-versions: Add comments about using DEFAULT in second column.
	(s390x-.*-linux.*): Replace individual entries with a DEFAULT entry.
	(cris-.*-linux.*): Likewise.

2001-04-09  Ulrich Drepper  <drepper@redhat.com>

	* Makefile (distribute): Add scripts/documented.sh.
	* scripts/documented.sh: New file.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* sysdeps/unix/sysv/linux/cris/Dist: New file.
	* sysdeps/unix/sysv/linux/cris/Makefile: New file.
	* sysdeps/unix/sysv/linux/cris/_G_config.h: New file.
	* sysdeps/unix/sysv/linux/cris/bits/fcntl.h: New file.
	* sysdeps/unix/sysv/linux/cris/bits/mman.h: New file.
	* sysdeps/unix/sysv/linux/cris/bits/resource.h: New file.
	* sysdeps/unix/sysv/linux/cris/brk.c: New file.
	* sysdeps/unix/sysv/linux/cris/chown.c: New file.
	* sysdeps/unix/sysv/linux/cris/clone.S: New file.
	* sysdeps/unix/sysv/linux/cris/fchown.c: New file.
	* sysdeps/unix/sysv/linux/cris/fcntl.c: New file.
	* sysdeps/unix/sysv/linux/cris/fxstat.c: New file.
	* sysdeps/unix/sysv/linux/cris/getegid.c: New file.
	* sysdeps/unix/sysv/linux/cris/geteuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/getgid.c: New file.
	* sysdeps/unix/sysv/linux/cris/getgroups.c: New file.
	* sysdeps/unix/sysv/linux/cris/getresgid.c: New file.
	* sysdeps/unix/sysv/linux/cris/getresuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/getrlimit.c: New file.
	* sysdeps/unix/sysv/linux/cris/getrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/cris/getuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/lchown.c: New file.
	* sysdeps/unix/sysv/linux/cris/lockf64.c: New file.
	* sysdeps/unix/sysv/linux/cris/lxstat.c: New file.
	* sysdeps/unix/sysv/linux/cris/mmap.S: New file.
	* sysdeps/unix/sysv/linux/cris/mmap64.S: New file.
	* sysdeps/unix/sysv/linux/cris/msgctl.c: New file.
	* sysdeps/unix/sysv/linux/cris/profil-counter.h: New file.
	* sysdeps/unix/sysv/linux/cris/register-dump.h: New file.
	* sysdeps/unix/sysv/linux/cris/semctl.c: New file.
	* sysdeps/unix/sysv/linux/cris/setegid.c: New file.
	* sysdeps/unix/sysv/linux/cris/seteuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setfsgid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setfsuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setgid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setgroups.c: New file.
	* sysdeps/unix/sysv/linux/cris/setregid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setresgid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setresuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setreuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/setrlimit.c: New file.
	* sysdeps/unix/sysv/linux/cris/setuid.c: New file.
	* sysdeps/unix/sysv/linux/cris/shmctl.c: New file.
	* sysdeps/unix/sysv/linux/cris/socket.S: New file.
	* sysdeps/unix/sysv/linux/cris/sys/ucontext.h: New file.
	* sysdeps/unix/sysv/linux/cris/syscall.S: New file.
	* sysdeps/unix/sysv/linux/cris/sysdep.S: New file.
	* sysdeps/unix/sysv/linux/cris/sysdep.h: New file.
	* sysdeps/unix/sysv/linux/cris/vfork.S: New file.
	* sysdeps/unix/sysv/linux/cris/xstat.c: New file.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* sysdeps/cris/Dist: New file.
	* sysdeps/cris/Implies: New file.
	* sysdeps/cris/Makefile: New file.
	* sysdeps/cris/__longjmp.S: New file.
	* sysdeps/cris/_mcount.S: New file.
	* sysdeps/cris/bits/endian.h: New file.
	* sysdeps/cris/bits/setjmp.h: New file.
	* sysdeps/cris/bits/string.h: New file.
	* sysdeps/cris/dl-machine.h: New file.
	* sysdeps/cris/elf/start.S: New file.
	* sysdeps/cris/machine-gmon.h: New file.
	* sysdeps/cris/memcopy.h: New file.
	* sysdeps/cris/memusage.h: New file.
	* sysdeps/cris/setjmp.S: New file.
	* sysdeps/cris/sysdep.h: New file.
	* sysdeps/cris/wordcopy.c: New file.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* elf/elf.h: Add new relocations for CRIS.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* shlib-versions: Add cases for Linux on CRIS.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* configure.in (ASM_LINE_SEP tests): Handle CRIS assembly, with
	';' for comments and '@' for line separator.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* sysdeps/unix/sysv/linux/hppa/sysdep.h (INLINE_SYSCALL): Fix
	typo; s/==/=/ for assignment.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* malloc/Makefile: Correct comment; mtrace is Perl, not AWK.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* iconv/gconv_simple.c (internal_ucs4_loop_unaligned): Check for
	empty input before checking full output.

2001-04-08  Hans-Peter Nilsson  <hp@axis.com>

	* iconv/gconv.c (__gconv): Don't derefer parameter cd before
	checking if == -1L.

2001-04-08  Ulrich Drepper  <drepper@redhat.com>

	* inet/rexec.c (rexec_af): Avoid calling perror with errno being set.

2001-04-07  Stephen L Moshier  <moshier@mediaone.net>

	* sysdeps/ieee754/ldbl-128/e_logl.c: Correct infinity and NaN
	return values.

2001-04-07  Ulrich Drepper  <drepper@redhat.com>

	* stdlib/tst-setcontext.c (main): Add a test for setcontext.

	* sysdeps/unix/sysv/linux/i386/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/i386/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/i386/makecontext.S: New file.
	* sysdeps/unix/sysv/linux/i386/swapcontext.S: New file.
	* sysdeps/unix/sysv/linux/i386/ucontext_i.h: New file.
	* sysdeps/unix/sysv/linux/i386/Dist: Add ucontext_i.h.

2001-04-07  Andreas Jaeger  <aj@suse.de>

	* sysdeps/ieee754/ldbl-96/e_j1l.c (__ieee754_y1l): Use sincos
	instead of separate sin and cos.
	(__ieee754_j1l): Likewise.

2001-04-06  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/abort-instr.h: New file.  Code by David Mosberger.

	* sysdeps/ia64/atomicity.h: New file.  Copied from libstdc++.

	* sysdeps/i386/i486/atomicity.h: Clean up the asms.

	* sysdeps/generic/e_scalb.c: Don't use FE_INVALID unless it's
	available.
	* sysdeps/generic/e_scalbf.c: Likewise.
	* sysdeps/generic/e_scalbl.c: Likewise.
	Patch by Mark Hatle <fray@mvista.com>.

2001-04-05  David S. Miller  <davem@redhat.com>

	* sysdeps/sparc/abort-instr.h: New file.

2001-04-05  Matt Wilson  <msw@redhat.com>

	* sysdeps/unix/sysv/linux/alpha/getsysstats.c (GET_NPROCS_PARSER):
	added code to parse new 2.4 format.
	(GET_NPROCS_CONF_PARSER): Likewise.

2001-04-05  David S. Miller  <davem@redhat.com>

	* scripts/config.sub: Recognize sparcv9b like sparcv9.
	* configure.in: Add sparcv9b.
	* sysdeps/sparc/sparc32/sparcv9b/Implies: New file
	* sysdeps/sparc/sparc32/sparcv9b/memcpy.S: New file
	* sysdeps/sparc/sparc64/sparcv9b/memcpy.S: New file

2001-04-06  David Mosberger  <davidm@hpl.hp.com>

	* stdlib/tst-setcontext.c: Move st2[] to global scope.
	(f2): Verify that stack pointer is inside st2[].

	* sysdeps/unix/sysv/linux/ia64/getcontext.S: It helps to save r12.
	* sysdeps/unix/sysv/linux/ia64/setcontext.S: It helps to restore r12.

2001-04-06  Ulrich Drepper  <drepper@redhat.com>

	* timezone/antarctica: Update from tzdata2001b.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.

	* iconv/iconv_open.c: Move strip and upstr definitions...
	* iconv/gconv_charset.h: ...here.  New file.
	* iconv/gconv_db.c (once): Move to file level.
	(do_lookup_alias): Split out from __gconv_find_transform.
	(__gconv_find_transform): Call do_lookup_alias.
	(__gconv_loopup_alias): New function.
	* locale/langinfo.h: Define _NL_*_CODESET values for all categories
	but LC_CTYPE.
	* locale/categories.def: Add entries for new _NL_*_CODESET values.
	* locale/C-ctype.c: Use _nl_C_codeset to initialize CODESET entry.
	* locale/C-address.c: Initialize _NL_*_CODESET element.
	* locale/C-collate.c: Likewise.
	* locale/C-identification.c: Likewise.
	* locale/C-measurement.c: Likewise.
	* locale/C-messages.c: Likewise.
	* locale/C-monetary.c: Likewise.
	* locale/C-name.c: Likewise.
	* locale/C-numeric.c: Likewise.
	* locale/C-paper.c: Likewise.
	* locale/C-telephone.c: Likewise.
	* locale/C-time.c: Likewise.
	* locale/localeinfo.h: Declare _nl_C_codeset.
	* locale/C_name.c: Define _nl_C_codeset.
	* locale/findlocale.c: Before accepting locale check that the used
	charset does not conflict with what the locale name said.
	* locale/programs/ld-address.c: Emit codeset information.
	* locale/programs/ld-collate.c: Likewise.
	* locale/programs/ld-identification.c: Likewise.
	* locale/programs/ld-measurement.c: Likewise.
	* locale/programs/ld-messages.c: Likewise.
	* locale/programs/ld-monetary.c: Likewise.
	* locale/programs/ld-name.c: Likewise.
	* locale/programs/ld-numeric.c: Likewise.
	* locale/programs/ld-paper.c: Likewise.
	* locale/programs/ld-telephone.c: Likewise.
	* locale/programs/ld-time.c: Likewise.

	* localedata/tests-mbwc/tst_funcs.h (TST_HEAD_LOCALE): It is an error
	if the locale data couldn't be found.

	* string/Makefile: Define tst-strxfrm-ENV.

	* ysdeps/unix/sysv/linux/ia64/getcontext.S: Fix comment.

2001-04-06  Andreas Jaeger  <aj@suse.de>

	* include/sys/profil.h: New file.

	* dlfcn/modatexit.c: Add prototypes to silence GCC.
	* dlfcn/modcxaatexit.c: Likewise.
	* elf/globalmod1.c: Likewise.

2001-04-05  David S. Miller  <davem@redhat.com>

	* elf/elf.h (HWCAP_SPARC_ULTRA3): Define it.
	* sysdeps/unix/sysv/linux/sparc/sparc32/dl-procinfo.h: Add it to
	capability flags table and HWCAP_IMPORTANT, increase
	_DL_HWCAP_COUNT to 6.
	* sysdeps/unix/sysv/linux/sparc/sparc64/dl-procinfo.h: Likewise.

2001-04-04  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/unix/sysv/linux/ia64/makecontext.c (__makecontext): Fix
	initialization of stack_end (bug reported by Zheng Gengbin
	<gzheng@students.uiuc.edu>).

2001-04-05  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/i386/fpu/libm-test-ulps: Relax errors for asinl.

2001-04-05  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-64/bits/socket.h: New file.

2001-04-05  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/ldbl-96/e_asinl.c: Correct handling of +-Inf.
	* sysdeps/i386/fpu/e_asinl.S: Removed.  Too inaccurate.

	* login/tst-utmp.c: Make file usable again in tst-utmpx.c.

2001-04-04  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/aix/dl-libc.c: Don't use the ELF version,
	define simple replacements here.  Patch by Michael Keezer.

	* sysdeps/ieee754/ldbl-128/e_logl.c: New file.
	* sysdeps/ieee754/ldbl-96/e_asinl.c: New file.
	Contributed by Stephen L Moshier <moshier@mediaone.net>.

	* posix/fnmatch_loop.c: Undefine NEW_PATTERN when it is not used
	anymore.

2001-04-01  Andreas Jaeger  <aj@suse.de>

	* sysdeps/generic/s_nextafter.c (NO_LONG_DOUBLE): Add nexttowardl
	alias.

	* sysdeps/generic/s_fma.c (NO_LONG_DOUBLE): Add fmal alias.

2001-04-04  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/s390/s390-64/Dist: Add ucontext_i.h.
	* sysdeps/unix/sysv/linux/s390/s390-32/Dist: Likewise.

2001-04-04  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-32/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/ucontext_i.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/ucontext_i.h: New file.
	* sysdeps/unix/sysv/linux/s390/swapcontext.c: New file.

2001-04-04  Andreas Jaeger  <aj@suse.de>

	* sysdeps/powerpc/dl-machine.h (ELF_MACHINE_NO_REL): Move to right
	place.

2001-04-04  Ulrich Drepper  <drepper@redhat.com>

	* sunrpc/rpc_scan.c (symbols): Add entry for HYPER.
	* sunrpc/rpc_scan.h (enum tok_kind): Add TOK_HYPER.
	* sunrpc/rpc_parse.c (get_type): Handle TOK_HYPER.
	(unsigned_dec): Likewise.
	Patch by atai@jezebel.dreamhost.com.

	* nis/nss_nis/nis-service.c (_nss_nis_getservbyname_r): Pass
	pointer to int as last parameter of yp_match.
	Patch by kanazawa@flab.fujitsu.co.jp.

2001-04-03  Ulrich Drepper  <drepper@redhat.com>

	* resolv/netdb.h (gai_strerror): Make return value const.
	* sysdeps/generic/gai_strerror.c (gai_strerror): Likewise.
	* sysdeps/posix/gai_strerror.c (gai_strerror): Likewise.
	Add strings for new error values.

2001-03-29  Michael Keezer  <mkeezer@redhat.com>

	* posix/tst-gnuglob.c: Added ifdef _DIRENT_HAVE_D_TYPE.
	* login/tst-utmp.c: Handle case where ut_tv is not available but
	ut_time is.
	* sysdeps/unix/sysv/aix/utmpx.h: New file.
	* sysdeps/unix/sysv/aix/bits/utmpx.h: Added
	_HAVE_UT_TYPE/PID/ID/TV/HOST defines.
	* sysdeps/unix/sysv/aix/libc-start.c: Removed temp code and made stub.
	* sysdeps/unix/sysv/aix/gettimeofday.c: New file added routines
	to access RTCU timer reg.
	* sysdeps/unix/sysv/aix/Makefile: Remove /usr/lib/crt0.o
	added dl-libc, dl-open,dl-sym, dl-close to misc.
	* sysdeps/unix/sysv/aix/start.c: New file.  Start code.
	* sysdeps/unix/sysv/aix/dlldr.h: New file.  AIX __loadx defines.
	* sysdeps/unix/sysv/aix/dl-close.c: New file.  AIX dl-close.
	* sysdeps/unix/sysv/aix/dl-open.c: New file.  AIX dl-open.
	* sysdeps/unix/sysv/aix/dl-sym.c: New file.  AIX dl-sym.
	* sysdeps/unix/sysv/aix/dl-libc.c: New file.  libc_dl-xxx support.
	* sysdeps/generic/strtoll.c: Added SHLIB_COMPAT(libc,GLIBC_2_0,
	GLIBC_2_2).
	* sysdeps/generic/strtoull.c: Likewise.
	* sysdeps/powerpc/ppc-mcount.S: Added nop after bl instruction.
	* sysdeps/unix/sysv/aix/powerpc/memset.c: New file to include
	sysdeps/generic/memset.c.
	* sysdeps/unix/sysv/aix/getpeername.c: Define __getpeername.

2001-04-03  Ulrich Drepper  <drepper@redhat.com>

	* iconv/Makefile (CFLAGS-charmap.c): Add -DNEED_NULL_POINTER.
	* locale/programs/charmap.c: Define null_pointer if
	NEED_NULL_POINTER is defined.

	* misc/dirname.c (dirname): Handle multiple slashes correctly.

2001-04-03  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/s390-64/initfini.c: Fix __gmon_start__ GOT access.

2001-04-03  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/s390-32/bcopy.S: Optimize for speed.
	* sysdeps/s390/s390-64/bcopy.S: Likewise.
	* sysdeps/s390/s390-32/mempcy.S: Likewise.
	* sysdeps/s390/s390-64/memcpy.S: Likewise.

2001-04-02  Bruno Haible  <haible@clisp.cons.org>

	* manual/message.texi (Advanced gettext functions): More specific
	syntax in the plural formula examples.

2001-04-02  Franz Sirl  <Franz.Sirl-kernel@lauterbach.com>

	* sysdeps/powerpc/atomicity.h: Silence warnings.
	* sysdeps/powerpc/dl-machine.h: Likewise.
	* sysdeps/powerpc/register-dump.h: Likewise.
	* sysdeps/powerpc/fpu/s_lrint.c: Likewise.

2001-04-02  Andreas Jaeger  <aj@suse.de>

	* misc/tst-dirname.c (main): Add more tests, derived from a bug
	report by Michael Kerrisk <mtk16@ext.canterbury.ac.nz>.

2001-04-01  Andreas Jaeger  <aj@suse.de>

	* debug/xtrace.sh (pcprofileso): Use SLIBDIR since libpcprofile.so
	is installed there.
	* malloc/memusage.sh (memusageso): Likewise for libmemusage.so.

2001-04-01  H.J. Lu  <hjl@gnu.org>

	* posix/annexc.c (macrofile): Renamed from TMPFILE and set to
	tmpnam (NULL).
	* stdlib/isomac.c (macrofile): Likewise.

2001-03-30  Thorsten Kukuk  <kukuk@suse.de>

	* inet/rcmd.c: Allow AF_UNSPEC as parameter.
	* nis/ypclnt.c (yp_all): Print error message only at last try,
	check for protocoll error only if we don't have a network error.

2001-04-02  Andreas Schwab  <schwab@suse.de>

	* resolv/res_data.c (res_isourserver): Fix cast.

2001-04-02  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/hppa/umount.c: Add prototype for
	__umount2.

	* sysdeps/i386/dl-machine.h (RTLD_START): Don't use multi-line
	strings.
	(ELF_MACHINE_RUNTIME_TRAMPOLINE): Likewise.

	* sysdeps/ieee754/dbl-64/uroot.h: Add missing braces arount
	initializers.
	* sysdeps/ieee754/dbl-64/e_sqrt.c (__ieee754_sqrt): Likewise.

	* elf/rtld.c (print_statistics)[!HP_TIMING_NONAVAIL]: Avoid
	warning about unused variable.

	* string/string.h (strndupa): Add cast for C++ conformance.
	(strdupa): Likewise.
	Fixes PR libc/2173, reported by tbrowder@home.com.

2001-03-30  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/Makefile ($(link-rpcuserlibs)): Don't append
	options after $(build-module), which is no longer a single command.
	(LDFLAGS-link-rpcuserlibs): New variable to hold those options.
	(LDFLAGS-libmachuser-link.so, LDFLAGS-libhurduser-link.so): New
	variables using it.  Reported by Mark Kettenis <kettenis@gnu.org>.

2001-03-11  Roland McGrath  <roland@frob.com>

	* elf/rtld.c (dl_main): Add cast to quiet warning.
	* elf/dl-load.c (_dl_map_object_from_fd): Likewise.
	* iconv/gconv_conf.c (__gconv_get_path): Likewise.
	(__gconv_read_conf): Likewise.
	* iconv/gconv_db.c (gen_steps): Likewise.
	(__gconv_find_transform): Likewise.
	* locale/programs/charmap-dir.c (fopen_uncompressed): Likewise.
	(fopen_uncompressed): Use const in second argument's type.

2001-03-11  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/dl-sysdep.c (__writev): New function.

	* mach/mach_error.h: Fix ancient #endif syntax.
	* hurd/hurdmalloc.c: Likewise.

	* sysdeps/generic/atomicity.h (exchange_and_add, atomic_add,
	compare_and_swap): Add volatile qualifier to first arg, to bring
	these prototypes in line with all the other implementations.
	Add a #warning to remind the builder that these are not atomic.

2001-03-04  Roland McGrath  <roland@frob.com>

	* hurd/vpprintf.c (vpprintf) [USE_IN_LIBIO]: Use innermore first
	member of TEMP_F so its type is _IO_FILE * as expected.

	* hurd/fopenport.c (seekio): Conditionalize type of POS argument
	on [USE_IN_LIBIO].  Check the value for overflow, since for libio
	it might exceed off_t's range.

2001-02-25  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/sysd-stdio.c (__stdio_reopen): Use prototype.
	* sysdeps/unix/bsd/getpt.c (__posix_openpt): Likewise.

	* sysdeps/mach/hurd/i386/intr-msg.h (SYSCALL_EXAMINE): Make this a
	macro instead of an inline function,
	(MSG_EXAMINE): Likewise.

	* hurd/hurd/ioctl.h (_HURD_HANDLE_IOCTLS_1): Remove extraneous ##.

	* hurd/get-host.c: Include <string.h> for decls of built-ins.
	* hurd/hurdchdir.c: Likewise.
	* sysdeps/mach/hurd/i386/sigreturn.c: Likweise.
	* sysdeps/mach/hurd/opendir.c: Likewise.

	* mach/mach_init.c: Include <unistd.h> for _exit decl.

	* mach/errsystems.awk: Give output file a trailing newline.

	* mach/Machrules (MIG): Prepend CC='${CC}' to the mig command, so that
	the script will use our compiler for the cpp stage.

	With --enable-all-warnings we get a whole bunch of warnings,
	and these are just a few fixes; there are more needed to silence it.
	* mach/mach/mig_support.h (__mig_strncpy, mig_strncpy): Add extern
	decls before extern inline defns to quiet gcc warning.
	* hurd/hurd/threadvar.h (__hurd_threadvar_location_from_sp): Likewise.
	* sysdeps/mach/i386/machine-sp.h (__thread_stack_pointer): Likewise.

2001-03-31  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/net/if_arp.h (ARPHRD_RAWHDLC): Added.
	(ARPHRD_HDLC): Define as alias for ARPHRD_CISCO.
	(ARPHRD_CISCO): New.
	Changes from Linux 2.4.3.

2001-03-30  Isamu Hasegawa  <isamu@yamato.ibm.com>

	* posix/regex.c: Avoid an access violation if malloc fails.

2001-03-30  Andreas Jaeger  <aj@suse.de>

	* sysdeps/alpha/ldiv.S (ldiv): Add alias for imaxdiv.

2001-03-29  Ulrich Drepper  <drepper@redhat.com>

	* posix/regex.c: Remove unnecessary ifs.

	* math/bits/mathcalls.h: Remove infnan declaration.

2001-03-29  H.J. Lu  <hjl@gnu.org>

	* include/endian.h: Define BIG_ENDI, LITTLE_ENDI, HIGH_HALF,
	and LOW_HALF only if _LIBC is defined and _ISOMAC is not defined.
	* stdlib/isomac.c (fmt): Define _LIBC and _ISOMAC.

2001-03-29  Isamu Hasegawa  <isamu@yamato.ibm.com>

	* posix/regex.c: Fix typo and add a sentinel.

2001-03-29  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/shm_open.c: Open new file always with
	O_NOFOLLOW.  Suggested by Christoph Roland.

2001-03-27  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/bits/string.h: New unified 31/64 bit string.h.
	* sysdeps/s390/s390-32/bits/string.h: Remove.
	* sysdeps/s390/s390-64/bits/string.h: Remove.
	* sysdeps/s390/s390-32/strcmp.S: New file.
	* sysdeps/s390/s390-64/strcmp.S: New file.

2001-03-27  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-32/sys/ucontext.h: Fix typo.
	* sysdeps/unix/sysv/linux/s390/s390-64/sys/ucontext.h: Likewise.

2001-03-27  Ulrich Drepper  <drepper@redhat.com>

	* version.h (VERSION): Bump to 2.2.3.

	* stdlib/isomac.c (fmt): Don't define _LIBC.
	* include/endian.h: Define BIG_ENDI, LITTLE_ENDI, HIGH_HALF, and
	LOW_HALF only if _LIBC is defined.

	* sysdeps/i386/fpu/libm-test-ulps: Slight adjustment of yn() error.

	* posix/fnmatch_loop.c (FCT): Handle !() after * special like @()
	and +().
	* posix/tst-fnmatch.input: Add test cases for matching empty strings.

	* sysdeps/ieee754/dbl-64/endian.h: Removed.  Move definitions...
	* include/endian.h: ...to here.

2001-03-27  kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/sh/sys/ucontext.h (NFREG): Rename to NFPREG.
	* sysdeps/unix/sysv/linux/sh/sys/ucontext.h (NFREG): Likewise.

2001-03-27  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/ldconfig.h: Fix typo.

2001-03-26  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/fpu/Dist: Add new files to distribute.
	* sysdeps/unix/sysv/linux/s390/s390-64/Dist: Likewise.
	* sysdeps/unix/sysv/linux/ia64/Dist: Likewise.

	* gmon/Makefile (headers): Add sys/profil.h.

2001-03-18  Andreas Jaeger  <aj@suse.de>

	* manual/install.texi (Tools for Compilation): Advise to use GCC
	2.95.3.
	(Supported Configurations): Mention s390x.

2001-03-26  Ben Collins  <bcollins@debian.org>

	* sysdeps/unix/sysv/linux/mips/bits/mman.h: Add MAP_* and MADV_*
	defines to match other architectures.

2001-03-26  Ulrich Drepper  <drepper@redhat.com>

	* libio/Makefile (tests): Add tst-ext.
	* libio/tst-ext.c: New file.

	* libio/iosetvbuf.c (_IO_setvbuf): Clear line buffer flag for _IONBF.

2001-03-25  Ulrich Drepper  <drepper@redhat.com>

	Add changes which were in this form in the original patch by
	Eric Norum <eric.norum@usask.ca>.
	* include/rpc/rpc.h: Remove svc_fdset, rpc_createerr, svc_pollfd, and
	svc_max_pollfd.
	* sunrpc/rpc/rpc.h: Declare __rpc_thread_svc_fdset,
	__rpc_thread_createerr, __rpc_thread_svc_pollfd, and
	__rpc_thread_svc_max_pollfd.
	Define svc_fdset, get_rpc_createerr, svc_pollfd, and
	svc_max_pollfd.
	* sunrpc/rpc_thread.c: Handle first thread special, it uses the
	global variables.
	Define __rpc_thread_svc_fdset, __rpc_thread_createerr,
	__rpc_thread_svc_pollfd, and __rpc_thread_svc_max_pollfd.
	* sunrpc/Versions [libc] (GLIBC_2.2.3): Export  __rpc_thread_svc_fdset,
	__rpc_thread_createerr, __rpc_thread_svc_pollfd, and
	__rpc_thread_svc_max_pollfd.
	* sunrpc/clnt_gen.c: Replace use of rpc_createerr by call to
	get_rpc_createerr.
	* sunrpc/clnt_perr.c: Likewise.
	* sunrpc/clnt_simp.c: Likewise.
	* sunrpc/clnt_tcp.c: Likewise.
	* sunrpc/clnt_udp.c: Likewise.
	* sunrpc/clnt_unix.c: Likewise.
	* sunrpc/pm_getport.c: Likewise.

	* sysdeps/unix/sysv/linux/i386/getgroups.c (__getgroups): getgroups32
	syscall checks for negative n so don't test here as well.

2001-03-23  Jes Sorensen  <jes@linuxcare.com>

	* sysdeps/unix/sysv/linux/ia64/sysdep.h (ENTRY): Moved to ...
	* sysdeps/ia64/sysdep.h: ...here.

	* sysdeps/ia64/sysdep.h (LOCAL_ENTRY): Define.
	* sysdeps/ia64/sysdep.h (LOCAL_LEAF): Define.

	* sysdeps/ia64/_mcount.S (_mcount_ret_helper): Use LOCAL_LEAF() to
	declare instead of LEAF().  Suggestion from David Mosberger.

2001-03-21  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/unix/sysv/linux/ia64/sysdep.h (CALL_MCOUNT): Add unwind
	directives.
	(PSEUDO): Drop .psr and .lsb directives.

	* sysdeps/unix/sysv/linux/ia64/setjmp.S: Ditto.  Add unwind
	directives.
	* sysdeps/unix/sysv/linux/ia64/sysdep.S: Ditto.

	* sysdeps/ia64/elf/start.S: Misc cleanup: remove .psr and .lsb
	directives etc.
	* sysdeps/unix/sysv/linux/ia64/brk.S: Ditto.
	* sysdeps/unix/sysv/linux/ia64/__longjmp.S: Ditto.
	* sysdeps/ia64/_mcount.S: Remove .psr and .lsb directives (no
	longer needed).  Add unwind directives.

	* sysdeps/ia64/sysdep.h: Define ASM_UNW_PRLG_RP, ASM_UNW_PRLG_PFS,
	ASM_UNW_PRLG_PSP, ASM_UNW_PRLG_PR, and ASM_UNW_PRLG_GRSAVE.

2001-03-21  Paul Eggert  <eggert@twinsun.com>

	* posix/regex.h (RE_INVALID_INTERVAL_ORD): New macro.
	(RE_SYNTAX_POSIX_EGREP): Use it.
	* posix/regex.c (regex_compile): Implement it.

2001-03-21  Paul Eggert  <eggert@twinsun.com>

	* posix/regex.c (GET_UNSIGNED_NUMBER): Check for overflow.
	Rewrite to avoid duplicate code.

2001-03-21  H.J. Lu  <hjl@gnu.org>

	* elf/Makefile (tests): Don't depend on $(objpfx)tst-pathopt.out
	for cross-compiling.
	($(objpfx)tst-pathopt.out): Undo the last change.

2001-03-24  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/hurd/i386/bits/sigcontext.h (sc_sp, sc_fp, sc_pc,
	sc_ps): Define as aliases for sc_uesp, sc_ebl, sc_eip and sc_efl.

	* sysdeps/mach/hurd/i386/init-first.c: Include <assert.h>.
	(_dl_argv): Declare.
	(init) [SHARED]: Readjust _dl_argv if we switched to a new stack.

2001-03-22  Andreas Jaeger  <aj@suse.de>

	* iconvdata/Makefile (generated): Add iconv-test.xxx.

	* posix/Makefile (generated): Add bug-regex2.mtrace and
	bug-regex2-mem.

2001-03-21  Ulrich Drepper  <drepper@redhat.com>

	* csu/version.c (__gnu_get_libc_release): Add prototype.
	(__gnu_get_libc_version): Likewise.
	* include/gnu/libc-version.h: Remove prototypes for not exported
	functions.

2001-03-21  Jes Sorensen  <jes@linuxcare.com>

	* sysdeps/unix/sysv/linux/ia64/makecontext.c: Include libintl.h
	for internationalized printfs to work.

2001-03-09  Bruno Haible  <haible@clisp.cons.org>

	* intl/dcigettext.c (transmem_block_t): Change to unsigned char, to
	avoid compiler warning.
	(_nl_find_msg): Add casts to avoid compiler warnings.

2001-03-21  Ulrich Drepper  <drepper@redhat.com>

	* gmon/Makefile (routines): Add sprofil.
	(tests): Add tst-sprofil.
	(noprof): Add sprofil.
	* gmon/Versions [libc] (GLIBC_2.2.3): Add sprofil.

2001-03-20  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/generic/sprofil.c: New file.
	* sysdeps/posix/sprofil.c: New file.
	* gmon/tst-sprofil.c: New file.
	* gmon/sys/profil.h: New file.

2001-03-20  Andreas Schwab  <schwab@suse.de>

	* include/unistd.h: Adjust prototype of __gethostname.

2001-03-20  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/sparc/stackinfo.h: New file.

2001-03-21  Andreas Jaeger  <aj@suse.de>

	* elf/global.c (main): Use proper prototype.

2001-03-20  Ulrich Drepper  <drepper@redhat.com>

	* sunrpc/Makefile (routines): Add rpc_thread.
	(CPPFLAGS): Add -D_RPC_THREAD_SAFE.
	* sunrpc/rpc_thread.c: New file.
	* sunrpc/Versions [libc] (GLIBC_2.2.3): Export __rpc_thread_destroy.
	* sunrpc/auth_none.c: Don't use global variables.  Access state in
	thread-local storage.
	* sunrpc/clnt_perr.c: Likewise.
	* sunrpc/clnt_raw.c: Likewise.
	* sunrpc/clnt_simp.c: Likewise.
	* sunrpc/key_call.c: Likewise.
	* sunrpc/rpc_common.c: Likewise.
	* sunrpc/svc.c: Likewise.
	* sunrpc/svc_raw.c: Likewise.
	* sunrpc/svc_simple.c: Likewise.
	* sunrpc/svcauth_des.c: Likewise.
	* hurd/hurd/threadvar.h (enum __hurd_threadvar_index): Add
	_HURD_THREADVAR_RPC_VARS.
	* sysdeps/generic/bits/libc-tsd.h: Mention _LIBC_TSD_KEY_RPC_VARS.
	* include/rpc/rpc.h: Define data structures for internal thread-local
	"global" variables.
	Based on patches by Eric Norum <eric.norum@usask.ca>.

	* elf/dl-load.c: Various little optimizations.

	* sysdeps/unix/sysv/linux/pathconf.c (__pathconf): Return
	LINUX_LINK_MAX only if the statfs function is not implemented for
	the filesystem.

	* sysdeps/unix/sysv/linux/fpathconf.c (__fpathconf): Return
	LINUX_LINK_MAX only if the fstatfs function is not implemented for
	the filesystem.

2001-03-19  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-dst.h (DL_DST_COUNT): Add __builtin_expect.

	* elf/dl-load.c (_dl_dst_count): Make DST recognition more robust.
	(_dl_dst_substitute): Likewise.

2001-03-17  Bruno Haible  <haible@clisp.cons.org>

	* intl/loadmsgcat.c (_nl_load_domain) [!_LIBC]: Use fstat, not fstat64.

2001-03-17  Bruno Haible  <haible@clisp.cons.org>

	* intl/gettextP.h (struct expression): Add operators lnot, less_than,
	greater_than, less_or_equal, greater_or_equal.  Replace args2/args3
	union by a 'nargs' counter and an 'args[]' array.
	* intl/plural.y: Don't include stdarg.h.
	(new_exp): Take an array of arguments instead of varargs.
	(new_exp_0, new_exp_1, new_exp_2, new_exp_3): New functions.
	('?' ':'): Make right-associative.
	(EQUOP2): New token, replaces '=' and '!'.
	(CMPOP2): New token.
	(ADDOP2): New token, replaces '+' and '-'.
	(MULOP2): New token, replaces '*', '/' and '%'.
	('!'): New token.
	(exp): Add rules for CMPOP2 and '!'.  Don't call YYABORT.
	(start): Call YYABORT here.
	(FREE_EXPRESSION): Update.
	(yylex): Don't skip "\\n".  Recognize comparison and '!' operators.
	Update for new token symbols.
	* intl/loadmsgcat.c (plvar, plone, germanic_plural,
	init_germanic_plural): Update.
	* intl/dcigettext.c (_nl_find_msg): Optimize for space.
	(plural_eval): Recognize comparison and '!' operators.  Optimize for
	space.

2001-03-10  Bruno Haible  <haible@clisp.cons.org>

	* intl/loadmsgcat.c (_nl_load_domain): locale_charset() doesn't return
	NULL any more.

2001-01-05  Bruno Haible  <haible@clisp.cons.org>

	* intl/loadmsgcat.c: Include headers needed for alloca().
	(freea): New macro.
	(_nl_load_domain): Add fallback code for platforms lacking alloca.
	* intl/localealias.c: (ADD_BLOCK, FREE_BLOCK): Remove macros.
	(freea): New macro.
	(read_alias_file): Simplify fallback code for platforms lacking
	alloca.

2001-01-07  Bruno Haible  <haible@clisp.cons.org>

	* intl/gettextP.h (__gettextdebug): Remove declaration.
	(__gettext_free_exp, __gettextparse): Convert prototype to K&R C
	syntax.
	(gettext_free_exp__, gettextparse__): New non-libc declarations.
	* intl/plural.y [!_LIBC]: Define gettextparse__, gettext_free_exp__,
	not __gettextparse, __gettext_free_exp.
	* intl/loadmsgcat.c [!_LIBC]: Use gettextparse__, not __gettextparse.

2001-02-24  Bruno Haible  <haible@clisp.cons.org>

	* intl/dcigettext.c: Update comment about HAVE_LOCALE_NULL.

2001-01-05  Bruno Haible  <haible@clisp.cons.org>

	* intl/loadmsgcat.c (_nl_load_domain): Add fallback code for platforms
	lacking strtoul, like SunOS4.

2001-01-05  Bruno Haible  <haible@clisp.cons.org>

	* intl/l10nflist.c (_nl_normalize_codeset): Use tolower, not _tolower.

2001-01-05  Bruno Haible  <haible@clisp.cons.org>

	* intl/bindtextdom.c (set_binding_values): Convert prototype to K&R C
	syntax.
	* intl/dcigettext.c (transcmp): Convert to K&R C syntax.
	* intl/explodename.c (_nl_find_language): Convert to K&R C syntax.
	* intl/plural.y (__gettext_free_exp, yylex, yyerror): Convert to K&R C
	syntax.

2001-01-07  Bruno Haible  <haible@clisp.cons.org>

	* intl/gettextP.h (gettext__, dgettext__, dcgettext__, textdomain__,
	bindtextdomain__, bind_textdomain_codeset__): New declarations, from
	old libgettext.h.
	* intl/bindtextdom.c: Include libgnuintl.h instead of libgettext.h.
	* intl/dcgettext.c: Likewise.
	* intl/dcigettext.c: Likewise.
	* intl/dcngettext.c: Likewise.
	* intl/dngettext.c: Likewise.
	* intl/finddomain.c: Likewise.
	* intl/ngettext.c: Likewise.
	* intl/textdomain.c: Likewise.
	* intl/dgettext.c: Include libgnuintl.h instead of libgettext.h.
	Include gettextP.h.
	* intl/gettext.c: Likewise.  Don't include locale.h.

2001-03-17  Bruno Haible  <haible@clisp.cons.org>

	* intl/gettextP.h (ZERO): New macro.
	(struct binding): Always use ZERO.
	* intl/bindtextdom.c (offsetof): Provide fallback for platforms that
	lack it, like SunOS4.
	(set_binding_values): Use offsetof, not sizeof.
	* intl/dcigettext.c (offsetof): Provide fallback for platforms that
	lack it, like SunOS4.
	(ZERO): Remove macro.
	(struct transmem_list): Use ZERO.
	(DCIGETTEXT): Use offsetof, not sizeof.

2001-03-17  Bruno Haible  <haible@clisp.cons.org>

	* intl/gettextP.h: Include <stddef.h>.  Include gettext.h, for
	nls_uint32.
	* intl/bindtextdom.c: Don't include gettext.h.
	* intl/dcgettext.c: Likewise.
	* intl/dcigettext.c: Likewise.
	* intl/dcngettext.c: Likewise.
	* intl/dngettext.c: Likewise.
	* intl/finddomain.c: Likewise.
	* intl/localealias.c: Likewise.
	* intl/ngettext.c: Likewise.
	* intl/plural.y: Likewise.
	* intl/textdomain.c: Likewise.

2001-03-17  Bruno Haible  <haible@clisp.cons.org>

	* intl/gettext.h: Don't include <stdio.h>.

2001-03-17  Bruno Haible  <haible@clisp.cons.org>

	* intl/Makefile (CPPFLAGS): Set LOCALEDIR instead of GNULOCALEDIR.
	* intl/dcigettext.c (_nl_default_dirname): Initialize with LOCALEDIR.

2001-03-19  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/i386/i686/tempname.c: New file.

	* sysdeps/posix/tempname.c (__gen_tempname): If RANDOM_BITS is
	defined use this macro to get some bits of randomness instead of
	the usual gettimeofday or time calls.

2001-03-16  Paul Eggert  <eggert@twinsun.com>

	* sysdeps/posix/tempname.c (uint64_t): Define to uintmax_t if
	not defined, and if UINT64_MAX is not defined.

2001-03-19  Ulrich Drepper  <drepper@redhat.com>

	* elf/cache.c: Mark and have translated a few more messages.

2001-03-19  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* elf/cache.c: Add case for FLAG_S390_LIB64.
	* sysdeps/generic/ldconfig.h: Add define for FLAG_S390_LIB64.
	* sysdeps/unix/sysv/linux/s390/ldconfig.h: New file.
	* sysdeps/unix/sysv/linux/s390/readelflib.c: New file.

2001-03-19  Ulrich Drepper  <drepper@redhat.com>

	* string/Makefile (tests): Add tst-strxfrm.
	* string/tst-strxfrm.c: New file.  Based on a test case by Paul Eggert.
	* string/Depend: New file.

2001-03-19  Paul Eggert  <eggert@twinsun.com>

	* string/strxfrm.c (strxfrm): strxfrm should return 0, not 1,
	when given the empty string in nontrivial locales.

2001-03-17  H.J. Lu  <hjl@gnu.org>

	* manual/Makefile (install): Use $(INSTALL_DATA) instead of
	cp to install `dir'.

2001-03-19  Andreas Schwab  <schwab@suse.de>

	* Makerules (build-shlib): Make sure exit codes get checked
	properly.

2001-03-18  Ulrich Drepper  <drepper@redhat.com>

	* Makerules (build-shlib): Remove unnecessary slashes introduced in
	last change.

	* configure.in: Test for -Bgroup option of linker.
	* config.make.in: Define have-Bgroup.

	* conform/data/unistd.h-data: Require gethostname.
	* posix/unistd.h: Make gethostname prototype available for
	__USE_XOPEN2K.

	* crypt/Makefile: When generating DSO link with libc_nonshared.a.
	* debug/Makefile: Likewise.
	* dlfcn/Makefile: Likewise.
	* hesiod/Makefile: Likewise.
	* iconvdata/extra-module.mk: Likewise.
	* locale/Makefile: Likewise.
	* login/Makefile: Likewise.
	* math/Makefile: Likewise.
	* nis/Makefile: Likewise.
	* nss/Makefile: Likewise.
	* resolv/Makefile: Likewise.
	* rt/Makefile: Likewise.

2001-03-17  Ulrich Drepper  <drepper@redhat.com>

	* inet/Makefile (tests): Remove left-over comment.

	* posix/unistd.h (gethostname): Change type of second parameter
	back to size_t as per upcoming XPG6.
	* sysdeps/unix/sysv/aix/gethostname.c: Change type of second
	parameter back to size_t as per upcoming XPG6.
	* sysdeps/unix/sysv/sysv4/gethostname.c: Likewise.
	* sysdeps/unix/sysv/gethostname.c: Likewise.
	* sysdeps/mach/hurd/gethostname.c: Likewise.
	* sysdeps/generic/gethostname.c: Likewise.

2001-03-16  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/ldbl-96/e_gammal_r.c (__ieee754_gammal_r):
	Handle NaN here.

	* sysdeps/unix/sysv/linux/ia64/makecontext.c (__makecontext):
	Internationalize.

2001-02-06  Jakub Jelinek  <jakub@redhat.com>

	* elf/dl-load.c (_dl_map_object): Don't test l_opencount when
	looking for name matches.

2001-02-26  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/sigcontextinfo.h (CALL_SIGHANDLER): Define.
	* sysdeps/mach/hurd/i386/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/arm/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/m68k/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sigcontextinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sigcontextinfo.h: Likewise.

2001-03-16  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/ldbl-96/s_erfl.c: New file.
	Contributed by Stephen L. Moshier <moshier@na-net.ornl.gov>.

	* sysdeps/i386/fpu/libm-test-ulps: Adjust for addition of erfl and
	erfcl.
	* sysdeps/ia64/fpu/libm-test-ulps: Likewise.

2001-03-16  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/unix/sysv/linux/ia64/bits/sigcontext.h (struct sigcontext):
	Drop hack that was needed for 2.1.1 kernel headers.

	* sysdeps/unix/sysv/linux/ia64/ucontext_i.h: New file.

	* sysdeps/unix/sysv/linux/ia64/sys/ucontext.h: Rewrite to make it
	overlay with kernel's "struct sigcontext".

	* sysdeps/unix/sysv/linux/ia64/Makefile (sysdep_headers): Add
	sys/rse.h for "misc" subdir.
	(sysdep_routines): Add __start_context for "stdlib" subdir.

	* sysdeps/unix/sysv/linux/ia64/sys/rse.h: New file (based on
	kernel file of the same name).

	* stdlib/Makefile (tests): Add tst-setcontext.
	* stdlib/tst-setcontext.c: New file (based on a sample program by
	Uli Drepper).

	* sysdeps/unix/sysv/linux/ia64/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/ia64/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/ia64/__start_context.S: New file.
	* sysdeps/unix/sysv/linux/ia64/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/ia64/swapcontext.c: New file.

	* sysdeps/unix/sysv/linux/ia64/__longjmp.S (__longjmp): Use extr.u
	instead of shift & and.

2001-03-16  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/s390-64/bits/huge_val.h: Move to...
	* sysdeps/s390/bits/huge_val.h: ...here.
	* sysdeps/s390/s390-32/bit/huge_val.h: Remove.
	* sysdeps/s390/s390-64/ffs.c: Move to...
	* sysdeps/s390/ffs.c: ...here.
	* sysdeps/s390/s390-32/ffs.c: Remove.

2001-03-16  Jakub Jelinek  <jakub@redhat.com>

	* elf/ldconfig.c (search_dir): Remove bogus diagnostic, instead
	update osversion from more recent library.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/Dist: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/Dist: ...here.
	* sysdeps/unix/sysv/linux/s390/Makefile: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/Makefile: ...here.
	* sysdeps/unix/sysv/linux/s390/Versions: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/Versions: ...here.
	* sysdeps/unix/sysv/linux/s390/alphasort64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/alphasort64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/bits/fcntl.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/bits/fcntl.h: ...here.
	* sysdeps/unix/sysv/linux/s390/bits/mman.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/bits/mman.h: ...here.
	* sysdeps/unix/sysv/linux/s390/bits/resource.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/bits/resource.h: ...here.
	* sysdeps/unix/sysv/linux/s390/bits/stat.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/bits/stat.h: ...here.
	* sysdeps/unix/sysv/linux/s390/chown.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/chown.c: ...here.
	* sysdeps/unix/sysv/linux/s390/clone.S: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/clone.S: ...here.
	* sysdeps/unix/sysv/linux/s390/fchown.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/fchown.c: ...here.
	* sysdeps/unix/sysv/linux/s390/fcntl.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/fcntl.c: ...here.
	* sysdeps/unix/sysv/linux/s390/fxstat.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/fxstat.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getdents64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getdents64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getegid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getegid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/geteuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/geteuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getgid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getgid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getgroups.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getgroups.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getresgid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getresgid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getresuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getresuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getrlimit.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getrlimit.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getrlimit64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getrlimit64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/getuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/getuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/lchown.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/lchown.c: ...here.
	* sysdeps/unix/sysv/linux/s390/lockf64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/lockf64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/lxstat.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/lxstat.c: ...here.
	* sysdeps/unix/sysv/linux/s390/mmap.S: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/mmap.S: ...here.
	* sysdeps/unix/sysv/linux/s390/mmap64.S: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/mmap64.S: ...here.
	* sysdeps/unix/sysv/linux/s390/msgctl.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/msgctl.c: ...here.
	* sysdeps/unix/sysv/linux/s390/oldgetrlimit64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/oldgetrlimit64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/readdir64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/readdir64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/readdir64_r.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/readdir64_r.c: ...here.
	* sysdeps/unix/sysv/linux/s390/register-dump.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/register-dump.h: ...here.
	* sysdeps/unix/sysv/linux/s390/scandir64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/scandir64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/semctl.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/semctl.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setegid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setegid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/seteuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/seteuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setfsgid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setfsgid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setfsuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setfsuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setgid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setgid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setgroups.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setgroups.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setregid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setregid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setresgid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setresgid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setresuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setresuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setreuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setreuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setrlimit.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setrlimit.c: ...here.
	* sysdeps/unix/sysv/linux/s390/setuid.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/setuid.c: ...here.
	* sysdeps/unix/sysv/linux/s390/shmctl.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/shmctl.c: ...here.
	* sysdeps/unix/sysv/linux/s390/socket.S: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/socket.S: ...here.
	* sysdeps/unix/sysv/linux/s390/sys/procfs.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/sys/procfs.h: ...here.
	* sysdeps/unix/sysv/linux/s390/sys/ucontext.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/sys/ucontext.h: ...here.
	* sysdeps/unix/sysv/linux/s390/syscall.S: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/syscall.S: ...here.
	* sysdeps/unix/sysv/linux/s390/syscalls.list: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/syscalls.list: ...here.
	* sysdeps/unix/sysv/linux/s390/sysdep.S: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.S: ...here.
	* sysdeps/unix/sysv/linux/s390/sysdep.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.h: ...here.
	* sysdeps/unix/sysv/linux/s390/versionsort64.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/versionsort64.c: ...here.
	* sysdeps/unix/sysv/linux/s390/xstat.c: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/xstat.c: ...here.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-64/Dist: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/Makefile: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/elfclass.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/fcntl.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/ipc.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/mman.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/msq.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/resource.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/sem.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/shm.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/sigaction.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/siginfo.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/sigstack.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/stat.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/bits/types.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/clone.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/fstatfs64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/ftruncate64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/fxstat.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/fxstat64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/getdents.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/getdents64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/getrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/glob.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/glob64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/kernel_stat.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/lxstat.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/lxstat64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/mmap.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/mmap64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/pread64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/pwrite64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/readdir.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/readdir64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/readdir64_r.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/readdir_r.c : New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/register-dump.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/setrlimit64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sigaction.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sigpending.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sigprocmask.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sigsuspend.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/socket.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/statfs64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sys/procfs.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sys/ucontext.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/syscall.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/syscalls.list: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.S: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/truncate64.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/xstat.c: New file.
	* sysdeps/unix/sysv/linux/s390/s390-64/xstat64.c: New file.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/Dist: Move to...
	* sysdeps/s390/390-32/Dist: ...here.
	* sysdeps/s390/Implies: Move to...
	* sysdeps/s390/s390-32/Implies: ...here.
	* sysdeps/s390/Makefile: Move to...
	* sysdeps/s390/s390-32/Makefile: ...here.
	* sysdeps/s390/Versions: Move to...
	* sysdeps/s390-32/s390/Versions: ...here.
	* sysdeps/s390/add_n.S: Move to...
	* sysdeps/s390/s390-32/add_n.S: ...here.
	* sysdeps/s390/addmul_1.S: Move to...
	* sysdeps/s390/s390-32/addmul_1.S: ...here.
	* sysdeps/s390/atomicity.h: Move to...
	* sysdeps/s390/s390-32/atomicity.h: ...here.
	* sysdeps/s390/backtrace.c: Move to...
	* sysdeps/s390/s390-32/backtrace.c: ...here.
	* sysdeps/s390/bcopy.S: Move to...
	* sysdeps/s390/s390-32/bcopy.S: ...here.
	* sysdeps/s390/bits/byteswap.h: Move to...
	* sysdeps/s390/s390-32/bits/byteswap.h: ...here.
	* sysdeps/s390/bits/huge_val.h: Move to...
	* sysdeps/s390/s390-32/bits/huge_val.h: ...here.
	* sysdeps/s390/bsd-_setjmp.S: Move to...
	* sysdeps/s390/s390-32/bsd-_setjmp.S: ...here.
	* sysdeps/s390/bsd-setjmp.S: Move to...
	* sysdeps/s390/s390-32/bsd-setjmp.S: ...here.
	* sysdeps/s390/bzero.S: Move to...
	* sysdeps/s390/s390-32/bzero.S: ...here.
	* sysdeps/s390/elf/bsd-_setjmp.S: Move to...
	* sysdeps/s390/s390-32/elf/bsd-_setjmp.S: ...here.
	* sysdeps/s390/elf/bsd-setjmp.S: Move to...
	* sysdeps/s390/s390-32/elf/bsd-setjmp.S: ...here.
	* sysdeps/s390/elf/start.S: Move to...
	* sysdeps/s390/s390-32/elf/start.S: ...here.
	* sysdeps/s390/ffs.c: Move to...
	* sysdeps/s390/s390-32/ffs.c: ...here.
	* sysdeps/s390/memchr.S: Move to...
	* sysdeps/s390/s390-32/memchr.S: ...here.
	* sysdeps/s390/memcpy.S: Move to...
	* sysdeps/s390/s390-32/memcpy.S: ...here.
	* sysdeps/s390/memset.S: Move to...
	* sysdeps/s390/s390-32/memset.S: ...here.
	* sysdeps/s390/mul_1.S: Move to...
	* sysdeps/s390/s390-32/mul_1.S: ...here.
	* sysdeps/s390/s390-mcount.S: Move to...
	* sysdeps/s390/s390-32/s390-mcount.S: ...here.
	* sysdeps/s390/strcpy.S: Move to...
	* sysdeps/s390/s390-32/strcpy.S: ...here.
	* sysdeps/s390/strncpy.S: Move to...
	* sysdeps/s390/s390-32/strncpy.S: ...here.
	* sysdeps/s390/sub_n.S: Move to...
	* sysdeps/s390/s390-32/sub_n.S: ...here.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/s390-64/Dist: New file.
	* sysdeps/s390/s390-64/Implies: New file.
	* sysdeps/s390/s390-64/Makefile: New file.
	* sysdeps/s390/s390-64/__longjmp.c: New file.
	* sysdeps/s390/s390-64/add_n.S: New file.
	* sysdeps/s390/s390-64/atomicity.h: New file.
	* sysdeps/s390/s390-64/backtrace.c: New file.
	* sysdeps/s390/s390-64/bcopy.S: New file.
	* sysdeps/s390/s390-64/bits/byteswap.h: New file.
	* sysdeps/s390/s390-64/bits/huge_val.h: New file.
	* sysdeps/s390/s390-64/bits/setjmp.h: New file.
	* sysdeps/s390/s390-64/bits/string.h: New file.
	* sysdeps/s390/s390-64/bsd-_setjmp.S: New file.
	* sysdeps/s390/s390-64/bsd-setjmp.S: New file.
	* sysdeps/s390/s390-64/bzero.S: New file.
	* sysdeps/s390/s390-64/dl-machine.h: New file.
	* sysdeps/s390/s390-64/elf/bsd-_setjmp.S: New file.
	* sysdeps/s390/s390-64/elf/bsd-setjmp.S: New file.
	* sysdeps/s390/s390-64/elf/setjmp.S: New file.
	* sysdeps/s390/s390-64/elf/start.S: New file.
	* sysdeps/s390/s390-64/ffs.c: New file.
	* sysdeps/s390/s390-64/initfini.c: New file.
	* sysdeps/s390/s390-64/memchr.S: New file.
	* sysdeps/s390/s390-64/memcpy.S: New file.
	* sysdeps/s390/s390-64/memset.S: New file.
	* sysdeps/s390/s390-64/s390x-mcount.S: New file.
	* sysdeps/s390/s390-64/setjmp.S: New file.
	* sysdeps/s390/s390-64/strcpy.S: New file.
	* sysdeps/s390/s390-64/strncpy.S: New file.
	* sysdeps/s390/s390-64/sub_n.S: New file.
	* sysdeps/s390/s390-64/sysdep.h: New file.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* scripts/config.guess: Add support for Linux on 64 bit S/390.
	* scripts/config.sub: Likewise.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* configure.in: Add support for 64 bit S/390.

	* elf/elf.h: Add new relocations for 64 bit S/390.

	* shlib-versions: Add rules for Linux on 64 bit S/390.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/s390/__longjmp.c: Move to...
	* sysdeps/s390/s390-32/__longjmp.c: ...here.  Add code
	to load the floating point registers that should be saved
	according to the ABI.

	* sysdeps/s390/bits/setjmp.h: Move to...
	* sysdeps/s390/s390-32/bits/setjmp.h: ...here.  Avoid
	the use of long long in the __jmp_buf type definition.

	* sysdeps/s390/bits/string.h: Move to...
	* sysdeps/s390/s390-32/bits/string.h: ...here.  Add several missing
	#ifndef _FORCE_INLINES.

	* sysdeps/s390/dl-machine.h: Move to...
	* sysdeps/s390/s390-32/dl-machine.h: ...here.  Add a check for the
	executables EI_CLASS in elf_machine_matches_host.

	* sysdeps/s390/elf/setjmp.S: Move to...
	* sysdeps/s390/s390-32/elf/setjmp.S: ...here.  Replace
	branches to globally defined symbol __sigsetjmp by branches to
	a local label (this avoids the generation of a R_390_PC16DBL
	relocation in -fpic code).

	* sysdeps/s390/gmp-mparam.h: Use defines from <bits/wordsize.h> to
	calculate BITS_PER_MP_LIMB, BYTES_PER_MP_LIMB and BITS_PER_LONGINT.

	* sysdeps/s390/initfini.c: Move to...
	* sysdeps/s390/s390-32/initfini.c: ...here.  Replace ALIGN with
	".align 4,0x07".

	* sysdeps/s390/setjmp.S: Move to...
	* sysdeps/s390/s390-32/setjmp.S: ...here.  Add code to store the
	floating point registers that should be saved according to the ABI.

	* sysdeps/s390/sys/ucontext.h: Remove since it is unused.

	* sysdeps/unix/sysv/linux/s390/sysdep.h: Move to...
	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.h: ...here.  Include
	sysdeps/s390/s390-32/sysdep.h instead of sysdeps/s390/sysdep.h.

2001-03-13  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* configure.in: Change machine=s390 to machine=s390/s390-32.

	* elf/elf.h: Correct comment for R_390_PLT16DBL.

2001-03-12  Jakub Jelinek  <jakub@redhat.com>

	* csu/Makefile (abi-tag.h): Define OS and version separately, allow
	version to be overriden from config.h.
	* csu/abi-note.S: Use OS and version separately, include config.h.
	* elf/dl-load.c (_dl_osversion): New.
	(_dl_map_object_from_fd): Kill some warnings.
	(open_verify): Check .note.ABI-tag of the library if present.
	* elf/Makefile (CPPFLAGS-dl-load.c): Add -I$(csu-objpfx).
	* elf/cache.c (struct cache_entry): Add osversion.
	(print_entry): Print osversion.
	(print_cache): Pass osversion to it.
	(compare): Sort according to osversion.
	(save_cache): Set osversion.
	(add_to_cache): Add osversion argument.
	* sysdeps/generic/ldconfig.h (add_to_cache, process_file,
	process_elf_file): Add osversion argument.
	* elf/readlib.c (process_file): Likewise.
	* sysdeps/generic/readelflib.c (process_elf_file): Likewise.
	* sysdeps/unix/sysv/linux/ia64/readelflib.c (process_elf_file,
	process_elf32_file, process_elf64_file): Likewise.
	* sysdeps/unix/sysv/linux/i386/readelflib.c (process_elf_file,
	process_elf32_file, process_elf64_file): Likewise.
	* sysdeps/unix/sysv/linux/sparc/readelflib.c (process_elf_file,
	process_elf32_file, process_elf64_file): Likewise.
	* elf/ldconfig.c (manual_link): Pass it.
	(search_dir): Issue diagnostic if two libs with the same soname in
	the same directory have different .note.ABI-tag.  Record osversion in
	dlib_entry and use it from there.
	(struct lib_entry): Remove.
	(struct dlib_entry): Add osversion.
	* sysdeps/generic/dl-cache.c (_dl_load_cache_lookup): Check
	osversion.
	* sysdeps/generic/dl-cache.h (struct file_entry_new): Replace __unused
	field with osversion.
	* sysdeps/generic/ldsodefs.h (_dl_osversion): Declare.
	* sysdeps/unix/sysv/linux/init-first.c: Include ldsodefs.h.
	* sysdeps/unix/sysv/linux/dl-osinfo.h (DL_SYSDEP_OSCHECK): Save kernel
	version in _dl_osversion.
	* sysdeps/unix/sysv/linux/configure.in: Define __ABI_TAG_VERSION.
	* Makerules (build-shlib-helper, build-module-helper): New.
	(build-shlib, build-module-helper): Make sure .note.ABI-tag comes
	early.
	* config.h.in (__ABI_TAG_VERSION): Add.
	* elf/dl-minimal.c (__strtoul_internal): Set endptr on return.
	* sysdeps/unix/sysv/linux/i386/dl-librecon.h (EXTRA_LD_ENVVARS):
	Handle LD_ASSUME_KERNEL.
	* sysdeps/unix/sysv/linux/dl-librecon.h: New.

2001-03-15  Ulrich Drepper  <drepper@redhat.com>

	* timezone/antarctica: Update from tzdata2001a.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/backward: Likewise.
	* timezone/etcetera: Likewise.
	* timezone/europe: Likewise.
	* timezone/leapseconds: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/systemv: Likewise.
	* timezone/yearistype: Likewise.
	* timezone/zone.tab: Likewise.
	* timezone/tzdump.c: Update from tzcode2001a.

2001-03-15  H.J. Lu  <hjl@gnu.org>

	* intl/Makefile: Fix a typo.

2001-03-14  David Mosberger  <davidm@hpl.hp.com>

	* gmon/gmon.c (write_call_graph): Avoid unaligned accesses when
	writing arc structures.

2001-03-15  H.J. Lu  <hjl@gnu.org>

	* elf/Makefile ($(objpfx)tst-pathopt.out): Protected against
	cross-compiling.

2001-03-13  Andreas Schwab  <schwab@suse.de>

	* posix/PTESTS2C.sed: Replace literal CRs by `\r'.

2001-03-15  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/cmsg_nxthdr.c (__cmsg_nxthdr): Fix test
	for control message fitting into message data.
	Patch by James Antill <james@and.org>.

	* posix/tst-fnmatch.input: Add test case for FNM_PERIOD handling with
	FNM_EXTMATCH.

	* posix/fnmatch_loop.c: Optimize handling of ?() and @().
	* posix/fnmatch.c: Define STRLEN and STRCAT appropriately.

	* posix/Versions [libc] (GLIBC_2.2.3): Add fnmatch.
	* posix/fnmatch.c: Define with new default version GLIBC_2.2.3 to
	avoid running binaries with libc versions without FNM_EXTMATCH support.

	* include/wchar.h: Add prototype for __wcscat.
	* wcsmbs/wcscat.c: Define __wcscat and make wcscat weak alias.

	* posix/fnmatch.h (FNM_EXTMATCH): Define.
	* posix/fnmatch.c (NO_LEADING_PERIOD): Define.
	(posixly_correct): Move global variable here.
	(INT, EXT, END): Name new functions defined in fnmatch_loop.c.
	(fnmatch): Pretty printing.
	* posix/fnmatch_loop.c: Add code to handle FNM_EXTMATCH.
	* posix/tst-fnmatch.c: Recognize EXTMATCH flag.
	* posix/tst-fnmatch.input: Add tests for extended matching.

	* posix/testfnm.c: Add test for patterns with multiple ** before /.
	* posix/fnmatch_loop.c: Fix problem with the test above.

2001-03-14  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/dbl-64/e_sqrt.c (__ieee754_sqrt): Remove
	reference to usqrt.

	* resolv/res_data.c (fp_nquery): Call __res_ninit not __res_init.

2001-03-12  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/i386/readelflib.c (process_elf_file):
	Use EM_X86_64 instead of EM_X8664.

2001-03-12  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/dbl-64/upow.h: Define nZERO and nINF.

	* sysdeps/ieee754/dbl-64/e_remainder.c: Fix handling of boundary
	conditions.

	* sysdeps/ieee754/dbl-64/e_pow.c: Fix handling of boundary
	conditions.

	* sysdeps/ieee754/dbl-64/s_sin.c (__sin): Handle Inf and NaN
	correctly.
	(__cos): Likewise.

	* sysdeps/ieee754/dbl-64/e_asin.c (__ieee754_asin): Handle NaN
	correctly.
	(__ieee754_acos): Likewise.

2001-03-12  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/s390/sysdep.h (_LINUX_S390_SYSDEP_H):
	Fix typo.  Patch by Martin Schwidefsky	<schwidefsky@de.ibm.com>.

	* sysdeps/s390/bits/string.h: Protect __STRING_INLINE against
	redefinition.

2001-03-11  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/configure.in: Add a sanity check on $prefix.

2001-03-11  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/dbl-64/endian.h: Define also one of BIG_ENDI and
	LITTLE_ENDI.

	* sysdeps/ieee754/dbl-64/MathLib.h (Init_Lib): Use void as
	parameter list.

	Last-bit accurate math library implementation by IBM Haifa.
	Contributed by Abraham Ziv <ziv@il.ibm.com>, Moshe Olshansky
	<olshansk@il.ibm.com>, Ealan Henis <ealan@il.ibm.com>, and
	Anna Reitman <reitman@il.ibm.com>.
	* math/Makefile (dbl-only-routines): New variable.
	(libm-routines): Add $(dbl-only-routines).
	* sysdeps/ieee754/dbl-64/e_acos.c: Empty, definition is in e_asin.c.
	* sysdeps/ieee754/dbl-64/e_asin.c: Replaced with accurate asin
	implementation.
	* sysdeps/ieee754/dbl-64/e_atan2.c: Replaced with accurate atan2
	implementation.
	* sysdeps/ieee754/dbl-64/e_exp.c: Replaced with accurate exp
	implementation.
	* sysdeps/ieee754/dbl-64/e_lgamma_r.c: Don't use __kernel_sin and
	__kernel_cos.
	* sysdeps/ieee754/dbl-64/e_log.c: Replaced with accurate log
	implementation.
	* sysdeps/ieee754/dbl-64/e_remainder.c: Replaced with accurate
	remainder implementation.
	* sysdeps/ieee754/dbl-64/e_pow.c: Replaced with accurate pow
	implementation.
	* sysdeps/ieee754/dbl-64/e_sqrt.c: Replaced with accurate sqrt
	implementation.
	* sysdeps/ieee754/dbl-64/k_cos.c: Empty, definition is in s_sin.c.
	* sysdeps/ieee754/dbl-64/k_sin.c: Empty, definition is in s_sin.c.
	* sysdeps/ieee754/dbl-64/s_atan.c: Replaced with accurate atan
	implementation.
	* sysdeps/ieee754/dbl-64/s_cos.c: Empty, definition is in s_sin.c.
	* sysdeps/ieee754/dbl-64/s_sin.c: Replaced with accurate sin/cos
	implementation.
	* sysdeps/ieee754/dbl-64/s_sincos.c: Rewritten to not use __kernel_sin
	and __kernel_cos.
	* sysdeps/ieee754/dbl-64/s_tan.c: Replaced with accurate tan
	implementation.
	* sysdeps/ieee754/dbl-64/Dist: Add new non-code files.
	* sysdeps/ieee754/dbl-64/MathLib.h: New file.
	* sysdeps/ieee754/dbl-64/asincos.tbl: New file.
	* sysdeps/ieee754/dbl-64/atnat.h: New file.
	* sysdeps/ieee754/dbl-64/atnat2.h: New file.
	* sysdeps/ieee754/dbl-64/branred.c: New file.
	* sysdeps/ieee754/dbl-64/branred.h: New file.
	* sysdeps/ieee754/dbl-64/dla.h: New file.
	* sysdeps/ieee754/dbl-64/doasin.c: New file.
	* sysdeps/ieee754/dbl-64/doasin.h: New file.
	* sysdeps/ieee754/dbl-64/dosincos.c: New file.
	* sysdeps/ieee754/dbl-64/dosincos.h: New file.
	* sysdeps/ieee754/dbl-64/endian.h: New file.
	* sysdeps/ieee754/dbl-64/halfulp.c: New file.
	* sysdeps/ieee754/dbl-64/mpa.c: New file.
	* sysdeps/ieee754/dbl-64/mpa.h: New file.
	* sysdeps/ieee754/dbl-64/mpa2.h: New file.
	* sysdeps/ieee754/dbl-64/mpatan.c: New file.
	* sysdeps/ieee754/dbl-64/mpatan.h: New file.
	* sysdeps/ieee754/dbl-64/mpatan2.c: New file.
	* sysdeps/ieee754/dbl-64/mpexp.c: New file.
	* sysdeps/ieee754/dbl-64/mpexp.h: New file.
	* sysdeps/ieee754/dbl-64/mplog.c: New file.
	* sysdeps/ieee754/dbl-64/mplog.h: New file.
	* sysdeps/ieee754/dbl-64/mpsqrt.c: New file.
	* sysdeps/ieee754/dbl-64/mpsqrt.h: New file.
	* sysdeps/ieee754/dbl-64/mptan.c: New file.
	* sysdeps/ieee754/dbl-64/mydefs.h: New file.
	* sysdeps/ieee754/dbl-64/powtwo.tbl: New file.
	* sysdeps/ieee754/dbl-64/root.tbl: New file.
	* sysdeps/ieee754/dbl-64/sincos.tbl: New file.
	* sysdeps/ieee754/dbl-64/sincos32.c: New file.
	* sysdeps/ieee754/dbl-64/sincos32.h: New file.
	* sysdeps/ieee754/dbl-64/slowexp.c: New file.
	* sysdeps/ieee754/dbl-64/slowpow.c: New file.
	* sysdeps/ieee754/dbl-64/uasncs.h: New file.
	* sysdeps/ieee754/dbl-64/uatan.tbl: New file.
	* sysdeps/ieee754/dbl-64/uexp.h: New file.
	* sysdeps/ieee754/dbl-64/uexp.tbl: New file.
	* sysdeps/ieee754/dbl-64/ulog.h: New file.
	* sysdeps/ieee754/dbl-64/ulog.tbl: New file.
	* sysdeps/ieee754/dbl-64/upow.h: New file.
	* sysdeps/ieee754/dbl-64/upow.tbl: New file.
	* sysdeps/ieee754/dbl-64/urem.h: New file.
	* sysdeps/ieee754/dbl-64/uroot.h: New file.
	* sysdeps/ieee754/dbl-64/usncs.h: New file.
	* sysdeps/ieee754/dbl-64/utan.h: New file.
	* sysdeps/ieee754/dbl-64/utan.tbl: New file.
	* sysdeps/i386/fpu/branred.c: New file.
	* sysdeps/i386/fpu/doasin.c: New file.
	* sysdeps/i386/fpu/dosincos.c: New file.
	* sysdeps/i386/fpu/halfulp.c: New file.
	* sysdeps/i386/fpu/mpa.c: New file.
	* sysdeps/i386/fpu/mpatan.c: New file.
	* sysdeps/i386/fpu/mpatan2.c: New file.
	* sysdeps/i386/fpu/mpexp.c: New file.
	* sysdeps/i386/fpu/mplog.c: New file.
	* sysdeps/i386/fpu/mpsqrt.c: New file.
	* sysdeps/i386/fpu/mptan.c: New file.
	* sysdeps/i386/fpu/sincos32.c: New file.
	* sysdeps/i386/fpu/slowexp.c: New file.
	* sysdeps/i386/fpu/slowpow.c: New file.
	* sysdeps/ia64/fpu/branred.c: New file.
	* sysdeps/ia64/fpu/doasin.c: New file.
	* sysdeps/ia64/fpu/dosincos.c: New file.
	* sysdeps/ia64/fpu/halfulp.c: New file.
	* sysdeps/ia64/fpu/mpa.c: New file.
	* sysdeps/ia64/fpu/mpatan.c: New file.
	* sysdeps/ia64/fpu/mpatan2.c: New file.
	* sysdeps/ia64/fpu/mpexp.c: New file.
	* sysdeps/ia64/fpu/mplog.c: New file.
	* sysdeps/ia64/fpu/mpsqrt.c: New file.
	* sysdeps/ia64/fpu/mptan.c: New file.
	* sysdeps/ia64/fpu/sincos32.c: New file.
	* sysdeps/ia64/fpu/slowexp.c: New file.
	* sysdeps/ia64/fpu/slowpow.c: New file.
	* sysdeps/m68k/fpu/branred.c: New file.
	* sysdeps/m68k/fpu/doasin.c: New file.
	* sysdeps/m68k/fpu/dosincos.c: New file.
	* sysdeps/m68k/fpu/halfulp.c: New file.
	* sysdeps/m68k/fpu/mpa.c: New file.
	* sysdeps/m68k/fpu/mpatan.c: New file.
	* sysdeps/m68k/fpu/mpatan2.c: New file.
	* sysdeps/m68k/fpu/mpexp.c: New file.
	* sysdeps/m68k/fpu/mplog.c: New file.
	* sysdeps/m68k/fpu/mpsqrt.c: New file.
	* sysdeps/m68k/fpu/mptan.c: New file.
	* sysdeps/m68k/fpu/sincos32.c: New file.
	* sysdeps/m68k/fpu/slowexp.c: New file.
	* sysdeps/m68k/fpu/slowpow.c: New file.

	* iconvdata/gconv-modules: Add a number of alias, mostly for IBM
	codepages.

2001-03-11  Andreas Jaeger  <aj@suse.de>

	* elf/elf.h (EM_*): Synch with official list.

2001-03-07  David Mosberger  <davidm@hpl.hp.com>

	* sysdeps/ia64/bits/fenv.h (FE_NONIEEE_ENV): New macro.

2001-03-07  Jes Sorensen  <jes@linuxcare.com>

	* sysdeps/unix/sysv/linux/ia64/ioperm.c (_ioperm): Remove unused
	variables addr & len.

2001-02-22  Jes Sorensen  <jes@linuxcare.com>

	* sysdeps/ia64/fpu/feenablxcpt.c (feenableexcept): Remove
	punctuation in asm constraint.

2001-03-07  Mark Kettenis  <kettenis@gnu.org>

	* resolv/netdb.h [__USE_GNU]: Define __need_timespec and include
	<time.h> to get definition of `struct timespec'.

2001-03-08  Jakub Jelinek  <jakub@redhat.com>

	* elf/rtld.c (dl_main): If tracing, warn about undefined symbols if
	LD_WARN=1, not if LD_WARN is unset.

2001-03-07  Andreas Schwab  <schwab@suse.de>

	* elf/ldconfig.h: Moved to ...
	* sysdeps/generic/ldconfig.h: ... here.
	* sysdeps/unix/sysv/linux/i386/ldconfig.h: New file.
	* sysdeps/unix/sysv/linux/m68k/ldconfig.h: New file.
	* sysdeps/unix/sysv/linux/ia64/ldconfig.h: New file.
	* elf/readlib.c (interpreters, known_libs): Use
	SYSDEP_KNOWN_INTERPRETER_NAMES and SYSDEP_KNOWN_LIBRARY_NAMES
	instead of hard coding old names.

2001-03-09  Ulrich Drepper  <drepper@redhat.com>

	* catgets/Makefile (generated): Add test-gencat.h.
	(sample.SJIS.cat): Also generate header.
	* catgets/sample.SJIS: Add new set and message, both with symbolic
	names.
	* catgets/test-gencat.sh: Also compare generated header with what
	we expect.

2001-03-07  Jakub Jelinek  <jakub@redhat.com>

	* catgets/gencat.c (read_input_file): Preserve properly symbolic
	names.

2001-03-06  Andreas Jaeger  <aj@suse.de>

	* sysdeps/s390/dl-machine.h (elf_machine_relplt): Removed, it's not
	needed.
	(elf_machine_pltrel_p): Likewise.
	* sysdeps/powerpc/dl-machine.h: Likewise.
	* sysdeps/generic/dl-machine.h (elf_machine_pltrel_p): Likewise.

2001-03-09  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/arm/Dist: Add dl-procinfo.c and
	dl-procinfo.h.

2001-03-05  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/dl-procinfo.c: New file.
	* sysdeps/unix/sysv/linux/arm/dl-procinfo.h: New file.
	* sysdeps/unix/sysv/linux/arm/Makefile [subdir=elf]
	(sysdep-dl-routines, sysdep_routines, sysdep-rtld-routines): Add
	dl-procinfo.

2001-03-09  Ulrich Drepper  <drepper@redhat.com>

	* dlfcn/tstatexit.c (main): Don't perform the test if __dso_handle
	is not available.
	* dlfcn/tstcxaatexit.c (main): Likewise.

2001-03-10  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/libm-test-ulps: Revert last patch.

2001-03-09  Andreas Jaeger  <aj@suse.de>

	* sysdeps/s390/dl-machine.h (elf_machine_matches_host): Handle
	both new and old EM_S390 values.
	(EM_S390_OLD): New constant.

	* elf/elf.h (EM_S390): Use official value.

2001-03-09  Ulrich Drepper  <drepper@redhat.com>

	* conform/data/sys/socket.h-data: Allow SO* symbols.

2001-03-07  Andreas Schwab  <schwab@suse.de>

	* sysdeps/ia64/fpu/Makefile: Modify sysdep_routines instead of
	routines, and sysdep-CPPFLAGS instead of CPPFLAGS.

2001-03-07  Andreas Jaeger  <aj@suse.de>

	* resolv/Makefile (routines): Only build gai_sigqueue when threads
	are available.

2001-03-07  Jakub Jelinek  <jakub@redhat.com>

	* elf/ldconfig.c (_dl_sysdep_message): Remove.
	* sysdeps/unix/sysv/linux/sparc/sparc32/dl-procinfo.h: Include
	ldsodefs.h.
	* sysdeps/unix/sysv/linux/sparc/sparc64/dl-procinfo.h: Likewise.

	* sysdeps/sparc/sparc32/dl-machine.h (elf_machine_rela): Use
	_dl_error_printf instead of _dl_sysdep_error.
	* sysdeps/sparc/sparc64/dl-machine.h (elf_machine_rela): Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/dl-procinfo.h (_dl_procinfo):
	Use _dl_printf instead of _dl_sysdep_message.
	* sysdeps/unix/sysv/linux/sparc/sparc64/dl-procinfo.h (_dl_procinfo):
	Likewise.

2001-03-06  Ben Collins  <bcollins@debian.org>

	* manual/arith.texi (Integers): Fix documentation of fast and
	least integer typedefs.

2001-03-06  Jakub Jelinek  <jakub@redhat.com>

	* resolv/Depend: New file.
	* resolv/Makefile (extra-libs, tests): Build libanl and ga_test only
	when libpthread is built.

2001-03-06  Andreas Jaeger  <aj@suse.de>

	* sysdeps/i386/fpu/libm-test-ulps: Add some deltas.

	* sysdeps/sh/dl-machine.h (elf_machine_rela): Add missing comma.
	Patch by kaz Kojima <kkojima@rr.iij4u.or.jp>.

2001-03-05  Ulrich Drepper  <drepper@redhat.com>

	* stdlib/Versions: Remove __new_exitfn again.  Not needed.

2001-03-05  Andreas Jaeger  <aj@suse.de>

	* stdlib/msort.c (qsort): Don't use alloca in a function call.

2001-03-05  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/bits/stat.h (__S_TYPEISMQ, __S_TYPEISSEM,
	__S_TYPEISSHM): Rewrite to enforce correct use the macros.  They still
	always return zero.
	* sysdeps/unix/sysv/linux/alpha/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/ia64/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/m68k/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/stat.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/stat.h: Likewise.

2001-03-04  Andreas Jaeger  <aj@suse.de>

	* stdlib/longlong.h: Don't use multi-line strings.
	* iconvdata/tst-loading.c: Likewise.

	* csu/Makefile ($(objpfx)version-info.h): Don't use multi-line
	string.

2001-03-04  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ia64/fpu/libm-test-ulps: Adjust for addition of lgammal.

	* rt/lio_listio.c: Add a few asserts.

	* elf/global.c: New file.
	* elf/globalmod1.c: New file.
	* elf/Makefile: Add rules to build and run global.

	* sysdeps/unix/sysv/linux/alpha/bits/siginfo.h: Define SI_ASYNCNL.
	* sysdeps/unix/sysv/linux/ia64/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/siginfo.h: Likewise.

	* sysdeps/ieee754/ldbl-96/e_lgammal_r.c: New file.
	Contributed by Stephen L. Moshier <moshier@na-net.ornl.gov>.

	* sysdeps/ieee754/ldbl-96/e_gammal_r.c: Fix handling of boundary cases.

	* sysdeps/ieee754/dbl-64/e_gamma_r.c: Always initialize sign variable.
	* sysdeps/ieee754/flt-32/e_gammaf_r.c: Likewise.

	* sysdeps/i386/fpu/libm-test-ulps: Adjust after addition of lgammal.

	* sysdeps/unix/sysv/linux/ia64/bits/siginfo.h: Fix typo in last change.

2001-03-04  Andreas Jaeger  <aj@suse.de>

	* resolv/tst-aton.c: Add testcase for IP with four periods.

	* resolv/inet_addr.c: Don't recognize an IP with four periods.
	Patch by André Breiler <A.Breiler@gmx.net>.

2001-02-27  Philip Blundell  <pb@futuretv.com>

	* elf/elf.h: Add new ARM definitions from latest (B-01)
	specification.  Correct naming of EF_ARM_ALIGN8 et al.

2001-03-04  Ulrich Drepper  <drepper@redhat.com>

	* stdio-common/tst-printf.sh: Remove bashisms.
	Patch by Matthew Clarke <Matthew_Clarke@mindlink.bc.ca>.

2001-03-03  Ulrich Drepper  <drepper@redhat.com>

	* Versions.def: Add libanl definition.
	* shlib-versions: Add entry for libanl.
	* resolv/Makefile (distribute): Add gai_misc.h and ga_test.c.
	(routines): Add gai_sigqueue.
	(extra-libs): Add libanl.
	(libanl-routines): New variable.
	Add rules to build libanl and ga_test.
	* resolv/Versions [libc] (GLIBC_2.2.3): Add __gai_sigqueue.
	[libanl]: New library.
	* resolv/netdb.h: Add definitions for libanl.
	* resolv/getaddrinfo_a.c: New file.
	* resolv/gai_cancel.c: New file.
	* resolv/gai_error.c: New file.
	* resolv/gai_misc.c: New file.
	* resolv/gai_misc.h: New file.
	* resolv/gai_notify.c: New file.
	* resolv/gai_suspend.c: New file.
	* resolv/ga_test.c: New file.
	* sysdeps/generic/gai_sigqueue.c: New file.
	* sysdeps/unix/sysv/linux/gai_sigqueue.c: New file.
	* sysdeps/generic/bits/siginfo.h: Allow __need_sigevent_t being defined
	and provide only that definition.
	* sysdeps/unix/sysv/linux/alpha/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/ia64/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/siginfo.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/siginfo.h: Likewise.

	* rt/aio_misc.c: Fix typos in comments.
	* rt/lio_listio.c: Pretty printing.  Little optimization in request
	list handling.

	* elf/rtld.c: Remove commented out code.

	* sysdeps/unix/sysv/linux/linux_fsinfo.h (SHMFS_SUPER_MAGIC):
	Update for real 2.4 kernels.

2001-03-01  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-load.c: Pretty printing.

	* elf/dl-object.c (_dl_new_object): Don't add the loader's scope
	twice.

2001-02-28  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/alpha/dl-machine.h (elf_machine_rela): Don't handle
	relocations which are not in ld.so if RTLD_BOOTSTRAP is defined.

	* sysdeps/powerpc/dl-machine.c (__process_machine_rela): Fix typo.

	* elf/dl-misc.c (_dl_debug_vdprintf): Fix typo visible on 64-bit
	machines.

	* sysdeps/unix/sysv/linux/powerpc/sysdep.h (C_TEXT): Define.

2001-02-27  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/powerpc/elf/libc-start.c: Use new output functions and
	_dl_debug_mask.

	* elf/Versions [ld]: Don't export _dl_debug_message anymore.  Export
	_dl_debug_printf.
	* elf/dl-misc.c: Remove definition of _dl_sysdep_output and
	_dl_debug_message.  Define _dl_debug_vdprintf, _dl_debug_printf,
	_dl_debug_printf_c, and _dl_printf.
	* sysdeps/generic/ldsodefs.h: Don't declare _dl_sysdep_output,
	_dl_debug_message, _dl_sysdep_message, _dl_sysdep_error, and
	_dl_sysdep_fatal.  Declare _dl_debug_printf, _dl_debug_printf_c,
	_dl_printf, _dl_error_printf, and _dl_fatal_printf.
	* elf/dl-close.c: Replace use of old output functions with the new
	ones.
	* elf/dl-deps.c: Likewise.
	* elf/dl-error.c: Likewise.
	* elf/dl-fini.c: Likewise.
	* elf/dl-init.c: Likewise.
	* elf/dl-load.c: Likewise.
	* elf/dl-lookup.c: Likewise.
	* elf/dl-minimal.c: Likewise.
	* elf/dl-open.c: Likewise.
	* elf/dl-profile.c: Likewise.
	* elf/dl-reloc.c: Likewise.
	* elf/dl-version.c: Likewise.
	* elf/do-lookup.h: Likewise.
	* elf/rtld.c: Likewise.
	* sysdeps/generic/dl-cache.c: Likewise.
	* sysdeps/generic/dl-sysdep.c: Likewise.
	* sysdeps/generic/libc-start.c: Likewise.
	* sysdeps/i386/dl-machine.h: Likewise.
	* sysdeps/arm/dl-machine.h: Likewise.
	* sysdeps/hppa/dl-machine.h: Likewise.
	* sysdeps/m68k/dl-machine.h: Likewise.
	* sysdeps/powerpc/dl-machine.h: Likewise.
	* sysdeps/s390/dl-machine.h: Likewise.
	* sysdeps/sh/dl-machine.h: Likewise.
	* sysdeps/unix/sysv/linux/dl-osinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/dl-librecon.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/dl-procinfo.h: Likewise.

	* sysdeps/generic/ldsodefs.h: Remove _dl_secure declaration.

	* dlfcn/Makefile: Don't run tstatexit test unless .hidden is
	supported by assembler.

	* sysdeps/generic/ldsodefs.h: Remove commented-out variable
	declaractions.

	* elf/rtld.c: Little optimizations in handling _dl_lazy.

	* elf/cache.c (save_cache): Portability changes.
	* elf/dl-profile.c (_dl_start_profile): Likewise.

	* elf/sln.c: Cleanups.  Remove arbitrary limits.

	* elf/dl-close.c: Replace _dl_debug_* variables with _dl_debug_mask.
	* elf/dl-deps.c: Likewise.
	* elf/dl-fini.c: Likewise.
	* elf/dl-init.c: Likewise.
	* elf/dl-load.c: Likewise.
	* elf/dl-lookup.c: Likewise.
	* elf/dl-open.c: Likewise.
	* elf/dl-reloc.c: Likewise.
	* elf/dl-support.c: Likewise.
	* elf/dl-version.c: Likewise.
	* elf/do-lookup.h: Likewise.
	* elf/rtld.c: Likewise.
	* sysdeps/generic/dl-cache.c: Likewise.
	* sysdeps/generic/ldsodefs.h: Likewise.
	* sysdeps/generic/libc-start.c: Likewise.
	* elf/Versions: Don't export _dl_debug_impcalls and _dl_debug_files.
	Export _dl_debug_mask.
	* Versions.def: Define GLIBC_2.2.3 for ld.

2001-02-26  Greg McGary  <greg@mcgary.org>

	* sysdeps/unix/make-syscalls.sh (ptr): Handle `V' keyletter.

2001-02-26  Paul Eggert  <eggert@twinsun.com>

	Modify mkstemp.c and tempname.c so that they can be used by
	GNU applications on non-glibc platforms.

	* misc/mkstemp.c (__GT_FILE): Define to zero if not defined.

	* sysdeps/posix/tempname.c: Include <config.h> if HAVE_CONFIG_H.
	Include <stddef.h>, <stdint.h>, <string.h> only if
	STDC_HEADERS || _LIBC.
	Include <fcntl.h> only if HAVE_FCNTL_H || _LIBC.
	Include <unistd.h> only if HAVE_UNISTD_H || _LIBC.
	Include <sys/time.h> only if HAVE_SYS_TIME_H || _LIBC.
	(__set_errno): Define this macro if <errno.h> doesn't.
	(P_tmpdir, TMP_MAX, __GT_FILE, __GT_BIGFILE, __GT_DIR, __GT_NOCREATE):
	Define these macros if <stdio.h> doesn't.
	(S_ISDIR, S_IRUSR, S_IWUSR, S_IXUSR):
	Define these macros if <sys/stat.h> doesn't.
	Ignore <sys/stat.h> S_ISDIR if STAT_MACROS_BROKEN.
	(stat64, __getpid, __gettimeofday, __mkdir, __open, __open64,
	lxstat64, __xstat64): Define if not _LIBC.
	(struct_stat64): New macro.
	(direxists, __gen_tempname): Use it, to avoid a
	portability problem with Solaris 8.
	(__secure_getenv): Define if ! (HAVE___SECURE_GETENV || _LIBC).
	(__gen_tempname): Invoke gettimeofday only if
	HAVE_GETTIMEOFDAY || _LIBC; otherwise, fall back on plain "time".
	Use portable macros like S_IRUSR | S_IWUSR rather than nonportable
	octal values like 0600.

2001-02-26  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/ldbl-96/e_jnl.c: New file.
	Contributed by Stephen L. Moshier <moshier@na-net.ornl.gov>.

	* sysdeps/i386/fpu/libm-test-ulps: Update for jnl and ynl introduction.
	* sysdeps/ia64/fpu/libm-test-ulps: Likewise.

	* posix/wordexp-test.c (testit): Remove warnings.

	* dlfcn/Makefile (distribute): Add modatexit.c and modcxaatexit.c.
	(tests): Add tstatexit and tstcxaatexit.
	(module-names): Add modatexit and modcxaatexit.
	Add rules to build and run tstatexit and tstcxaatexit.
	* dlfcn/modatexit.c: New file.
	* dlfcn/modcxaatexit.c: New file.
	* dlfcn/tstatexit.c: New file.
	* dlfcn/tstcxaatexit.c: New file.

	* io/Makefile: Pass -DHAVE_DOT_HIDDEN to stat and mknod functions if
	.hidden is available.
	* io/stat.c: If .hidden is available use it to avoid exporting
	functions.
	* io/fstat.c: Likewise.
	* io/lstat.c: Likewise.
	* io/stat64.c: Likewise.
	* io/fstat64.c: Likewise.
	* io/lstat64.c: Likewise.
	* sysdeps/generic/mknod.c: Likewise.

	* malloc/mtrace.c: Use __cxa_atexit and not atexit.
	* sysdeps/generic/bb_init_func.c: Likewise.
	* sysdeps/generic/libc-start.c: Likewise.

	* stdlib/atexit.c (__new_exitfn): Move to cxa_atexit.c.
	(atexit): Implement using __cxa_atexit.
	Use .hidden if availble to avoid exporting atexit.
	* stdlib/cxa_atexit.c (__new_exitfn): Moved to here from atexit.c.
	* stdlib/Versions: Export __new_exitfn for GLIBC_2.2.3.
	* stdlib/Makefile (routines): Add old_atexit.
	(static-only-routines): Add atexit.
	Pass -DHAVE_DOT_HIDDEN for atexit.c if .hidden is available.
	* stdlib/old_atexit.c: New file.

	* intl/Makefile: Remove bogus endif.

2001-02-26  Andreas Jaeger  <aj@suse.de>

	* iconvdata/Makefile (tests): Fix typo in last patch.

	* intl/Makefile (tests): Run mtrace-tst-gettext only when perl is
	available.
	Reported by Achim Gottinger <achim@gentoo.org>.

2001-02-25  Andreas Jaeger  <aj@suse.de>

	* intl/Makefile (plural.c): Reorder rules so that they work if
	BISON doesn't exist.

2001-02-25  Ulrich Drepper  <drepper@redhat.com>

	* intl/locale.alias: Don't use nb_NO but define aliases for it.

2001-02-23  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/i386/strtok.S: Continue to return NULL after the first
	time this happened.

2001-02-23  Andreas Jaeger  <aj@suse.de>

	* string/tester.c (test_strtok_r): Add testcase.
	(test_strtok_r): Always initialize cp for proper checking.

	* sysdeps/generic/strtok.c (strtok): Handle case of first strtok
	returning NULL correctly.
	Patch by Fumitoshi UKAI <ukai@debian.or.jp>.
	* sysdeps/generic/strtok_r.c (__strtok_r): Likewise.

2001-02-23  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/aix/bits/types.h: Define __need_NULL before
	including <stddef.h>.
	* sysdeps/unix/sysv/aix/write.c: Define alias __libc_write.
	* include/libc-symbols.h (weak_alias): Don't use .weak if
	HAVE_ASM_GLOBAL_DOT_NAME is defined.
	Patches by Michael Keezer <mkeezer@redhat.com>.

	* sysdeps/generic/ftime.c: Don't include <sys/time.h> at all.
	Patch by Michael Keezer <mkeezer@redhat.com>.

	* sysdeps/unix/sysv/aix/Dist: Remove restf.S and savef.S.
	* sysdeps/unix/sysv/aix/Makefile [$(subdir) == misc]
	(sysdep_routines): Remove restf.S and savef.S.
	* sysdeps/unix/sysv/aix/restf.S: Removed.
	* sysdeps/unix/sysv/aix/savef.S: Removed.
	* sysdeps/powerpc/fprrest.S: Use C_TEXT to define label.  Also define
	alternative names used on some platforms.
	* sysdeps/powerpc/fprsave.S: Likewise.
	* sysdeps/powerpc/gprrest0.S: Likewise.
	* sysdeps/powerpc/gprrest1.S: Likewise.
	* sysdeps/powerpc/gprsave0.S: Likewise.
	* sysdeps/powerpc/gprsave1.S: Likewise.
	Patch by Michael Keezer <mkeezer@redhat.com>.

2001-02-22  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/i386/elf/start.S (_fp_hw): Actually define label.

2001-02-22  Andreas Jaeger  <aj@suse.de>

	* string/tst-strtok.c (main): Fix error messages.

2001-02-22  Andreas Jaeger  <aj@suse.de>

	* math/Makefile: Remove omit-long-double-fcts.

2001-02-18  Maciej W. Rozycki  <macro@ds2.pg.gda.pl>

	* sysdeps/mips/bsd-_setjmp.S (_setjmp): Reorder instructions to
	avoid problems on MIPS I.
	* sysdeps/mips/bsd-setjmp.S (setjmp): Likewise.

	* sysdeps/mips/dl-machine.h (RTLD_START): Remove duplicate ".set
	noreorder".

2001-02-21  Ulrich Drepper  <drepper@redhat.com>

	* posix/fnmatch_loop.c: Handle ranges outside glibc correctly.

	* sysdeps/generic/ftime.c: Include <time.h>.

	* configure.in: Don't check for libgd if user passed --without-gd.
	Patch by Achim Gottinger <achim@gentoo.org>.

	* sysdeps/i386/i686/strtok.S: Continue to return NULL after the
	first time this happened.
	* string/Makefile (tests): Add tst-strtok.

2001-02-21  Andreas Jaeger  <aj@suse.de>

	* string/tst-strtok.c: New testcase, reported by
	Andrew Church <achurch@achurch.org>.

2001-02-20  Ulrich Drepper  <drepper@redhat.com>

	* libio/iofwide.c: Remove fwide alias.

2001-02-20  Andreas Jaeger  <aj@suse.de>

	* iconvdata/Makefile (tests): Only run mtrace-tst-loading if perl
	is available.
	Reported by Achim Gottinger <achim@gentoo.org>.

2001-02-19  Ulrich Drepper  <drepper@redhat.com>

	* iconv/tst-iconv1.c (main): Remove debugging code.

	* sysdeps/ieee754/flt-32/e_powf.c: Handle x == +-1 correctly.
	* sysdeps/ieee754/dbl-64/e_pow.c: Likewise.

	* sysdeps/generic/e_scalb.c: Set invalid exception for invalid
	parameters.
	* sysdeps/generic/e_scalbf.c: Likewise.
	* sysdeps/generic/e_scalbl.c: Likewise.

	* sysdeps/ia64/fpu/Makefile (libm-sysdep-routines): Add libm_error,
	libm_frexp4, libm_frexp4f, libm_frexp4l, and all the functions also
	in libc.
	(routines): Replace libm_error with libc_libm_error.
	* sysdeps/ia64/fpu/Dist: Add libc_libm_error.c.
	* sysdeps/ia64/fpu/libc_libm_error.c: New file.

2001-02-18  Mark Kettenis  <kettenis@gnu.org>

	* malloc/mtrace.c [USE_IN_LIBIO]: Define fopen as _IO_fopen64.
	(mtrace): Revert 2001-02-13 patch: use fopen instead of fopen64.

2001-02-17  H.J. Lu  <hjl@gnu.org>

	* sysdeps/unix/sysv/linux/ia64/clone2.S: Use clone2 and don't use
	scratch registers across the system call.

2001-02-19  Andreas Jaeger  <aj@suse.de>

	* malloc/Makefile (tests): Run mtrace only when perl is available.
	Reported by Achim Gottinger <achim@gentoo.org>.

2001-02-19  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/ieee754/ldbl-96/e_j1l.c: New file.
	Contributed by Stephen L. Moshier <moshier@na-net.ornl.gov>.

	* sysdeps/i386/fpu/libm-test-ulps: Adjust error values for j1 and y1.
	* sysdeps/ia64/fpu/libm-test-ulps: Adjust error values for y1.
	* math/libm-test.inc (j1_test): Mark constants as long double.
	(jn_test): Likewise.
	(y1_test): Likewise.
	(yn_test): Likewise.

	* libio/iogetline.c: Move return until after last statement.

	* localedata/show-ucs-data.c: Don't show < > for better readability.

	* sysdeps/ia64/fpu/Dist: New file.
	* sysdeps/ia64/fpu/Makefile: New file.
	* sysdeps/ia64/fpu/Versions: New file.
	* sysdeps/ia64/fpu/e_acos.S: New file.
	* sysdeps/ia64/fpu/e_acosf.S: New file.
	* sysdeps/ia64/fpu/e_acosl.S: New file.
	* sysdeps/ia64/fpu/e_asin.S: New file.
	* sysdeps/ia64/fpu/e_asinf.S: New file.
	* sysdeps/ia64/fpu/e_asinl.S: New file.
	* sysdeps/ia64/fpu/e_atan2.S: New file.
	* sysdeps/ia64/fpu/e_atan2f.S: New file.
	* sysdeps/ia64/fpu/e_atan2l.c: New file.
	* sysdeps/ia64/fpu/e_cosh.S: New file.
	* sysdeps/ia64/fpu/e_coshf.S: New file.
	* sysdeps/ia64/fpu/e_coshl.S: New file.
	* sysdeps/ia64/fpu/e_exp.S: New file.
	* sysdeps/ia64/fpu/e_expf.S: New file.
	* sysdeps/ia64/fpu/e_expl.c: New file.
	* sysdeps/ia64/fpu/e_fmod.S: New file.
	* sysdeps/ia64/fpu/e_fmodf.S: New file.
	* sysdeps/ia64/fpu/e_fmodl.S: New file.
	* sysdeps/ia64/fpu/e_hypot.S: New file.
	* sysdeps/ia64/fpu/e_hypotf.S: New file.
	* sysdeps/ia64/fpu/e_hypotl.S: New file.
	* sysdeps/ia64/fpu/e_log.S: New file.
	* sysdeps/ia64/fpu/e_log10.c: New file.
	* sysdeps/ia64/fpu/e_log10f.c: New file.
	* sysdeps/ia64/fpu/e_log10l.c: New file.
	* sysdeps/ia64/fpu/e_logf.S: New file.
	* sysdeps/ia64/fpu/e_logl.c: New file.
	* sysdeps/ia64/fpu/e_pow.S: New file.
	* sysdeps/ia64/fpu/e_powf.S: New file.
	* sysdeps/ia64/fpu/e_powl.S: New file.
	* sysdeps/ia64/fpu/e_rem_pio2.c: New file.
	* sysdeps/ia64/fpu/e_rem_pio2f.c: New file.
	* sysdeps/ia64/fpu/e_remainder.S: New file.
	* sysdeps/ia64/fpu/e_remainderf.S: New file.
	* sysdeps/ia64/fpu/e_remainderl.S: New file.
	* sysdeps/ia64/fpu/e_scalb.S: New file.
	* sysdeps/ia64/fpu/e_scalbf.S: New file.
	* sysdeps/ia64/fpu/e_scalbl.S: New file.
	* sysdeps/ia64/fpu/e_sinh.S: New file.
	* sysdeps/ia64/fpu/e_sinhf.S: New file.
	* sysdeps/ia64/fpu/e_sinhl.S: New file.
	* sysdeps/ia64/fpu/e_sqrt.S: New file.
	* sysdeps/ia64/fpu/e_sqrtf.S: New file.
	* sysdeps/ia64/fpu/e_sqrtl.S: New file.
	* sysdeps/ia64/fpu/k_rem_pio2.c: New file.
	* sysdeps/ia64/fpu/k_rem_pio2f.c: New file.
	* sysdeps/ia64/fpu/k_rem_pio2l.c: New file.
	* sysdeps/ia64/fpu/libm_atan2_reg.S: New file.
	* sysdeps/ia64/fpu/libm_error.c: New file.
	* sysdeps/ia64/fpu/libm_frexp4.S: New file.
	* sysdeps/ia64/fpu/libm_frexp4f.S: New file.
	* sysdeps/ia64/fpu/libm_frexp4l.S: New file.
	* sysdeps/ia64/fpu/libm_reduce.S: New file.
	* sysdeps/ia64/fpu/libm_support.h: New file.
	* sysdeps/ia64/fpu/libm_tan.S: New file.
	* sysdeps/ia64/fpu/s_atan.S: New file.
	* sysdeps/ia64/fpu/s_atanf.S: New file.
	* sysdeps/ia64/fpu/s_atanl.S: New file.
	* sysdeps/ia64/fpu/s_cbrt.S: New file.
	* sysdeps/ia64/fpu/s_cbrtf.S: New file.
	* sysdeps/ia64/fpu/s_cbrtl.S: New file.
	* sysdeps/ia64/fpu/s_ceil.S: New file.
	* sysdeps/ia64/fpu/s_ceilf.S: New file.
	* sysdeps/ia64/fpu/s_ceill.S: New file.
	* sysdeps/ia64/fpu/s_cos.S: New file.
	* sysdeps/ia64/fpu/s_cosf.S: New file.
	* sysdeps/ia64/fpu/s_cosl.S: New file.
	* sysdeps/ia64/fpu/s_expm1.S: New file.
	* sysdeps/ia64/fpu/s_expm1f.S: New file.
	* sysdeps/ia64/fpu/s_expm1l.S: New file.
	* sysdeps/ia64/fpu/s_floor.S: New file.
	* sysdeps/ia64/fpu/s_floorf.S: New file.
	* sysdeps/ia64/fpu/s_floorl.S: New file.
	* sysdeps/ia64/fpu/s_frexp.c: New file.
	* sysdeps/ia64/fpu/s_frexpf.c: New file.
	* sysdeps/ia64/fpu/s_frexpl.c: New file.
	* sysdeps/ia64/fpu/s_ilogb.S: New file.
	* sysdeps/ia64/fpu/s_ilogbf.S: New file.
	* sysdeps/ia64/fpu/s_ilogbl.S: New file.
	* sysdeps/ia64/fpu/s_ldexp.S: New file.
	* sysdeps/ia64/fpu/s_ldexpf.S: New file.
	* sysdeps/ia64/fpu/s_ldexpl.S: New file.
	* sysdeps/ia64/fpu/s_log1p.S: New file.
	* sysdeps/ia64/fpu/s_log1pf.S: New file.
	* sysdeps/ia64/fpu/s_log1pl.S: New file.
	* sysdeps/ia64/fpu/s_logb.S: New file.
	* sysdeps/ia64/fpu/s_logbf.S: New file.
	* sysdeps/ia64/fpu/s_logbl.S: New file.
	* sysdeps/ia64/fpu/s_matherrf.c: New file.
	* sysdeps/ia64/fpu/s_matherrl.c: New file.
	* sysdeps/ia64/fpu/s_modf.S: New file.
	* sysdeps/ia64/fpu/s_modff.S: New file.
	* sysdeps/ia64/fpu/s_modfl.S: New file.
	* sysdeps/ia64/fpu/s_nearbyint.S: New file.
	* sysdeps/ia64/fpu/s_nearbyintf.S: New file.
	* sysdeps/ia64/fpu/s_nearbyintl.S: New file.
	* sysdeps/ia64/fpu/s_rint.S: New file.
	* sysdeps/ia64/fpu/s_rintf.S: New file.
	* sysdeps/ia64/fpu/s_rintl.S: New file.
	* sysdeps/ia64/fpu/s_round.S: New file.
	* sysdeps/ia64/fpu/s_roundf.S: New file.
	* sysdeps/ia64/fpu/s_roundl.S: New file.
	* sysdeps/ia64/fpu/s_scalbn.S: New file.
	* sysdeps/ia64/fpu/s_scalbnf.S: New file.
	* sysdeps/ia64/fpu/s_scalbnl.S: New file.
	* sysdeps/ia64/fpu/s_significand.S: New file.
	* sysdeps/ia64/fpu/s_significandf.S: New file.
	* sysdeps/ia64/fpu/s_significandl.S: New file.
	* sysdeps/ia64/fpu/s_sin.c: New file.
	* sysdeps/ia64/fpu/s_sincos.c: New file.
	* sysdeps/ia64/fpu/s_sincosf.c: New file.
	* sysdeps/ia64/fpu/s_sincosl.c: New file.
	* sysdeps/ia64/fpu/s_sinf.c: New file.
	* sysdeps/ia64/fpu/s_sinl.c: New file.
	* sysdeps/ia64/fpu/s_tan.S: New file.
	* sysdeps/ia64/fpu/s_tanf.S: New file.
	* sysdeps/ia64/fpu/s_tanl.S: New file.
	* sysdeps/ia64/fpu/s_trunc.S: New file.
	* sysdeps/ia64/fpu/s_truncf.S: New file.
	* sysdeps/ia64/fpu/s_truncl.S: New file.
	* sysdeps/ia64/fpu/w_acos.c: New file.
	* sysdeps/ia64/fpu/w_acosf.c: New file.
	* sysdeps/ia64/fpu/w_acosl.c: New file.
	* sysdeps/ia64/fpu/w_asin.c: New file.
	* sysdeps/ia64/fpu/w_asinf.c: New file.
	* sysdeps/ia64/fpu/w_asinl.c: New file.
	* sysdeps/ia64/fpu/w_atan2.c: New file.
	* sysdeps/ia64/fpu/w_atan2f.c: New file.
	* sysdeps/ia64/fpu/w_atan2l.c: New file.
	* sysdeps/ia64/fpu/w_cosh.c: New file.
	* sysdeps/ia64/fpu/w_coshf.c: New file.
	* sysdeps/ia64/fpu/w_coshl.c: New file.
	* sysdeps/ia64/fpu/w_exp.c: New file.
	* sysdeps/ia64/fpu/w_expf.c: New file.
	* sysdeps/ia64/fpu/w_fmod.c: New file.
	* sysdeps/ia64/fpu/w_fmodf.c: New file.
	* sysdeps/ia64/fpu/w_fmodl.c: New file.
	* sysdeps/ia64/fpu/w_hypot.c: New file.
	* sysdeps/ia64/fpu/w_hypotf.c: New file.
	* sysdeps/ia64/fpu/w_hypotl.c: New file.
	* sysdeps/ia64/fpu/w_log.c: New file.
	* sysdeps/ia64/fpu/w_log10.c: New file.
	* sysdeps/ia64/fpu/w_log10f.c: New file.
	* sysdeps/ia64/fpu/w_log10l.c: New file.
	* sysdeps/ia64/fpu/w_logf.c: New file.
	* sysdeps/ia64/fpu/w_logl.c: New file.
	* sysdeps/ia64/fpu/w_pow.c: New file.
	* sysdeps/ia64/fpu/w_powf.c: New file.
	* sysdeps/ia64/fpu/w_powl.c: New file.
	* sysdeps/ia64/fpu/w_remainder.c: New file.
	* sysdeps/ia64/fpu/w_remainderf.c: New file.
	* sysdeps/ia64/fpu/w_remainderl.c: New file.
	* sysdeps/ia64/fpu/w_scalb.c: New file.
	* sysdeps/ia64/fpu/w_scalbf.c: New file.
	* sysdeps/ia64/fpu/w_scalbl.c: New file.
	* sysdeps/ia64/fpu/w_sqrt.c: New file.
	* sysdeps/ia64/fpu/w_sqrtf.c: New file.
	* sysdeps/ia64/fpu/w_sqrtl.c: New file.
	* sysdeps/ia64/fpu/libm-test-ulps: Adjust for long double
	implementation.
	* sysdeps/ia64/fpu/bits/mathdef.h: Correct float_t and double_t types.
	Change FP_ILOGBNAN for new implementation.
	* Verions.def: Add 2.2.3 versions.

2001-02-18  Ulrich Drepper  <drepper@redhat.com>

	* math/libm-test.inc (scalb_test): Require invalid exception being
	raised for invalid parameters.
	* sysdeps/i386/fpu/e_scalb.S: Raise invalid exception if necessary.
	* sysdeps/i386/fpu/e_scalbf.S: Likewise.
	* sysdeps/i386/fpu/e_scalbl.S: Likewise.

2001-02-18  Mark Kettenis  <kettenis@gnu.org>

	* sysdeps/mach/getsysstats.c (__get_phys_pages): Change return
	value to long int.
	(__get_avphys_pages): Likewise.

2001-02-18  Ulrich Drepper  <drepper@redhat.com>

	* math/libm-test.inc (pow_test): Correct expected results for x == +-1.
	* sysdeps/i386/fpu/e_pow.S: Handle x == +-1 correctly.
	* sysdeps/i386/fpu/e_powf.S: Likewise.
	* sysdeps/i386/fpu/e_powl.S: Likewise.

	* sysdeps/i386/fpu/bits/mathinline.h: Remove pow inline code.

2001-02-17  Ulrich Drepper  <drepper@redhat.com>

	* math/Makefile (libm-calls): It's e_exp2 not s_exp2.

	* sysdeps/generic/s_exp2l.c: Renamed to...
	* sysdeps/generic/e_exp2l.c: ...this.   New file.
	* sysdeps/i386/fpu/s_exp2.S: Renamed to...
	* sysdeps/i386/fpu/e_exp2.S: ...this.   New file.
	* sysdeps/i386/fpu/s_exp2f.S: Renamed to...
	* sysdeps/i386/fpu/e_exp2f.S: ...this.   New file.
	* sysdeps/i386/fpu/s_exp2l.S: Renamed to...
	* sysdeps/i386/fpu/e_exp2l.S: ...this.   New file.
	* sysdeps/ieee754/flt-32/s_exp2f.c: Renamed to...
	* sysdeps/ieee754/flt-32/e_exp2f.c: ...this.   New file.
	* sysdeps/ieee754/dbl-64/s_exp2.c: Renamed to...
	* sysdeps/ieee754/dbl-64/e_exp2.c: ...this.   New file.
	* sysdeps/m68k/fpu/s_exp2.c: Renamed to...
	* sysdeps/m68k/fpu/e_exp2.c: ...this.   New file.
	* sysdeps/m68k/fpu/s_exp2f.c: Renamed to...
	* sysdeps/m68k/fpu/e_exp2f.c: ...this.   New file.
	* sysdeps/m68k/fpu/s_exp2l.c: Renamed to...
	* sysdeps/m68k/fpu/e_exp2l.c: ...this.   New file.

2001-02-17  Andreas Jaeger  <aj@suse.de>

	* configure.in: Allow gcc 3.

2001-02-16  Ulrich Drepper  <drepper@redhat.com>

	* math/w_acos.c: Move to ...
	* sysdeps/generic/w_acos.c: ...here.  New file.
	* math/w_acosf.c: Move to ...
	* sysdeps/generic/w_acosf.c: ...here.  New file.
	* math/w_acosh.c: Move to ...
	* sysdeps/generic/w_acosh.c: ...here.  New file.
	* math/w_acoshf.c: Move to ...
	* sysdeps/generic/w_acoshf.c: ...here.  New file.
	* math/w_acoshl.c: Move to ...
	* sysdeps/generic/w_acoshl.c: ...here.  New file.
	* math/w_acosl.c: Move to ...
	* sysdeps/generic/w_acosl.c: ...here.  New file.
	* math/w_asin.c: Move to ...
	* sysdeps/generic/w_asin.c: ...here.  New file.
	* math/w_asinf.c: Move to ...
	* sysdeps/generic/w_asinf.c: ...here.  New file.
	* math/w_asinl.c: Move to ...
	* sysdeps/generic/w_asinl.c: ...here.  New file.
	* math/w_atan2.c: Move to ...
	* sysdeps/generic/w_atan2.c: ...here.  New file.
	* math/w_atan2f.c: Move to ...
	* sysdeps/generic/w_atan2f.c: ...here.  New file.
	* math/w_atan2l.c: Move to ...
	* sysdeps/generic/w_atan2l.c: ...here.  New file.
	* math/w_atanh.c: Move to ...
	* sysdeps/generic/w_atanh.c: ...here.  New file.
	* math/w_atanhf.c: Move to ...
	* sysdeps/generic/w_atanhf.c: ...here.  New file.
	* math/w_atanhl.c: Move to ...
	* sysdeps/generic/w_atanhl.c: ...here.  New file.
	* math/w_cosh.c: Move to ...
	* sysdeps/generic/w_cosh.c: ...here.  New file.
	* math/w_coshf.c: Move to ...
	* sysdeps/generic/w_coshf.c: ...here.  New file.
	* math/w_coshl.c: Move to ...
	* sysdeps/generic/w_coshl.c: ...here.  New file.
	* math/w_drem.c: Move to ...
	* sysdeps/generic/w_drem.c: ...here.  New file.
	* math/w_dremf.c: Move to ...
	* sysdeps/generic/w_dremf.c: ...here.  New file.
	* math/w_dreml.c: Move to ...
	* sysdeps/generic/w_dreml.c: ...here.  New file.
	* math/w_exp10.c: Move to ...
	* sysdeps/generic/w_exp10.c: ...here.  New file.
	* math/w_exp10f.c: Move to ...
	* sysdeps/generic/w_exp10f.c: ...here.  New file.
	* math/w_exp10l.c: Move to ...
	* sysdeps/generic/w_exp10l.c: ...here.  New file.
	* math/w_exp2.c: Move to ...
	* sysdeps/generic/w_exp2.c: ...here.  New file.
	* math/w_exp2f.c: Move to ...
	* sysdeps/generic/w_exp2f.c: ...here.  New file.
	* math/w_exp2l.c: Move to ...
	* sysdeps/generic/w_exp2l.c: ...here.  New file.
	* math/w_fmod.c: Move to ...
	* sysdeps/generic/w_fmod.c: ...here.  New file.
	* math/w_fmodf.c: Move to ...
	* sysdeps/generic/w_fmodf.c: ...here.  New file.
	* math/w_fmodl.c: Move to ...
	* sysdeps/generic/w_fmodl.c: ...here.  New file.
	* math/w_hypot.c: Move to ...
	* sysdeps/generic/w_hypot.c: ...here.  New file.
	* math/w_hypotf.c: Move to ...
	* sysdeps/generic/w_hypotf.c: ...here.  New file.
	* math/w_hypotl.c: Move to ...
	* sysdeps/generic/w_hypotl.c: ...here.  New file.
	* math/w_j0.c: Move to ...
	* sysdeps/generic/w_j0.c: ...here.  New file.
	* math/w_j0f.c: Move to ...
	* sysdeps/generic/w_j0f.c: ...here.  New file.
	* math/w_j0l.c: Move to ...
	* sysdeps/generic/w_j0l.c: ...here.  New file.
	* math/w_j1.c: Move to ...
	* sysdeps/generic/w_j1.c: ...here.  New file.
	* math/w_j1f.c: Move to ...
	* sysdeps/generic/w_j1f.c: ...here.  New file.
	* math/w_j1l.c: Move to ...
	* sysdeps/generic/w_j1l.c: ...here.  New file.
	* math/w_jn.c: Move to ...
	* sysdeps/generic/w_jn.c: ...here.  New file.
	* math/w_jnf.c: Move to ...
	* sysdeps/generic/w_jnf.c: ...here.  New file.
	* math/w_jnl.c: Move to ...
	* sysdeps/generic/w_jnl.c: ...here.  New file.
	* math/w_lgamma.c: Move to ...
	* sysdeps/generic/w_lgamma.c: ...here.  New file.
	* math/w_lgammaf.c: Move to ...
	* sysdeps/generic/w_lgammaf.c: ...here.  New file.
	* math/w_lgammaf_r.c: Move to ...
	* sysdeps/generic/w_lgammaf_r.c: ...here.  New file.
	* math/w_lgammal.c: Move to ...
	* sysdeps/generic/w_lgammal.c: ...here.  New file.
	* math/w_lgammal_r.c: Move to ...
	* sysdeps/generic/w_lgammal_r.c: ...here.  New file.
	* math/w_lgamma_r.c: Move to ...
	* sysdeps/generic/w_lgamma_r.c: ...here.  New file.
	* math/w_log10.c: Move to ...
	* sysdeps/generic/w_log10.c: ...here.  New file.
	* math/w_log10f.c: Move to ...
	* sysdeps/generic/w_log10f.c: ...here.  New file.
	* math/w_log10l.c: Move to ...
	* sysdeps/generic/w_log10l.c: ...here.  New file.
	* math/w_log.c: Move to ...
	* sysdeps/generic/w_log.c: ...here.  New file.
	* math/w_logf.c: Move to ...
	* sysdeps/generic/w_logf.c: ...here.  New file.
	* math/w_logl.c: Move to ...
	* sysdeps/generic/w_logl.c: ...here.  New file.
	* math/w_pow.c: Move to ...
	* sysdeps/generic/w_pow.c: ...here.  New file.
	* math/w_powf.c: Move to ...
	* sysdeps/generic/w_powf.c: ...here.  New file.
	* math/w_powl.c: Move to ...
	* sysdeps/generic/w_powl.c: ...here.  New file.
	* math/w_remainder.c: Move to ...
	* sysdeps/generic/w_remainder.c: ...here.  New file.
	* math/w_remainderf.c: Move to ...
	* sysdeps/generic/w_remainderf.c: ...here.  New file.
